package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.CottonBureau: ImageVector
    get() {
        if (_cottonBureau != null) {
            return _cottonBureau!!
        }
        _cottonBureau = Builder(name = "CottonBureau", defaultWidth = 512.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(474.31f, 330.41f)
                curveToRelative(-23.66f, 91.85f, -94.23f, 144.59f, -201.9f, 148.35f)
                lineTo(272.41f, 429.6f)
                curveToRelative(0.0f, -48.0f, 26.41f, -74.39f, 74.39f, -74.39f)
                curveToRelative(62.0f, 0.0f, 99.2f, -37.2f, 99.2f, -99.21f)
                curveToRelative(0.0f, -61.37f, -36.53f, -98.28f, -97.38f, -99.06f)
                curveToRelative(-33.0f, -69.32f, -146.5f, -64.65f, -177.24f, 0.0f)
                curveTo(110.52f, 157.72f, 74.0f, 194.63f, 74.0f, 256.0f)
                curveToRelative(0.0f, 62.13f, 37.27f, 99.41f, 99.4f, 99.41f)
                curveToRelative(48.0f, 0.0f, 74.55f, 26.23f, 74.55f, 74.39f)
                lineTo(247.95f, 479.0f)
                curveToRelative(-134.43f, -5.0f, -211.1f, -85.07f, -211.1f, -223.0f)
                curveToRelative(0.0f, -141.82f, 81.35f, -223.2f, 223.2f, -223.2f)
                curveToRelative(114.77f, 0.0f, 189.84f, 53.2f, 214.69f, 148.81f)
                lineTo(500.0f, 181.61f)
                curveTo(473.88f, 71.51f, 388.22f, 8.0f, 259.82f, 8.0f)
                curveTo(105.0f, 8.0f, 12.0f, 101.19f, 12.0f, 255.82f)
                curveTo(12.0f, 411.14f, 105.19f, 504.34f, 259.82f, 504.0f)
                curveToRelative(128.27f, 0.0f, 213.87f, -63.81f, 239.67f, -173.59f)
                close()
                moveTo(357.0f, 182.33f)
                curveToRelative(41.37f, 3.45f, 64.2f, 29.0f, 64.2f, 73.67f)
                curveToRelative(0.0f, 48.0f, -26.43f, 74.41f, -74.4f, 74.41f)
                curveToRelative(-28.61f, 0.0f, -49.33f, -9.59f, -61.59f, -27.33f)
                curveToRelative(83.06f, -16.55f, 75.59f, -99.67f, 71.79f, -120.75f)
                close()
                moveTo(275.32f, 279.69f)
                curveToRelative(-2.46f, -10.34f, -16.33f, -87.0f, 56.23f, -97.0f)
                curveToRelative(2.27f, 10.09f, 16.52f, 87.11f, -56.26f, 97.0f)
                close()
                moveTo(260.0f, 132.0f)
                curveToRelative(28.61f, 0.0f, 49.0f, 9.67f, 61.44f, 27.61f)
                curveToRelative(-28.36f, 5.48f, -49.36f, 20.59f, -61.59f, 43.45f)
                curveToRelative(-12.23f, -22.86f, -33.23f, -38.0f, -61.6f, -43.45f)
                curveToRelative(12.41f, -17.69f, 33.27f, -27.35f, 61.57f, -27.35f)
                close()
                moveTo(188.48f, 182.72f)
                curveToRelative(73.17f, 10.57f, 58.91f, 86.81f, 56.49f, 97.0f)
                curveToRelative(-72.41f, -9.84f, -59.0f, -86.95f, -56.25f, -97.0f)
                close()
                moveTo(173.2f, 330.41f)
                curveToRelative(-48.0f, 0.0f, -74.4f, -26.4f, -74.4f, -74.41f)
                curveToRelative(0.0f, -44.36f, 22.86f, -70.0f, 64.22f, -73.67f)
                curveToRelative(-6.75f, 37.2f, -1.38f, 106.53f, 71.65f, 120.75f)
                curveToRelative(-12.14f, 17.63f, -32.84f, 27.3f, -61.14f, 27.3f)
                close()
                moveTo(226.41f, 342.8f)
                arcTo(80.8f, 80.8f, 0.0f, false, false, 260.0f, 309.25f)
                curveToRelative(7.77f, 14.49f, 19.33f, 25.54f, 33.82f, 33.55f)
                arcToRelative(80.28f, 80.28f, 0.0f, false, false, -33.58f, 33.83f)
                curveToRelative(-8.0f, -14.5f, -19.07f, -26.23f, -33.56f, -33.83f)
                close()
            }
        }
        .build()
        return _cottonBureau!!
    }

private var _cottonBureau: ImageVector? = null
