package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Ebay: ImageVector
    get() {
        if (_ebay != null) {
            return _ebay!!
        }
        _ebay = Builder(name = "Ebay", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(606.0f, 189.5f)
                lineToRelative(-54.8f, 109.9f)
                lineToRelative(-54.9f, -109.9f)
                horizontalLineToRelative(-37.5f)
                lineToRelative(10.9f, 20.6f)
                curveToRelative(-11.5f, -19.0f, -35.9f, -26.0f, -63.3f, -26.0f)
                curveToRelative(-31.8f, 0.0f, -67.9f, 8.7f, -71.5f, 43.1f)
                horizontalLineToRelative(33.7f)
                curveToRelative(1.4f, -13.8f, 15.7f, -21.8f, 35.0f, -21.8f)
                curveToRelative(26.0f, 0.0f, 41.0f, 9.6f, 41.0f, 33.0f)
                verticalLineToRelative(3.4f)
                curveToRelative(-12.7f, 0.0f, -28.0f, 0.1f, -41.7f, 0.4f)
                curveToRelative(-42.4f, 0.9f, -69.6f, 10.0f, -76.7f, 34.4f)
                curveToRelative(1.0f, -5.2f, 1.5f, -10.6f, 1.5f, -16.2f)
                curveToRelative(0.0f, -52.1f, -39.7f, -76.2f, -75.4f, -76.2f)
                curveToRelative(-21.3f, 0.0f, -43.0f, 5.5f, -58.7f, 24.2f)
                verticalLineToRelative(-80.6f)
                horizontalLineToRelative(-32.1f)
                verticalLineToRelative(169.5f)
                curveToRelative(0.0f, 10.3f, -0.6f, 22.9f, -1.1f, 33.1f)
                horizontalLineToRelative(31.5f)
                curveToRelative(0.7f, -6.3f, 1.1f, -12.9f, 1.1f, -19.5f)
                curveToRelative(13.6f, 16.6f, 35.4f, 24.9f, 58.7f, 24.9f)
                curveToRelative(36.9f, 0.0f, 64.9f, -21.9f, 73.3f, -54.2f)
                curveToRelative(-0.5f, 2.8f, -0.7f, 5.8f, -0.7f, 9.0f)
                curveToRelative(0.0f, 24.1f, 21.1f, 45.0f, 60.6f, 45.0f)
                curveToRelative(26.6f, 0.0f, 45.8f, -5.7f, 61.9f, -25.5f)
                curveToRelative(0.0f, 6.6f, 0.3f, 13.3f, 1.1f, 20.2f)
                horizontalLineToRelative(29.8f)
                curveToRelative(-0.7f, -8.2f, -1.0f, -17.5f, -1.0f, -26.8f)
                verticalLineToRelative(-65.6f)
                curveToRelative(0.0f, -9.3f, -1.7f, -17.2f, -4.8f, -23.8f)
                lineToRelative(61.5f, 116.1f)
                lineToRelative(-28.5f, 54.1f)
                horizontalLineToRelative(35.9f)
                lineTo(640.0f, 189.5f)
                close()
                moveTo(243.7f, 313.8f)
                curveToRelative(-29.6f, 0.0f, -50.2f, -21.5f, -50.2f, -53.8f)
                curveToRelative(0.0f, -32.4f, 20.6f, -53.8f, 50.2f, -53.8f)
                curveToRelative(29.8f, 0.0f, 50.2f, 21.4f, 50.2f, 53.8f)
                curveToRelative(0.0f, 32.3f, -20.4f, 53.8f, -50.2f, 53.8f)
                close()
                moveTo(444.6f, 266.5f)
                curveToRelative(0.0f, 30.0f, -17.9f, 48.4f, -51.6f, 48.4f)
                curveToRelative(-25.1f, 0.0f, -35.0f, -13.4f, -35.0f, -25.8f)
                curveToRelative(0.0f, -19.1f, 18.1f, -24.4f, 47.2f, -25.3f)
                curveToRelative(13.1f, -0.5f, 27.6f, -0.6f, 39.4f, -0.6f)
                close()
                moveTo(32.7f, 268.1f)
                horizontalLineToRelative(128.8f)
                verticalLineToRelative(-8.5f)
                curveToRelative(0.0f, -51.7f, -33.1f, -75.4f, -78.4f, -75.4f)
                curveToRelative(-56.8f, 0.0f, -83.0f, 30.8f, -83.0f, 77.6f)
                curveToRelative(0.0f, 42.5f, 25.3f, 74.0f, 82.5f, 74.0f)
                curveToRelative(31.4f, 0.0f, 68.0f, -11.7f, 74.4f, -46.1f)
                horizontalLineToRelative(-33.1f)
                curveToRelative(-12.0f, 35.8f, -87.7f, 36.7f, -91.2f, -21.6f)
                close()
                moveTo(127.7f, 246.7f)
                lineTo(33.3f, 246.7f)
                curveToRelative(6.9f, -56.6f, 92.1f, -54.7f, 94.4f, 0.0f)
                close()
            }
        }
        .build()
        return _ebay!!
    }

private var _ebay: ImageVector? = null
