package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Meetup: ImageVector
    get() {
        if (_meetup != null) {
            return _meetup!!
        }
        _meetup = Builder(name = "Meetup", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(99.0f, 414.3f)
                curveToRelative(1.1f, 5.7f, -2.3f, 11.1f, -8.0f, 12.3f)
                curveToRelative(-5.4f, 1.1f, -10.9f, -2.3f, -12.0f, -8.0f)
                curveToRelative(-1.1f, -5.4f, 2.3f, -11.1f, 7.7f, -12.3f)
                curveToRelative(5.4f, -1.2f, 11.1f, 2.3f, 12.3f, 8.0f)
                close()
                moveTo(242.1f, 485.7f)
                curveToRelative(-6.3f, 4.6f, -8.0f, 13.4f, -3.7f, 20.0f)
                curveToRelative(4.6f, 6.6f, 13.4f, 8.3f, 20.0f, 3.7f)
                curveToRelative(6.3f, -4.6f, 8.0f, -13.4f, 3.4f, -20.0f)
                curveToRelative(-4.2f, -6.5f, -13.1f, -8.3f, -19.7f, -3.7f)
                close()
                moveTo(156.1f, 23.4f)
                curveToRelative(6.3f, -1.4f, 10.3f, -7.7f, 8.9f, -14.0f)
                curveToRelative(-1.1f, -6.6f, -7.4f, -10.6f, -13.7f, -9.1f)
                curveToRelative(-6.3f, 1.4f, -10.3f, 7.7f, -9.1f, 14.0f)
                curveToRelative(1.4f, 6.6f, 7.6f, 10.6f, 13.9f, 9.1f)
                close()
                moveTo(34.4f, 226.3f)
                curveToRelative(-10.0f, -6.9f, -23.7f, -4.3f, -30.6f, 6.0f)
                curveToRelative(-6.9f, 10.0f, -4.3f, 24.0f, 5.7f, 30.9f)
                curveToRelative(10.0f, 7.1f, 23.7f, 4.6f, 30.6f, -5.7f)
                curveToRelative(6.9f, -10.4f, 4.3f, -24.1f, -5.7f, -31.2f)
                close()
                moveTo(306.4f, 55.4f)
                curveToRelative(10.6f, -6.3f, 13.7f, -20.0f, 7.7f, -30.3f)
                curveToRelative(-6.3f, -10.6f, -19.7f, -14.0f, -30.0f, -7.7f)
                reflectiveCurveToRelative(-13.7f, 20.0f, -7.4f, 30.6f)
                curveToRelative(6.0f, 10.3f, 19.4f, 13.7f, 29.7f, 7.4f)
                close()
                moveTo(115.3f, 113.4f)
                curveToRelative(7.7f, -5.4f, 9.4f, -16.0f, 4.3f, -23.7f)
                reflectiveCurveToRelative(-15.7f, -9.4f, -23.1f, -4.3f)
                curveToRelative(-7.7f, 5.4f, -9.4f, 16.0f, -4.3f, 23.7f)
                curveToRelative(5.1f, 7.8f, 15.6f, 9.5f, 23.1f, 4.3f)
                close()
                moveTo(487.6f, 269.4f)
                curveToRelative(-7.4f, 1.7f, -12.3f, 9.1f, -10.6f, 16.9f)
                curveToRelative(1.4f, 7.4f, 8.9f, 12.3f, 16.3f, 10.6f)
                curveToRelative(7.4f, -1.4f, 12.3f, -8.9f, 10.6f, -16.6f)
                curveToRelative(-1.5f, -7.4f, -8.9f, -12.3f, -16.3f, -10.9f)
                close()
                moveTo(527.3f, 212.6f)
                curveToRelative(-1.1f, -5.7f, -6.6f, -9.1f, -12.0f, -8.0f)
                curveToRelative(-5.7f, 1.1f, -9.1f, 6.9f, -8.0f, 12.6f)
                curveToRelative(1.1f, 5.4f, 6.6f, 9.1f, 12.3f, 8.0f)
                curveToRelative(5.4f, -1.5f, 9.1f, -6.9f, 7.7f, -12.6f)
                close()
                moveTo(447.0f, 138.9f)
                curveToRelative(-8.6f, 6.0f, -10.6f, 17.7f, -4.9f, 26.3f)
                curveToRelative(5.7f, 8.6f, 17.4f, 10.6f, 26.0f, 4.9f)
                curveToRelative(8.3f, -6.0f, 10.3f, -17.7f, 4.6f, -26.3f)
                curveToRelative(-5.7f, -8.7f, -17.4f, -10.9f, -25.7f, -4.9f)
                close()
                moveTo(440.7f, 278.3f)
                curveToRelative(26.3f, 43.1f, 15.1f, 100.0f, -26.3f, 129.1f)
                curveToRelative(-17.4f, 12.3f, -37.1f, 17.7f, -56.9f, 17.1f)
                curveToRelative(-12.0f, 47.1f, -69.4f, 64.6f, -105.1f, 32.6f)
                curveToRelative(-1.1f, 0.9f, -2.6f, 1.7f, -3.7f, 2.9f)
                curveToRelative(-39.1f, 27.1f, -92.3f, 17.4f, -119.4f, -22.3f)
                curveToRelative(-9.7f, -14.3f, -14.6f, -30.6f, -15.1f, -46.9f)
                curveToRelative(-65.4f, -10.9f, -90.0f, -94.0f, -41.1f, -139.7f)
                curveToRelative(-28.3f, -46.9f, 0.6f, -107.4f, 53.4f, -114.9f)
                curveTo(151.6f, 70.0f, 234.1f, 38.6f, 290.1f, 82.0f)
                curveToRelative(67.4f, -22.3f, 136.3f, 29.4f, 130.9f, 101.1f)
                curveToRelative(41.1f, 12.6f, 52.8f, 66.9f, 19.7f, 95.2f)
                close()
                moveTo(370.7f, 352.6f)
                curveToRelative(-3.1f, -20.6f, -40.9f, -4.6f, -43.1f, -27.1f)
                curveToRelative(-3.1f, -32.0f, 43.7f, -101.1f, 40.0f, -128.0f)
                curveToRelative(-3.4f, -24.0f, -19.4f, -29.1f, -33.4f, -29.4f)
                curveToRelative(-13.4f, -0.3f, -16.9f, 2.0f, -21.4f, 4.6f)
                curveToRelative(-2.9f, 1.7f, -6.6f, 4.9f, -11.7f, -0.3f)
                curveToRelative(-6.3f, -6.0f, -11.1f, -11.7f, -19.4f, -12.9f)
                curveToRelative(-12.3f, -2.0f, -17.7f, 2.0f, -26.6f, 9.7f)
                curveToRelative(-3.4f, 2.9f, -12.0f, 12.9f, -20.0f, 9.1f)
                curveToRelative(-3.4f, -1.7f, -15.4f, -7.7f, -24.0f, -11.4f)
                curveToRelative(-16.3f, -7.1f, -40.0f, 4.6f, -48.6f, 20.0f)
                curveToRelative(-12.9f, 22.9f, -38.0f, 113.1f, -41.7f, 125.1f)
                curveToRelative(-8.6f, 26.6f, 10.9f, 48.6f, 36.9f, 47.1f)
                curveToRelative(11.1f, -0.6f, 18.3f, -4.6f, 25.4f, -17.4f)
                curveToRelative(4.0f, -7.4f, 41.7f, -107.7f, 44.6f, -112.6f)
                curveToRelative(2.0f, -3.4f, 8.9f, -8.0f, 14.6f, -5.1f)
                curveToRelative(5.7f, 3.1f, 6.9f, 9.4f, 6.0f, 15.1f)
                curveToRelative(-1.1f, 9.7f, -28.0f, 70.9f, -28.9f, 77.7f)
                curveToRelative(-3.4f, 22.9f, 26.9f, 26.6f, 38.6f, 4.0f)
                curveToRelative(3.7f, -7.1f, 45.7f, -92.6f, 49.4f, -98.3f)
                curveToRelative(4.3f, -6.3f, 7.4f, -8.3f, 11.7f, -8.0f)
                curveToRelative(3.1f, 0.0f, 8.3f, 0.9f, 7.1f, 10.9f)
                curveToRelative(-1.4f, 9.4f, -35.1f, 72.3f, -38.9f, 87.7f)
                curveToRelative(-4.6f, 20.6f, 6.6f, 41.4f, 24.9f, 50.6f)
                curveToRelative(11.4f, 5.7f, 62.5f, 15.7f, 58.5f, -11.1f)
                close()
                moveTo(376.4f, 444.9f)
                curveToRelative(-10.3f, 7.4f, -12.9f, 22.0f, -5.7f, 32.6f)
                curveToRelative(7.1f, 10.6f, 21.4f, 13.1f, 32.0f, 6.0f)
                curveToRelative(10.6f, -7.4f, 13.1f, -22.0f, 6.0f, -32.6f)
                curveToRelative(-7.4f, -10.6f, -21.7f, -13.5f, -32.3f, -6.0f)
                close()
            }
        }
        .build()
        return _meetup!!
    }

private var _meetup: ImageVector? = null
