package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.NodeJs: ImageVector
    get() {
        if (_nodeJs != null) {
            return _nodeJs!!
        }
        _nodeJs = Builder(name = "NodeJs", defaultWidth = 448.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 448.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(224.0f, 508.0f)
                curveToRelative(-6.7f, 0.0f, -13.5f, -1.8f, -19.4f, -5.2f)
                lineToRelative(-61.7f, -36.5f)
                curveToRelative(-9.2f, -5.2f, -4.7f, -7.0f, -1.7f, -8.0f)
                curveToRelative(12.3f, -4.3f, 14.8f, -5.2f, 27.9f, -12.7f)
                curveToRelative(1.4f, -0.8f, 3.2f, -0.5f, 4.6f, 0.4f)
                lineToRelative(47.4f, 28.1f)
                curveToRelative(1.7f, 1.0f, 4.1f, 1.0f, 5.7f, 0.0f)
                lineToRelative(184.7f, -106.6f)
                curveToRelative(1.7f, -1.0f, 2.8f, -3.0f, 2.8f, -5.0f)
                lineTo(414.3f, 149.3f)
                curveToRelative(0.0f, -2.1f, -1.1f, -4.0f, -2.9f, -5.1f)
                lineTo(226.8f, 37.7f)
                curveToRelative(-1.7f, -1.0f, -4.0f, -1.0f, -5.7f, 0.0f)
                lineTo(36.6f, 144.3f)
                curveToRelative(-1.8f, 1.0f, -2.9f, 3.0f, -2.9f, 5.1f)
                verticalLineToRelative(213.1f)
                curveToRelative(0.0f, 2.0f, 1.1f, 4.0f, 2.9f, 4.9f)
                lineToRelative(50.6f, 29.2f)
                curveToRelative(27.5f, 13.7f, 44.3f, -2.4f, 44.3f, -18.7f)
                lineTo(131.5f, 167.5f)
                curveToRelative(0.0f, -3.0f, 2.4f, -5.3f, 5.4f, -5.3f)
                horizontalLineToRelative(23.4f)
                curveToRelative(2.9f, 0.0f, 5.4f, 2.3f, 5.4f, 5.3f)
                lineTo(165.7f, 378.0f)
                curveToRelative(0.0f, 36.6f, -20.0f, 57.6f, -54.7f, 57.6f)
                curveToRelative(-10.7f, 0.0f, -19.1f, 0.0f, -42.5f, -11.6f)
                lineToRelative(-48.4f, -27.9f)
                curveTo(8.1f, 389.2f, 0.7f, 376.3f, 0.7f, 362.4f)
                lineTo(0.7f, 149.3f)
                curveToRelative(0.0f, -13.8f, 7.4f, -26.8f, 19.4f, -33.7f)
                lineTo(204.6f, 9.0f)
                curveToRelative(11.7f, -6.6f, 27.2f, -6.6f, 38.8f, 0.0f)
                lineToRelative(184.7f, 106.7f)
                curveToRelative(12.0f, 6.9f, 19.4f, 19.8f, 19.4f, 33.7f)
                verticalLineToRelative(213.1f)
                curveToRelative(0.0f, 13.8f, -7.4f, 26.7f, -19.4f, 33.7f)
                lineTo(243.4f, 502.8f)
                curveToRelative(-5.9f, 3.4f, -12.6f, 5.2f, -19.4f, 5.2f)
                close()
                moveTo(373.1f, 297.9f)
                curveToRelative(0.0f, -39.9f, -27.0f, -50.5f, -83.7f, -58.0f)
                curveToRelative(-57.4f, -7.6f, -63.2f, -11.5f, -63.2f, -24.9f)
                curveToRelative(0.0f, -11.1f, 4.9f, -25.9f, 47.4f, -25.9f)
                curveToRelative(37.9f, 0.0f, 51.9f, 8.2f, 57.7f, 33.8f)
                curveToRelative(0.5f, 2.4f, 2.7f, 4.2f, 5.2f, 4.2f)
                horizontalLineToRelative(24.0f)
                curveToRelative(1.5f, 0.0f, 2.9f, -0.6f, 3.9f, -1.7f)
                reflectiveCurveToRelative(1.5f, -2.6f, 1.4f, -4.1f)
                curveToRelative(-3.7f, -44.1f, -33.0f, -64.6f, -92.2f, -64.6f)
                curveToRelative(-52.7f, 0.0f, -84.1f, 22.2f, -84.1f, 59.5f)
                curveToRelative(0.0f, 40.4f, 31.3f, 51.6f, 81.8f, 56.6f)
                curveToRelative(60.5f, 5.9f, 65.2f, 14.8f, 65.2f, 26.7f)
                curveToRelative(0.0f, 20.6f, -16.6f, 29.4f, -55.5f, 29.4f)
                curveToRelative(-48.9f, 0.0f, -59.6f, -12.3f, -63.2f, -36.6f)
                curveToRelative(-0.4f, -2.6f, -2.6f, -4.5f, -5.3f, -4.5f)
                horizontalLineToRelative(-23.9f)
                curveToRelative(-3.0f, 0.0f, -5.3f, 2.4f, -5.3f, 5.3f)
                curveToRelative(0.0f, 31.1f, 16.9f, 68.2f, 97.8f, 68.2f)
                curveToRelative(58.4f, -0.1f, 92.0f, -23.2f, 92.0f, -63.4f)
                close()
            }
        }
        .build()
        return _nodeJs!!
    }

private var _nodeJs: ImageVector? = null
