package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Readme: ImageVector
    get() {
        if (_readme != null) {
            return _readme!!
        }
        _readme = Builder(name = "Readme", defaultWidth = 576.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(528.3f, 46.5f)
                lineTo(388.5f, 46.5f)
                curveToRelative(-48.1f, 0.0f, -89.9f, 33.3f, -100.4f, 80.3f)
                curveToRelative(-10.6f, -47.0f, -52.3f, -80.3f, -100.4f, -80.3f)
                lineTo(48.0f, 46.5f)
                curveToRelative(-26.5f, 0.0f, -48.0f, 21.5f, -48.0f, 48.0f)
                verticalLineToRelative(245.8f)
                curveToRelative(0.0f, 26.5f, 21.5f, 48.0f, 48.0f, 48.0f)
                horizontalLineToRelative(89.7f)
                curveToRelative(102.2f, 0.0f, 132.7f, 24.4f, 147.3f, 75.0f)
                curveToRelative(0.7f, 2.8f, 5.2f, 2.8f, 6.0f, 0.0f)
                curveToRelative(14.7f, -50.6f, 45.2f, -75.0f, 147.3f, -75.0f)
                lineTo(528.0f, 388.3f)
                curveToRelative(26.5f, 0.0f, 48.0f, -21.5f, 48.0f, -48.0f)
                lineTo(576.0f, 94.6f)
                curveToRelative(0.0f, -26.4f, -21.3f, -47.9f, -47.7f, -48.1f)
                close()
                moveTo(242.0f, 311.9f)
                curveToRelative(0.0f, 1.9f, -1.5f, 3.5f, -3.5f, 3.5f)
                lineTo(78.2f, 315.4f)
                curveToRelative(-1.9f, 0.0f, -3.5f, -1.5f, -3.5f, -3.5f)
                lineTo(74.7f, 289.0f)
                curveToRelative(0.0f, -1.9f, 1.5f, -3.5f, 3.5f, -3.5f)
                horizontalLineToRelative(160.4f)
                curveToRelative(1.9f, 0.0f, 3.5f, 1.5f, 3.5f, 3.5f)
                verticalLineToRelative(22.9f)
                close()
                moveTo(242.0f, 251.0f)
                curveToRelative(0.0f, 1.9f, -1.5f, 3.5f, -3.5f, 3.5f)
                lineTo(78.2f, 254.5f)
                curveToRelative(-1.9f, 0.0f, -3.5f, -1.5f, -3.5f, -3.5f)
                verticalLineToRelative(-22.9f)
                curveToRelative(0.0f, -1.9f, 1.5f, -3.5f, 3.5f, -3.5f)
                horizontalLineToRelative(160.4f)
                curveToRelative(1.9f, 0.0f, 3.5f, 1.5f, 3.5f, 3.5f)
                lineTo(242.1f, 251.0f)
                close()
                moveTo(242.0f, 190.1f)
                curveToRelative(0.0f, 1.9f, -1.5f, 3.5f, -3.5f, 3.5f)
                lineTo(78.2f, 193.6f)
                curveToRelative(-1.9f, 0.0f, -3.5f, -1.5f, -3.5f, -3.5f)
                verticalLineToRelative(-22.9f)
                curveToRelative(0.0f, -1.9f, 1.5f, -3.5f, 3.5f, -3.5f)
                horizontalLineToRelative(160.4f)
                curveToRelative(1.9f, 0.0f, 3.5f, 1.5f, 3.5f, 3.5f)
                verticalLineToRelative(22.9f)
                close()
                moveTo(501.3f, 311.8f)
                curveToRelative(0.0f, 1.9f, -1.5f, 3.5f, -3.5f, 3.5f)
                lineTo(337.5f, 315.3f)
                curveToRelative(-1.9f, 0.0f, -3.5f, -1.5f, -3.5f, -3.5f)
                verticalLineToRelative(-22.9f)
                curveToRelative(0.0f, -1.9f, 1.5f, -3.5f, 3.5f, -3.5f)
                horizontalLineToRelative(160.4f)
                curveToRelative(1.9f, 0.0f, 3.5f, 1.5f, 3.5f, 3.5f)
                verticalLineToRelative(22.9f)
                close()
                moveTo(501.3f, 250.9f)
                curveToRelative(0.0f, 1.9f, -1.5f, 3.5f, -3.5f, 3.5f)
                lineTo(337.5f, 254.4f)
                curveToRelative(-1.9f, 0.0f, -3.5f, -1.5f, -3.5f, -3.5f)
                lineTo(334.0f, 228.0f)
                curveToRelative(0.0f, -1.9f, 1.5f, -3.5f, 3.5f, -3.5f)
                horizontalLineToRelative(160.4f)
                curveToRelative(1.9f, 0.0f, 3.5f, 1.5f, 3.5f, 3.5f)
                verticalLineToRelative(22.9f)
                close()
                moveTo(501.3f, 190.0f)
                curveToRelative(0.0f, 1.9f, -1.5f, 3.5f, -3.5f, 3.5f)
                lineTo(337.5f, 193.5f)
                curveToRelative(-1.9f, 0.0f, -3.5f, -1.5f, -3.5f, -3.5f)
                verticalLineToRelative(-22.8f)
                curveToRelative(0.0f, -1.9f, 1.5f, -3.5f, 3.5f, -3.5f)
                horizontalLineToRelative(160.4f)
                curveToRelative(1.9f, 0.0f, 3.5f, 1.5f, 3.5f, 3.5f)
                lineTo(501.4f, 190.0f)
                close()
            }
        }
        .build()
        return _readme!!
    }

private var _readme: ImageVector? = null
