package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.SnapchatGhost: ImageVector
    get() {
        if (_snapchatGhost != null) {
            return _snapchatGhost!!
        }
        _snapchatGhost = Builder(name = "SnapchatGhost", defaultWidth = 512.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(510.846f, 392.673f)
                curveToRelative(-5.211f, 12.157f, -27.239f, 21.089f, -67.36f, 27.318f)
                curveToRelative(-2.064f, 2.786f, -3.775f, 14.686f, -6.507f, 23.956f)
                curveToRelative(-1.625f, 5.566f, -5.623f, 8.869f, -12.128f, 8.869f)
                lineToRelative(-0.297f, -0.005f)
                curveToRelative(-9.395f, 0.0f, -19.203f, -4.323f, -38.852f, -4.323f)
                curveToRelative(-26.521f, 0.0f, -35.662f, 6.043f, -56.254f, 20.588f)
                curveToRelative(-21.832f, 15.438f, -42.771f, 28.764f, -74.027f, 27.399f)
                curveToRelative(-31.646f, 2.334f, -58.025f, -16.908f, -72.871f, -27.404f)
                curveToRelative(-20.714f, -14.643f, -29.828f, -20.582f, -56.241f, -20.582f)
                curveToRelative(-18.864f, 0.0f, -30.736f, 4.72f, -38.852f, 4.72f)
                curveToRelative(-8.073f, 0.0f, -11.213f, -4.922f, -12.422f, -9.04f)
                curveToRelative(-2.703f, -9.189f, -4.404f, -21.263f, -6.523f, -24.13f)
                curveToRelative(-20.679f, -3.209f, -67.31f, -11.344f, -68.498f, -32.15f)
                arcToRelative(10.627f, 10.627f, 0.0f, false, true, 8.877f, -11.069f)
                curveToRelative(69.583f, -11.455f, 100.924f, -82.901f, 102.227f, -85.934f)
                curveToRelative(0.074f, -0.176f, 0.155f, -0.344f, 0.237f, -0.515f)
                curveToRelative(3.713f, -7.537f, 4.544f, -13.849f, 2.463f, -18.753f)
                curveToRelative(-5.05f, -11.896f, -26.872f, -16.164f, -36.053f, -19.796f)
                curveToRelative(-23.715f, -9.366f, -27.015f, -20.128f, -25.612f, -27.504f)
                curveToRelative(2.437f, -12.836f, 21.725f, -20.735f, 33.002f, -15.453f)
                curveToRelative(8.919f, 4.181f, 16.843f, 6.297f, 23.547f, 6.297f)
                curveToRelative(5.022f, 0.0f, 8.212f, -1.204f, 9.96f, -2.171f)
                curveToRelative(-2.043f, -35.936f, -7.101f, -87.29f, 5.687f, -115.969f)
                curveTo(158.122f, 21.304f, 229.705f, 15.42f, 250.826f, 15.42f)
                curveToRelative(0.944f, 0.0f, 9.141f, -0.089f, 10.11f, -0.089f)
                curveToRelative(52.148f, 0.0f, 102.254f, 26.78f, 126.723f, 81.643f)
                curveToRelative(12.777f, 28.65f, 7.749f, 79.792f, 5.695f, 116.009f)
                curveToRelative(1.582f, 0.872f, 4.357f, 1.942f, 8.599f, 2.139f)
                curveToRelative(6.397f, -0.286f, 13.815f, -2.389f, 22.069f, -6.257f)
                curveToRelative(6.085f, -2.846f, 14.406f, -2.461f, 20.48f, 0.058f)
                lineToRelative(0.029f, 0.01f)
                curveToRelative(9.476f, 3.385f, 15.439f, 10.215f, 15.589f, 17.87f)
                curveToRelative(0.184f, 9.747f, -8.522f, 18.165f, -25.878f, 25.018f)
                curveToRelative(-2.118f, 0.835f, -4.694f, 1.655f, -7.434f, 2.525f)
                curveToRelative(-9.797f, 3.106f, -24.6f, 7.805f, -28.616f, 17.271f)
                curveToRelative(-2.079f, 4.904f, -1.256f, 11.211f, 2.46f, 18.748f)
                curveToRelative(0.087f, 0.168f, 0.166f, 0.342f, 0.239f, 0.515f)
                curveToRelative(1.301f, 3.03f, 32.615f, 74.46f, 102.23f, 85.934f)
                curveToRelative(6.427f, 1.058f, 11.163f, 7.877f, 7.725f, 15.859f)
                close()
            }
        }
        .build()
        return _snapchatGhost!!
    }

private var _snapchatGhost: ImageVector? = null
