package compose.icons.fontawesomeicons.brands

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.BrandsGroup

public val BrandsGroup.Teamspeak: ImageVector
    get() {
        if (_teamspeak != null) {
            return _teamspeak!!
        }
        _teamspeak = Builder(name = "Teamspeak", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(244.2f, 346.79f)
                curveToRelative(2.4f, -12.3f, -12.0f, -30.0f, -32.4f, -48.7f)
                curveToRelative(-20.9f, -19.2f, -48.2f, -39.1f, -63.4f, -46.6f)
                curveToRelative(-21.7f, -12.0f, -41.7f, -1.8f, -46.3f, 22.7f)
                curveToRelative(-5.0f, 26.2f, 0.0f, 51.4f, 14.5f, 73.9f)
                curveToRelative(10.2f, 15.5f, 25.4f, 22.7f, 43.4f, 24.0f)
                curveToRelative(11.6f, 0.6f, 52.5f, 2.2f, 61.7f, -1.0f)
                curveToRelative(11.9f, -4.3f, 20.1f, -11.8f, 22.5f, -24.3f)
                close()
                moveTo(449.2f, 367.59f)
                arcToRelative(5.22f, 5.22f, 0.0f, false, false, -8.3f, 2.4f)
                curveToRelative(-8.0f, 25.4f, -44.7f, 112.5f, -172.1f, 121.5f)
                curveToRelative(-149.7f, 10.5f, 80.3f, 43.6f, 145.4f, -6.4f)
                curveToRelative(22.7f, -17.4f, 47.6f, -35.0f, 46.6f, -85.4f)
                curveToRelative(-0.4f, -10.1f, -4.9f, -26.69f, -11.6f, -32.1f)
                close()
                moveTo(511.2f, 245.19f)
                curveToRelative(-0.3f, -18.9f, -8.6f, -33.4f, -26.0f, -42.2f)
                curveToRelative(-2.9f, -1.3f, -5.0f, -2.7f, -5.9f, -6.4f)
                arcTo(222.64f, 222.64f, 0.0f, false, false, 438.9f, 103.0f)
                curveToRelative(-1.1f, -1.5f, -3.5f, -3.2f, -2.2f, -5.0f)
                curveToRelative(8.5f, -11.5f, -0.3f, -18.0f, -7.0f, -24.4f)
                quadTo(321.4f, -31.11f, 177.4f, 13.09f)
                curveToRelative(-40.1f, 12.3f, -73.9f, 35.6f, -102.0f, 67.4f)
                curveToRelative(-4.0f, 4.3f, -6.7f, 9.1f, -3.0f, 14.5f)
                curveToRelative(3.0f, 4.0f, 1.3f, 6.2f, -1.0f, 9.3f)
                curveTo(51.6f, 132.0f, 38.2f, 162.59f, 32.1f, 196.0f)
                curveToRelative(-0.7f, 4.3f, -2.9f, 6.0f, -6.4f, 7.8f)
                curveToRelative(-14.2f, 7.0f, -22.5f, 18.5f, -24.9f, 34.0f)
                lineTo(0.0f, 264.29f)
                verticalLineToRelative(20.9f)
                curveToRelative(0.0f, 30.8f, 21.0f, 50.4f, 51.8f, 49.0f)
                curveToRelative(7.7f, -0.3f, 11.7f, -4.3f, 12.0f, -11.5f)
                curveToRelative(2.0f, -77.5f, -2.4f, -95.4f, 3.7f, -125.8f)
                curveTo(92.1f, 72.39f, 234.3f, 5.0f, 345.3f, 65.39f)
                curveTo(411.4f, 102.0f, 445.7f, 159.0f, 447.6f, 234.79f)
                curveToRelative(0.8f, 28.2f, 0.0f, 56.5f, 0.0f, 84.6f)
                curveToRelative(0.0f, 7.0f, 2.2f, 12.5f, 9.4f, 14.2f)
                curveToRelative(24.1f, 5.0f, 49.2f, -12.0f, 53.2f, -36.7f)
                curveToRelative(2.9f, -17.1f, 1.0f, -34.5f, 1.0f, -51.7f)
                close()
                moveTo(351.6f, 376.69f)
                curveToRelative(36.5f, 2.8f, 59.3f, -28.5f, 58.4f, -60.5f)
                curveToRelative(-2.1f, -45.2f, -66.2f, -16.5f, -87.8f, -8.0f)
                curveToRelative(-73.2f, 28.1f, -45.0f, 54.9f, -22.2f, 60.8f)
                close()
            }
        }
        .build()
        return _teamspeak!!
    }

private var _teamspeak: ImageVector? = null
