package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.CarCrash: ImageVector
    get() {
        if (_carCrash != null) {
            return _carCrash!!
        }
        _carCrash = Builder(name = "CarCrash", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(143.25f, 220.81f)
                lineToRelative(-12.42f, 46.37f)
                curveToRelative(-3.01f, 11.25f, -3.63f, 22.89f, -2.41f, 34.39f)
                lineToRelative(-35.2f, 28.98f)
                curveToRelative(-6.57f, 5.41f, -16.31f, -0.43f, -14.62f, -8.77f)
                lineToRelative(15.44f, -76.68f)
                curveToRelative(1.06f, -5.26f, -2.66f, -10.28f, -8.0f, -10.79f)
                lineToRelative(-77.86f, -7.55f)
                curveToRelative(-8.47f, -0.82f, -11.23f, -11.83f, -4.14f, -16.54f)
                lineToRelative(65.15f, -43.3f)
                curveToRelative(4.46f, -2.97f, 5.38f, -9.15f, 1.98f, -13.29f)
                lineTo(21.46f, 93.22f)
                curveToRelative(-5.41f, -6.57f, 0.43f, -16.3f, 8.78f, -14.62f)
                lineToRelative(76.68f, 15.44f)
                curveToRelative(5.26f, 1.06f, 10.28f, -2.66f, 10.8f, -8.0f)
                lineToRelative(7.55f, -77.86f)
                curveToRelative(0.82f, -8.48f, 11.83f, -11.23f, 16.55f, -4.14f)
                lineToRelative(43.3f, 65.14f)
                curveToRelative(2.97f, 4.46f, 9.15f, 5.38f, 13.29f, 1.98f)
                lineToRelative(60.4f, -49.71f)
                curveToRelative(6.57f, -5.41f, 16.3f, 0.43f, 14.62f, 8.77f)
                lineTo(262.1f, 86.38f)
                curveToRelative(-2.71f, 3.05f, -5.43f, 6.09f, -7.91f, 9.4f)
                lineToRelative(-32.15f, 42.97f)
                lineToRelative(-10.71f, 14.32f)
                curveToRelative(-32.73f, 8.76f, -59.18f, 34.53f, -68.08f, 67.74f)
                close()
                moveTo(637.82f, 353.32f)
                lineToRelative(-12.42f, 46.36f)
                curveToRelative(-3.13f, 11.68f, -9.38f, 21.61f, -17.55f, 29.36f)
                arcToRelative(66.876f, 66.876f, 0.0f, false, true, -8.76f, 7.0f)
                lineToRelative(-13.99f, 52.23f)
                curveToRelative(-1.14f, 4.27f, -3.1f, 8.1f, -5.65f, 11.38f)
                curveToRelative(-7.67f, 9.84f, -20.74f, 14.68f, -33.54f, 11.25f)
                lineTo(515.0f, 502.62f)
                curveToRelative(-17.07f, -4.57f, -27.2f, -22.12f, -22.63f, -39.19f)
                lineToRelative(8.28f, -30.91f)
                lineToRelative(-247.28f, -66.26f)
                lineToRelative(-8.28f, 30.91f)
                curveToRelative(-4.57f, 17.07f, -22.12f, 27.2f, -39.19f, 22.63f)
                lineToRelative(-30.91f, -8.28f)
                curveToRelative(-12.8f, -3.43f, -21.7f, -14.16f, -23.42f, -26.51f)
                curveToRelative(-0.57f, -4.12f, -0.35f, -8.42f, 0.79f, -12.68f)
                lineToRelative(13.99f, -52.23f)
                arcToRelative(66.62f, 66.62f, 0.0f, false, true, -4.09f, -10.45f)
                curveToRelative(-3.2f, -10.79f, -3.65f, -22.52f, -0.52f, -34.2f)
                lineToRelative(12.42f, -46.37f)
                curveToRelative(5.31f, -19.8f, 19.36f, -34.83f, 36.89f, -42.21f)
                arcToRelative(64.336f, 64.336f, 0.0f, false, true, 18.49f, -4.72f)
                lineToRelative(18.13f, -24.23f)
                lineToRelative(32.15f, -42.97f)
                curveToRelative(3.45f, -4.61f, 7.19f, -8.9f, 11.2f, -12.84f)
                curveToRelative(8.0f, -7.89f, 17.03f, -14.44f, 26.74f, -19.51f)
                curveToRelative(4.86f, -2.54f, 9.89f, -4.71f, 15.05f, -6.49f)
                curveToRelative(10.33f, -3.58f, 21.19f, -5.63f, 32.24f, -6.04f)
                curveToRelative(11.05f, -0.41f, 22.31f, 0.82f, 33.43f, 3.8f)
                lineToRelative(122.68f, 32.87f)
                curveToRelative(11.12f, 2.98f, 21.48f, 7.54f, 30.85f, 13.43f)
                arcToRelative(111.11f, 111.11f, 0.0f, false, true, 34.69f, 34.5f)
                curveToRelative(8.82f, 13.88f, 14.64f, 29.84f, 16.68f, 46.99f)
                lineToRelative(6.36f, 53.29f)
                lineToRelative(3.59f, 30.05f)
                arcToRelative(64.49f, 64.49f, 0.0f, false, true, 22.74f, 29.93f)
                curveToRelative(4.39f, 11.88f, 5.29f, 25.19f, 1.75f, 38.39f)
                close()
                moveTo(255.58f, 234.34f)
                curveToRelative(-18.55f, -4.97f, -34.21f, 4.04f, -39.17f, 22.53f)
                curveToRelative(-4.96f, 18.49f, 4.11f, 34.12f, 22.65f, 39.09f)
                curveToRelative(18.55f, 4.97f, 45.54f, 15.51f, 50.49f, -2.98f)
                curveToRelative(4.96f, -18.49f, -15.43f, -53.67f, -33.97f, -58.64f)
                close()
                moveTo(546.19f, 262.51f)
                lineToRelative(-6.36f, -53.29f)
                curveToRelative(-0.58f, -4.87f, -1.89f, -9.53f, -3.82f, -13.86f)
                curveToRelative(-5.8f, -12.99f, -17.2f, -23.01f, -31.42f, -26.82f)
                lineToRelative(-122.68f, -32.87f)
                arcToRelative(48.008f, 48.008f, 0.0f, false, false, -50.86f, 17.61f)
                lineToRelative(-32.15f, 42.97f)
                lineToRelative(172.0f, 46.08f)
                lineToRelative(75.29f, 20.18f)
                close()
                moveTo(564.68f, 317.16f)
                curveToRelative(-18.55f, -4.97f, -53.8f, 15.31f, -58.75f, 33.79f)
                curveToRelative(-4.95f, 18.49f, 23.69f, 22.86f, 42.24f, 27.83f)
                curveToRelative(18.55f, 4.97f, 34.21f, -4.04f, 39.17f, -22.53f)
                curveToRelative(4.95f, -18.48f, -4.11f, -34.12f, -22.66f, -39.09f)
                close()
            }
        }
        .build()
        return _carCrash!!
    }

private var _carCrash: ImageVector? = null
