package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Fingerprint: ImageVector
    get() {
        if (_fingerprint != null) {
            return _fingerprint!!
        }
        _fingerprint = Builder(name = "Fingerprint", defaultWidth = 512.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(256.12f, 245.96f)
                curveToRelative(-13.25f, 0.0f, -24.0f, 10.74f, -24.0f, 24.0f)
                curveToRelative(1.14f, 72.25f, -8.14f, 141.9f, -27.7f, 211.55f)
                curveToRelative(-2.73f, 9.72f, 2.15f, 30.49f, 23.12f, 30.49f)
                curveToRelative(10.48f, 0.0f, 20.11f, -6.92f, 23.09f, -17.52f)
                curveToRelative(13.53f, -47.91f, 31.04f, -125.41f, 29.48f, -224.52f)
                curveToRelative(0.01f, -13.25f, -10.73f, -24.0f, -23.99f, -24.0f)
                close()
                moveTo(255.26f, 164.23f)
                curveTo(194.0f, 164.16f, 151.25f, 211.3f, 152.1f, 265.32f)
                curveToRelative(0.75f, 47.94f, -3.75f, 95.91f, -13.37f, 142.55f)
                curveToRelative(-2.69f, 12.98f, 5.67f, 25.69f, 18.64f, 28.36f)
                curveToRelative(13.05f, 2.67f, 25.67f, -5.66f, 28.36f, -18.64f)
                curveToRelative(10.34f, -50.09f, 15.17f, -101.58f, 14.37f, -153.02f)
                curveToRelative(-0.41f, -25.95f, 19.92f, -52.49f, 54.45f, -52.34f)
                curveToRelative(31.31f, 0.47f, 57.15f, 25.34f, 57.62f, 55.47f)
                curveToRelative(0.77f, 48.05f, -2.81f, 96.33f, -10.61f, 143.55f)
                curveToRelative(-2.17f, 13.06f, 6.69f, 25.42f, 19.76f, 27.58f)
                curveToRelative(19.97f, 3.33f, 26.81f, -15.1f, 27.58f, -19.77f)
                curveToRelative(8.28f, -50.03f, 12.06f, -101.21f, 11.27f, -152.11f)
                curveToRelative(-0.88f, -55.8f, -47.94f, -101.88f, -104.91f, -102.72f)
                close()
                moveTo(144.57f, 144.45f)
                curveToRelative(-10.3f, -8.34f, -25.37f, -6.8f, -33.76f, 3.48f)
                curveToRelative(-25.62f, 31.5f, -39.39f, 71.28f, -38.75f, 112.0f)
                curveToRelative(0.59f, 37.58f, -2.47f, 75.27f, -9.11f, 112.05f)
                curveToRelative(-2.34f, 13.05f, 6.31f, 25.53f, 19.36f, 27.89f)
                curveToRelative(20.11f, 3.5f, 27.07f, -14.81f, 27.89f, -19.36f)
                curveToRelative(7.19f, -39.84f, 10.5f, -80.66f, 9.86f, -121.33f)
                curveToRelative(-0.47f, -29.88f, 9.2f, -57.88f, 28.0f, -80.97f)
                curveToRelative(8.35f, -10.28f, 6.79f, -25.39f, -3.49f, -33.76f)
                close()
                moveTo(254.04f, 82.12f)
                curveToRelative(-15.41f, -0.41f, -30.87f, 1.44f, -45.78f, 4.97f)
                curveToRelative(-12.89f, 3.06f, -20.87f, 15.98f, -17.83f, 28.89f)
                curveToRelative(3.06f, 12.89f, 16.0f, 20.83f, 28.89f, 17.83f)
                curveToRelative(11.05f, -2.61f, 22.47f, -3.77f, 34.0f, -3.69f)
                curveToRelative(75.43f, 1.13f, 137.73f, 61.5f, 138.88f, 134.58f)
                curveToRelative(0.59f, 37.88f, -1.28f, 76.11f, -5.58f, 113.63f)
                curveToRelative(-1.5f, 13.17f, 7.95f, 25.08f, 21.11f, 26.58f)
                curveToRelative(16.72f, 1.95f, 25.51f, -11.88f, 26.58f, -21.11f)
                arcToRelative(929.06f, 929.06f, 0.0f, false, false, 5.89f, -119.85f)
                curveToRelative(-1.56f, -98.75f, -85.07f, -180.33f, -186.16f, -181.83f)
                close()
                moveTo(506.11f, 203.57f)
                curveToRelative(-2.86f, -12.92f, -15.51f, -21.2f, -28.61f, -18.27f)
                curveToRelative(-12.94f, 2.86f, -21.12f, 15.66f, -18.26f, 28.61f)
                curveToRelative(4.71f, 21.41f, 4.91f, 37.41f, 4.7f, 61.6f)
                curveToRelative(-0.11f, 13.27f, 10.55f, 24.09f, 23.8f, 24.2f)
                horizontalLineToRelative(0.2f)
                curveToRelative(13.17f, 0.0f, 23.89f, -10.61f, 24.0f, -23.8f)
                curveToRelative(0.18f, -22.18f, 0.4f, -44.11f, -5.83f, -72.34f)
                close()
                moveTo(465.99f, 112.85f)
                curveTo(417.29f, 43.46f, 337.6f, 1.29f, 252.81f, 0.02f)
                curveTo(183.02f, -0.82f, 118.47f, 24.91f, 70.46f, 72.94f)
                curveTo(24.09f, 119.37f, -0.9f, 181.04f, 0.14f, 246.65f)
                lineToRelative(-0.12f, 21.47f)
                curveToRelative(-0.39f, 13.25f, 10.03f, 24.31f, 23.28f, 24.69f)
                curveToRelative(0.23f, 0.02f, 0.48f, 0.02f, 0.72f, 0.02f)
                curveToRelative(12.92f, 0.0f, 23.59f, -10.3f, 23.97f, -23.3f)
                lineToRelative(0.16f, -23.64f)
                curveToRelative(-0.83f, -52.5f, 19.16f, -101.86f, 56.28f, -139.0f)
                curveToRelative(38.76f, -38.8f, 91.34f, -59.67f, 147.68f, -58.86f)
                curveToRelative(69.45f, 1.03f, 134.73f, 35.56f, 174.62f, 92.39f)
                curveToRelative(7.61f, 10.86f, 22.56f, 13.45f, 33.42f, 5.86f)
                curveToRelative(10.84f, -7.62f, 13.46f, -22.59f, 5.84f, -33.43f)
                close()
            }
        }
        .build()
        return _fingerprint!!
    }

private var _fingerprint: ImageVector? = null
