package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.FlagUsa: ImageVector
    get() {
        if (_flagUsa != null) {
            return _flagUsa!!
        }
        _flagUsa = Builder(name = "FlagUsa", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(32.0f, 0.0f)
                curveTo(14.3f, 0.0f, 0.0f, 14.3f, 0.0f, 32.0f)
                verticalLineToRelative(464.0f)
                curveToRelative(0.0f, 8.8f, 7.2f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(32.0f)
                curveToRelative(8.8f, 0.0f, 16.0f, -7.2f, 16.0f, -16.0f)
                lineTo(64.0f, 32.0f)
                curveTo(64.0f, 14.3f, 49.7f, 0.0f, 32.0f, 0.0f)
                close()
                moveTo(299.9f, 303.6f)
                curveToRelative(-57.2f, -15.1f, -111.7f, -28.8f, -203.9f, 11.1f)
                lineTo(96.0f, 384.0f)
                curveToRelative(185.7f, -92.2f, 221.7f, 53.3f, 397.5f, -23.1f)
                curveToRelative(11.4f, -5.0f, 18.5f, -16.5f, 18.5f, -28.8f)
                verticalLineToRelative(-36.0f)
                curveToRelative(-43.6f, 17.3f, -80.2f, 24.1f, -112.1f, 24.1f)
                curveToRelative(-37.4f, -0.1f, -68.9f, -8.4f, -100.0f, -16.6f)
                close()
                moveTo(299.9f, 207.6f)
                curveToRelative(-57.2f, -15.1f, -111.7f, -28.8f, -203.9f, 11.1f)
                verticalLineToRelative(61.5f)
                curveToRelative(94.8f, -37.6f, 154.6f, -22.7f, 212.1f, -7.6f)
                curveToRelative(57.2f, 15.1f, 111.7f, 28.8f, 203.9f, -11.1f)
                lineTo(512.0f, 200.0f)
                curveToRelative(-43.6f, 17.3f, -80.2f, 24.1f, -112.1f, 24.1f)
                curveToRelative(-37.4f, 0.0f, -68.9f, -8.3f, -100.0f, -16.5f)
                close()
                moveTo(309.4f, 81.7f)
                curveToRelative(51.8f, 15.6f, 97.4f, 29.0f, 202.6f, -20.1f)
                lineTo(512.0f, 30.8f)
                curveToRelative(0.0f, -25.1f, -26.8f, -38.1f, -49.4f, -26.6f)
                curveTo(291.3f, 91.5f, 305.4f, -62.2f, 96.0f, 32.4f)
                verticalLineToRelative(151.9f)
                curveToRelative(94.8f, -37.5f, 154.6f, -22.7f, 212.1f, -7.6f)
                curveToRelative(57.2f, 15.0f, 111.7f, 28.7f, 203.9f, -11.1f)
                lineTo(512.0f, 96.7f)
                curveToRelative(-53.6f, 23.5f, -93.3f, 31.4f, -126.1f, 31.4f)
                reflectiveCurveToRelative(-59.0f, -7.8f, -85.7f, -15.9f)
                curveToRelative(-4.0f, -1.2f, -8.1f, -2.4f, -12.1f, -3.5f)
                lineTo(288.1f, 75.5f)
                curveToRelative(7.2f, 2.0f, 14.3f, 4.1f, 21.3f, 6.2f)
                close()
                moveTo(160.0f, 128.1f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.1f, -16.0f, -16.0f)
                curveToRelative(0.0f, -8.8f, 7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.1f, 16.0f, 16.0f)
                reflectiveCurveToRelative(-7.2f, 16.0f, -16.0f, 16.0f)
                close()
                moveTo(160.0f, 72.3f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.1f, -16.0f, -16.0f)
                curveToRelative(0.0f, -8.8f, 7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.1f, 16.0f, 16.0f)
                curveToRelative(0.0f, 8.8f, -7.2f, 16.0f, -16.0f, 16.0f)
                close()
                moveTo(224.0f, 120.2f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.1f, -16.0f, -16.0f)
                curveToRelative(0.0f, -8.8f, 7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.1f, 16.0f, 16.0f)
                curveToRelative(0.0f, 8.8f, -7.2f, 16.0f, -16.0f, 16.0f)
                close()
                moveTo(224.0f, 64.3f)
                curveToRelative(-8.8f, 0.0f, -16.0f, -7.1f, -16.0f, -16.0f)
                curveToRelative(0.0f, -8.8f, 7.2f, -16.0f, 16.0f, -16.0f)
                reflectiveCurveToRelative(16.0f, 7.1f, 16.0f, 16.0f)
                curveToRelative(0.0f, 8.8f, -7.2f, 16.0f, -16.0f, 16.0f)
                close()
            }
        }
        .build()
        return _flagUsa!!
    }

private var _flagUsa: ImageVector? = null
