package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Hotel: ImageVector
    get() {
        if (_hotel != null) {
            return _hotel!!
        }
        _hotel = Builder(name = "Hotel", defaultWidth = 576.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(560.0f, 64.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                lineTo(576.0f, 16.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                lineTo(16.0f, 0.0f)
                curveTo(7.16f, 0.0f, 0.0f, 7.16f, 0.0f, 16.0f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(15.98f)
                verticalLineToRelative(384.0f)
                lineTo(16.0f, 448.0f)
                curveToRelative(-8.84f, 0.0f, -16.0f, 7.16f, -16.0f, 16.0f)
                verticalLineToRelative(32.0f)
                curveToRelative(0.0f, 8.84f, 7.16f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(240.0f)
                verticalLineToRelative(-80.0f)
                curveToRelative(0.0f, -8.8f, 7.2f, -16.0f, 16.0f, -16.0f)
                horizontalLineToRelative(32.0f)
                curveToRelative(8.8f, 0.0f, 16.0f, 7.2f, 16.0f, 16.0f)
                verticalLineToRelative(80.0f)
                horizontalLineToRelative(240.0f)
                curveToRelative(8.84f, 0.0f, 16.0f, -7.16f, 16.0f, -16.0f)
                verticalLineToRelative(-32.0f)
                curveToRelative(0.0f, -8.84f, -7.16f, -16.0f, -16.0f, -16.0f)
                horizontalLineToRelative(-16.0f)
                lineTo(544.0f, 64.0f)
                horizontalLineToRelative(16.0f)
                close()
                moveTo(256.0f, 108.8f)
                curveToRelative(0.0f, -6.4f, 6.4f, -12.8f, 12.8f, -12.8f)
                horizontalLineToRelative(38.4f)
                curveToRelative(6.4f, 0.0f, 12.8f, 6.4f, 12.8f, 12.8f)
                verticalLineToRelative(38.4f)
                curveToRelative(0.0f, 6.4f, -6.4f, 12.8f, -12.8f, 12.8f)
                horizontalLineToRelative(-38.4f)
                curveToRelative(-6.4f, 0.0f, -12.8f, -6.4f, -12.8f, -12.8f)
                verticalLineToRelative(-38.4f)
                close()
                moveTo(256.0f, 204.8f)
                curveToRelative(0.0f, -6.4f, 6.4f, -12.8f, 12.8f, -12.8f)
                horizontalLineToRelative(38.4f)
                curveToRelative(6.4f, 0.0f, 12.8f, 6.4f, 12.8f, 12.8f)
                verticalLineToRelative(38.4f)
                curveToRelative(0.0f, 6.4f, -6.4f, 12.8f, -12.8f, 12.8f)
                horizontalLineToRelative(-38.4f)
                curveToRelative(-6.4f, 0.0f, -12.8f, -6.4f, -12.8f, -12.8f)
                verticalLineToRelative(-38.4f)
                close()
                moveTo(128.0f, 108.8f)
                curveToRelative(0.0f, -6.4f, 6.4f, -12.8f, 12.8f, -12.8f)
                horizontalLineToRelative(38.4f)
                curveToRelative(6.4f, 0.0f, 12.8f, 6.4f, 12.8f, 12.8f)
                verticalLineToRelative(38.4f)
                curveToRelative(0.0f, 6.4f, -6.4f, 12.8f, -12.8f, 12.8f)
                horizontalLineToRelative(-38.4f)
                curveToRelative(-6.4f, 0.0f, -12.8f, -6.4f, -12.8f, -12.8f)
                verticalLineToRelative(-38.4f)
                close()
                moveTo(179.2f, 256.0f)
                horizontalLineToRelative(-38.4f)
                curveToRelative(-6.4f, 0.0f, -12.8f, -6.4f, -12.8f, -12.8f)
                verticalLineToRelative(-38.4f)
                curveToRelative(0.0f, -6.4f, 6.4f, -12.8f, 12.8f, -12.8f)
                horizontalLineToRelative(38.4f)
                curveToRelative(6.4f, 0.0f, 12.8f, 6.4f, 12.8f, 12.8f)
                verticalLineToRelative(38.4f)
                curveToRelative(0.0f, 6.4f, -6.4f, 12.8f, -12.8f, 12.8f)
                close()
                moveTo(192.0f, 384.0f)
                curveToRelative(0.0f, -53.02f, 42.98f, -96.0f, 96.0f, -96.0f)
                reflectiveCurveToRelative(96.0f, 42.98f, 96.0f, 96.0f)
                lineTo(192.0f, 384.0f)
                close()
                moveTo(448.0f, 243.2f)
                curveToRelative(0.0f, 6.4f, -6.4f, 12.8f, -12.8f, 12.8f)
                horizontalLineToRelative(-38.4f)
                curveToRelative(-6.4f, 0.0f, -12.8f, -6.4f, -12.8f, -12.8f)
                verticalLineToRelative(-38.4f)
                curveToRelative(0.0f, -6.4f, 6.4f, -12.8f, 12.8f, -12.8f)
                horizontalLineToRelative(38.4f)
                curveToRelative(6.4f, 0.0f, 12.8f, 6.4f, 12.8f, 12.8f)
                verticalLineToRelative(38.4f)
                close()
                moveTo(448.0f, 147.2f)
                curveToRelative(0.0f, 6.4f, -6.4f, 12.8f, -12.8f, 12.8f)
                horizontalLineToRelative(-38.4f)
                curveToRelative(-6.4f, 0.0f, -12.8f, -6.4f, -12.8f, -12.8f)
                verticalLineToRelative(-38.4f)
                curveToRelative(0.0f, -6.4f, 6.4f, -12.8f, 12.8f, -12.8f)
                horizontalLineToRelative(38.4f)
                curveToRelative(6.4f, 0.0f, 12.8f, 6.4f, 12.8f, 12.8f)
                verticalLineToRelative(38.4f)
                close()
            }
        }
        .build()
        return _hotel!!
    }

private var _hotel: ImageVector? = null
