package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Kaaba: ImageVector
    get() {
        if (_kaaba != null) {
            return _kaaba!!
        }
        _kaaba = Builder(name = "Kaaba", defaultWidth = 576.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(554.12f, 83.51f)
                lineTo(318.36f, 4.93f)
                arcToRelative(95.962f, 95.962f, 0.0f, false, false, -60.71f, 0.0f)
                lineTo(21.88f, 83.51f)
                arcTo(32.006f, 32.006f, 0.0f, false, false, 0.0f, 113.87f)
                verticalLineToRelative(49.01f)
                lineToRelative(265.02f, -79.51f)
                curveToRelative(15.03f, -4.5f, 30.92f, -4.5f, 45.98f, 0.0f)
                lineToRelative(265.0f, 79.51f)
                verticalLineToRelative(-49.01f)
                curveToRelative(0.0f, -13.77f, -8.81f, -26.0f, -21.88f, -30.36f)
                close()
                moveTo(274.22f, 114.03f)
                lineTo(0.0f, 196.3f)
                verticalLineToRelative(228.38f)
                curveToRelative(0.0f, 15.0f, 10.42f, 27.98f, 25.06f, 31.24f)
                lineToRelative(242.12f, 53.8f)
                arcToRelative(95.937f, 95.937f, 0.0f, false, false, 41.65f, 0.0f)
                lineToRelative(242.12f, -53.8f)
                curveToRelative(14.64f, -3.25f, 25.06f, -16.24f, 25.06f, -31.24f)
                lineTo(576.01f, 196.29f)
                lineToRelative(-274.2f, -82.26f)
                curveToRelative(-9.04f, -2.72f, -18.59f, -2.72f, -27.59f, 0.0f)
                close()
                moveTo(128.0f, 230.11f)
                curveToRelative(0.0f, 3.61f, -2.41f, 6.77f, -5.89f, 7.72f)
                lineToRelative(-80.0f, 21.82f)
                curveTo(37.02f, 261.03f, 32.0f, 257.2f, 32.0f, 251.93f)
                verticalLineToRelative(-16.58f)
                curveToRelative(0.0f, -3.61f, 2.41f, -6.77f, 5.89f, -7.72f)
                lineToRelative(80.0f, -21.82f)
                curveToRelative(5.09f, -1.39f, 10.11f, 2.44f, 10.11f, 7.72f)
                verticalLineToRelative(16.58f)
                close()
                moveTo(272.0f, 190.83f)
                curveToRelative(0.0f, 3.61f, -2.41f, 6.77f, -5.89f, 7.72f)
                lineToRelative(-96.0f, 26.18f)
                curveToRelative(-5.09f, 1.39f, -10.11f, -2.44f, -10.11f, -7.72f)
                verticalLineToRelative(-16.58f)
                curveToRelative(0.0f, -3.61f, 2.41f, -6.77f, 5.89f, -7.72f)
                lineToRelative(96.0f, -26.18f)
                curveToRelative(5.09f, -1.39f, 10.11f, 2.44f, 10.11f, 7.72f)
                verticalLineToRelative(16.58f)
                close()
                moveTo(448.0f, 213.53f)
                curveToRelative(0.0f, -5.28f, 5.02f, -9.11f, 10.11f, -7.72f)
                lineToRelative(80.0f, 21.82f)
                curveToRelative(3.48f, 0.95f, 5.89f, 4.11f, 5.89f, 7.72f)
                verticalLineToRelative(16.58f)
                curveToRelative(0.0f, 5.28f, -5.02f, 9.11f, -10.11f, 7.72f)
                lineToRelative(-80.0f, -21.82f)
                arcToRelative(7.997f, 7.997f, 0.0f, false, true, -5.89f, -7.72f)
                verticalLineToRelative(-16.58f)
                close()
                moveTo(304.0f, 174.26f)
                curveToRelative(0.0f, -5.28f, 5.02f, -9.11f, 10.11f, -7.72f)
                lineToRelative(96.0f, 26.18f)
                curveToRelative(3.48f, 0.95f, 5.89f, 4.11f, 5.89f, 7.72f)
                verticalLineToRelative(16.58f)
                curveToRelative(0.0f, 5.28f, -5.02f, 9.11f, -10.11f, 7.72f)
                lineToRelative(-96.0f, -26.18f)
                arcToRelative(7.997f, 7.997f, 0.0f, false, true, -5.89f, -7.72f)
                verticalLineToRelative(-16.58f)
                close()
            }
        }
        .build()
        return _kaaba!!
    }

private var _kaaba: ImageVector? = null
