package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.KissWinkHeart: ImageVector
    get() {
        if (_kissWinkHeart != null) {
            return _kissWinkHeart!!
        }
        _kissWinkHeart = Builder(name = "KissWinkHeart", defaultWidth = 504.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 504.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(501.1f, 402.5f)
                curveToRelative(-8.0f, -20.8f, -31.5f, -31.5f, -53.1f, -25.9f)
                lineToRelative(-8.4f, 2.2f)
                lineToRelative(-2.3f, -8.4f)
                curveToRelative(-5.9f, -21.4f, -27.0f, -36.5f, -49.0f, -33.0f)
                curveToRelative(-25.2f, 4.0f, -40.6f, 28.6f, -34.0f, 52.6f)
                lineToRelative(22.9f, 82.6f)
                curveToRelative(1.5f, 5.3f, 7.0f, 8.5f, 12.4f, 7.1f)
                lineToRelative(83.0f, -21.5f)
                curveToRelative(24.1f, -6.3f, 37.7f, -31.8f, 28.5f, -55.7f)
                close()
                moveTo(323.5f, 398.5f)
                curveToRelative(-5.6f, -20.3f, -2.3f, -42.0f, 9.0f, -59.7f)
                curveToRelative(29.7f, -46.3f, 98.7f, -45.5f, 127.8f, 4.3f)
                curveToRelative(6.4f, 0.1f, 12.6f, 1.4f, 18.6f, 2.9f)
                curveToRelative(10.9f, -27.9f, 17.1f, -58.2f, 17.1f, -90.0f)
                curveTo(496.0f, 119.0f, 385.0f, 8.0f, 248.0f, 8.0f)
                reflectiveCurveTo(0.0f, 119.0f, 0.0f, 256.0f)
                reflectiveCurveToRelative(111.0f, 248.0f, 248.0f, 248.0f)
                curveToRelative(35.4f, 0.0f, 68.9f, -7.5f, 99.4f, -20.9f)
                curveToRelative(-0.3f, -0.7f, -23.9f, -84.6f, -23.9f, -84.6f)
                close()
                moveTo(168.0f, 240.0f)
                curveToRelative(-17.7f, 0.0f, -32.0f, -14.3f, -32.0f, -32.0f)
                reflectiveCurveToRelative(14.3f, -32.0f, 32.0f, -32.0f)
                reflectiveCurveToRelative(32.0f, 14.3f, 32.0f, 32.0f)
                reflectiveCurveToRelative(-14.3f, 32.0f, -32.0f, 32.0f)
                close()
                moveTo(288.0f, 396.0f)
                curveToRelative(0.0f, 19.2f, -28.7f, 41.5f, -71.5f, 44.0f)
                curveToRelative(-8.5f, 0.8f, -12.1f, -11.8f, -3.6f, -15.4f)
                lineToRelative(17.0f, -7.2f)
                curveToRelative(13.0f, -5.5f, 20.8f, -13.5f, 20.8f, -21.5f)
                reflectiveCurveToRelative(-7.8f, -16.0f, -20.8f, -21.5f)
                lineToRelative(-17.0f, -7.2f)
                curveToRelative(-6.0f, -2.5f, -5.7f, -12.3f, 0.0f, -14.8f)
                lineToRelative(17.0f, -7.2f)
                curveToRelative(13.0f, -5.5f, 20.8f, -13.5f, 20.8f, -21.5f)
                reflectiveCurveToRelative(-7.8f, -16.0f, -20.8f, -21.5f)
                lineToRelative(-17.0f, -7.2f)
                curveToRelative(-8.8f, -3.7f, -4.6f, -16.6f, 3.6f, -15.4f)
                curveToRelative(42.8f, 2.5f, 71.5f, 24.8f, 71.5f, 44.0f)
                curveToRelative(0.0f, 13.0f, -13.4f, 27.3f, -35.2f, 36.0f)
                curveTo(274.6f, 368.7f, 288.0f, 383.0f, 288.0f, 396.0f)
                close()
                moveTo(304.0f, 217.0f)
                curveToRelative(-8.3f, 7.4f, -21.6f, 0.4f, -19.8f, -10.8f)
                curveToRelative(4.0f, -25.2f, 34.2f, -42.1f, 59.9f, -42.1f)
                reflectiveCurveTo(400.0f, 181.0f, 404.0f, 206.2f)
                curveToRelative(1.7f, 11.1f, -11.3f, 18.3f, -19.8f, 10.8f)
                lineToRelative(-9.5f, -8.5f)
                curveToRelative(-14.8f, -13.2f, -46.2f, -13.2f, -61.0f, 0.0f)
                lineTo(304.0f, 217.0f)
                close()
            }
        }
        .build()
        return _kissWinkHeart!!
    }

private var _kissWinkHeart: ImageVector? = null
