package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.PersonBooth: ImageVector
    get() {
        if (_personBooth != null) {
            return _personBooth!!
        }
        _personBooth = Builder(name = "PersonBooth", defaultWidth = 576.0.dp, defaultHeight =
                512.0.dp, viewportWidth = 576.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(192.0f, 496.0f)
                curveToRelative(0.0f, 8.8f, 7.2f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(32.0f)
                curveToRelative(8.8f, 0.0f, 16.0f, -7.2f, 16.0f, -16.0f)
                lineTo(256.0f, 320.0f)
                horizontalLineToRelative(-64.0f)
                verticalLineToRelative(176.0f)
                close()
                moveTo(224.0f, 224.0f)
                horizontalLineToRelative(-50.9f)
                lineToRelative(-45.2f, -45.3f)
                curveTo(115.8f, 166.6f, 99.7f, 160.0f, 82.7f, 160.0f)
                lineTo(64.0f, 160.0f)
                curveToRelative(-17.1f, 0.0f, -33.2f, 6.7f, -45.3f, 18.8f)
                curveTo(6.7f, 190.9f, 0.0f, 207.0f, 0.0f, 224.1f)
                lineTo(0.2f, 320.0f)
                lineTo(0.0f, 480.0f)
                curveToRelative(0.0f, 17.7f, 14.3f, 32.0f, 31.9f, 32.0f)
                curveToRelative(17.6f, 0.0f, 32.0f, -14.3f, 32.0f, -32.0f)
                lineToRelative(0.1f, -100.7f)
                curveToRelative(0.9f, 0.5f, 1.6f, 1.3f, 2.5f, 1.7f)
                lineToRelative(29.1f, 43.0f)
                verticalLineToRelative(56.0f)
                curveToRelative(0.0f, 17.7f, 14.3f, 32.0f, 32.0f, 32.0f)
                reflectiveCurveToRelative(32.0f, -14.3f, 32.0f, -32.0f)
                verticalLineToRelative(-56.5f)
                curveToRelative(0.0f, -9.9f, -2.3f, -19.8f, -6.7f, -28.6f)
                lineToRelative(-41.2f, -61.3f)
                lineTo(111.7f, 253.0f)
                lineToRelative(20.9f, 20.9f)
                curveToRelative(9.1f, 9.1f, 21.1f, 14.1f, 33.9f, 14.1f)
                lineTo(224.0f, 288.0f)
                curveToRelative(17.7f, 0.0f, 32.0f, -14.3f, 32.0f, -32.0f)
                reflectiveCurveToRelative(-14.3f, -32.0f, -32.0f, -32.0f)
                close()
                moveTo(64.0f, 128.0f)
                curveToRelative(26.5f, 0.0f, 48.0f, -21.5f, 48.0f, -48.0f)
                reflectiveCurveTo(90.5f, 32.0f, 64.0f, 32.0f)
                reflectiveCurveTo(16.0f, 53.5f, 16.0f, 80.0f)
                reflectiveCurveToRelative(21.5f, 48.0f, 48.0f, 48.0f)
                close()
                moveTo(288.0f, 32.0f)
                lineToRelative(31.5f, 223.1f)
                lineToRelative(-30.9f, 154.6f)
                curveToRelative(-4.3f, 21.6f, 13.0f, 38.3f, 31.4f, 38.3f)
                curveToRelative(15.2f, 0.0f, 28.0f, -9.1f, 32.3f, -30.4f)
                curveToRelative(0.9f, 16.9f, 14.6f, 30.4f, 31.7f, 30.4f)
                curveToRelative(17.7f, 0.0f, 32.0f, -14.3f, 32.0f, -32.0f)
                curveToRelative(0.0f, 17.7f, 14.3f, 32.0f, 32.0f, 32.0f)
                reflectiveCurveToRelative(32.0f, -14.3f, 32.0f, -32.0f)
                lineTo(480.0f, 0.0f)
                lineTo(288.0f, 0.0f)
                verticalLineToRelative(32.0f)
                close()
                moveTo(192.0f, 32.0f)
                verticalLineToRelative(160.0f)
                horizontalLineToRelative(64.0f)
                lineTo(256.0f, 0.0f)
                horizontalLineToRelative(-32.0f)
                curveToRelative(-17.7f, 0.0f, -32.0f, 14.3f, -32.0f, 32.0f)
                close()
                moveTo(544.0f, 0.0f)
                horizontalLineToRelative(-32.0f)
                verticalLineToRelative(496.0f)
                curveToRelative(0.0f, 8.8f, 7.2f, 16.0f, 16.0f, 16.0f)
                horizontalLineToRelative(32.0f)
                curveToRelative(8.8f, 0.0f, 16.0f, -7.2f, 16.0f, -16.0f)
                lineTo(576.0f, 32.0f)
                curveToRelative(0.0f, -17.7f, -14.3f, -32.0f, -32.0f, -32.0f)
                close()
            }
        }
        .build()
        return _personBooth!!
    }

private var _personBooth: ImageVector? = null
