package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Recycle: ImageVector
    get() {
        if (_recycle != null) {
            return _recycle!!
        }
        _recycle = Builder(name = "Recycle", defaultWidth = 512.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 512.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(184.561f, 261.903f)
                curveToRelative(3.232f, 13.997f, -12.123f, 24.635f, -24.068f, 17.168f)
                lineToRelative(-40.736f, -25.455f)
                lineToRelative(-50.867f, 81.402f)
                curveTo(55.606f, 356.273f, 70.96f, 384.0f, 96.012f, 384.0f)
                lineTo(148.0f, 384.0f)
                curveToRelative(6.627f, 0.0f, 12.0f, 5.373f, 12.0f, 12.0f)
                verticalLineToRelative(40.0f)
                curveToRelative(0.0f, 6.627f, -5.373f, 12.0f, -12.0f, 12.0f)
                lineTo(96.115f, 448.0f)
                curveToRelative(-75.334f, 0.0f, -121.302f, -83.048f, -81.408f, -146.88f)
                lineToRelative(50.822f, -81.388f)
                lineToRelative(-40.725f, -25.448f)
                curveToRelative(-12.081f, -7.547f, -8.966f, -25.961f, 4.879f, -29.158f)
                lineToRelative(110.237f, -25.45f)
                curveToRelative(8.611f, -1.988f, 17.201f, 3.381f, 19.189f, 11.99f)
                lineToRelative(25.452f, 110.237f)
                close()
                moveTo(283.122f, 78.988f)
                lineToRelative(41.289f, 66.076f)
                lineToRelative(-40.74f, 25.457f)
                curveToRelative(-12.051f, 7.528f, -9.0f, 25.953f, 4.879f, 29.158f)
                lineToRelative(110.237f, 25.45f)
                curveToRelative(8.672f, 1.999f, 17.215f, -3.438f, 19.189f, -11.99f)
                lineToRelative(25.45f, -110.237f)
                curveToRelative(3.197f, -13.844f, -11.99f, -24.719f, -24.068f, -17.168f)
                lineToRelative(-40.687f, 25.424f)
                lineToRelative(-41.263f, -66.082f)
                curveToRelative(-37.521f, -60.033f, -125.209f, -60.171f, -162.816f, 0.0f)
                lineToRelative(-17.963f, 28.766f)
                curveToRelative(-3.51f, 5.62f, -1.8f, 13.021f, 3.82f, 16.533f)
                lineToRelative(33.919f, 21.195f)
                curveToRelative(5.62f, 3.512f, 13.024f, 1.803f, 16.536f, -3.817f)
                lineToRelative(17.961f, -28.743f)
                curveToRelative(12.712f, -20.341f, 41.973f, -19.676f, 54.257f, -0.022f)
                close()
                moveTo(497.288f, 301.12f)
                lineToRelative(-27.515f, -44.065f)
                curveToRelative(-3.511f, -5.623f, -10.916f, -7.334f, -16.538f, -3.821f)
                lineToRelative(-33.861f, 21.159f)
                curveToRelative(-5.62f, 3.512f, -7.33f, 10.915f, -3.818f, 16.536f)
                lineToRelative(27.564f, 44.112f)
                curveToRelative(13.257f, 21.211f, -2.057f, 48.96f, -27.136f, 48.96f)
                lineTo(320.0f, 384.001f)
                lineTo(320.0f, 336.02f)
                curveToRelative(0.0f, -14.213f, -17.242f, -21.383f, -27.313f, -11.313f)
                lineToRelative(-80.0f, 79.981f)
                curveToRelative(-6.249f, 6.248f, -6.249f, 16.379f, 0.0f, 22.627f)
                lineToRelative(80.0f, 79.989f)
                curveTo(302.689f, 517.308f, 320.0f, 510.3f, 320.0f, 495.989f)
                lineTo(320.0f, 448.0f)
                horizontalLineToRelative(95.88f)
                curveToRelative(75.274f, 0.0f, 121.335f, -82.997f, 81.408f, -146.88f)
                close()
            }
        }
        .build()
        return _recycle!!
    }

private var _recycle: ImageVector? = null
