package compose.icons.fontawesomeicons.solid

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.fontawesomeicons.SolidGroup

public val SolidGroup.Viruses: ImageVector
    get() {
        if (_viruses != null) {
            return _viruses!!
        }
        _viruses = Builder(name = "Viruses", defaultWidth = 640.0.dp, defaultHeight = 512.0.dp,
                viewportWidth = 640.0f, viewportHeight = 512.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(624.0f, 352.0f)
                lineTo(611.88f, 352.0f)
                curveToRelative(-28.51f, 0.0f, -42.79f, -34.47f, -22.63f, -54.63f)
                lineToRelative(8.58f, -8.57f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, -22.63f, -22.63f)
                lineToRelative(-8.57f, 8.58f)
                curveTo(546.47f, 294.91f, 512.0f, 280.63f, 512.0f, 252.12f)
                lineTo(512.0f, 240.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -32.0f, 0.0f)
                verticalLineToRelative(12.12f)
                curveToRelative(0.0f, 28.51f, -34.47f, 42.79f, -54.63f, 22.63f)
                lineToRelative(-8.57f, -8.58f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, -22.63f, 22.63f)
                lineToRelative(8.58f, 8.57f)
                curveToRelative(20.16f, 20.16f, 5.88f, 54.63f, -22.63f, 54.63f)
                lineTo(368.0f, 352.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 0.0f, 32.0f)
                horizontalLineToRelative(12.12f)
                curveToRelative(28.51f, 0.0f, 42.79f, 34.47f, 22.63f, 54.63f)
                lineToRelative(-8.58f, 8.57f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, 22.63f, 22.63f)
                lineToRelative(8.57f, -8.58f)
                curveToRelative(20.16f, -20.16f, 54.63f, -5.88f, 54.63f, 22.63f)
                lineTo(480.0f, 496.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 32.0f, 0.0f)
                lineTo(512.0f, 483.88f)
                curveToRelative(0.0f, -28.51f, 34.47f, -42.79f, 54.63f, -22.63f)
                lineToRelative(8.57f, 8.58f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, false, 22.63f, -22.63f)
                lineToRelative(-8.58f, -8.57f)
                curveTo(569.09f, 418.47f, 583.37f, 384.0f, 611.88f, 384.0f)
                lineTo(624.0f, 384.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, false, false, 0.0f, -32.0f)
                close()
                moveTo(480.0f, 384.0f)
                arcToRelative(32.0f, 32.0f, 0.0f, true, true, 32.0f, -32.0f)
                arcTo(32.0f, 32.0f, 0.0f, false, true, 480.0f, 384.0f)
                close()
                moveTo(346.51f, 213.33f)
                horizontalLineToRelative(16.16f)
                arcToRelative(21.33f, 21.33f, 0.0f, false, false, 0.0f, -42.66f)
                lineTo(346.51f, 170.67f)
                curveToRelative(-38.0f, 0.0f, -57.05f, -46.0f, -30.17f, -72.84f)
                lineToRelative(11.43f, -11.44f)
                arcTo(21.33f, 21.33f, 0.0f, false, false, 297.6f, 56.23f)
                lineTo(286.17f, 67.66f)
                curveToRelative(-26.88f, 26.88f, -72.84f, 7.85f, -72.84f, -30.17f)
                lineTo(213.33f, 21.33f)
                arcToRelative(21.33f, 21.33f, 0.0f, false, false, -42.66f, 0.0f)
                lineTo(170.67f, 37.49f)
                curveToRelative(0.0f, 38.0f, -46.0f, 57.05f, -72.84f, 30.17f)
                lineTo(86.4f, 56.23f)
                arcTo(21.33f, 21.33f, 0.0f, false, false, 56.23f, 86.39f)
                lineTo(67.66f, 97.83f)
                curveToRelative(26.88f, 26.88f, 7.85f, 72.84f, -30.17f, 72.84f)
                lineTo(21.33f, 170.67f)
                arcToRelative(21.33f, 21.33f, 0.0f, false, false, 0.0f, 42.66f)
                lineTo(37.49f, 213.33f)
                curveToRelative(38.0f, 0.0f, 57.05f, 46.0f, 30.17f, 72.84f)
                lineTo(56.23f, 297.6f)
                arcTo(21.33f, 21.33f, 0.0f, true, false, 86.4f, 327.77f)
                lineToRelative(11.43f, -11.43f)
                curveToRelative(26.88f, -26.88f, 72.84f, -7.85f, 72.84f, 30.17f)
                verticalLineToRelative(16.16f)
                arcToRelative(21.33f, 21.33f, 0.0f, false, false, 42.66f, 0.0f)
                lineTo(213.33f, 346.51f)
                curveToRelative(0.0f, -38.0f, 46.0f, -57.05f, 72.84f, -30.17f)
                lineToRelative(11.43f, 11.43f)
                arcToRelative(21.33f, 21.33f, 0.0f, false, false, 30.17f, -30.17f)
                lineToRelative(-11.43f, -11.43f)
                curveTo(289.46f, 259.29f, 308.49f, 213.33f, 346.51f, 213.33f)
                close()
                moveTo(160.0f, 192.0f)
                arcToRelative(32.0f, 32.0f, 0.0f, true, true, 32.0f, -32.0f)
                arcTo(32.0f, 32.0f, 0.0f, false, true, 160.0f, 192.0f)
                close()
                moveTo(240.0f, 224.0f)
                arcToRelative(16.0f, 16.0f, 0.0f, true, true, 16.0f, -16.0f)
                arcTo(16.0f, 16.0f, 0.0f, false, true, 240.0f, 224.0f)
                close()
            }
        }
        .build()
        return _viruses!!
    }

private var _viruses: ImageVector? = null
