package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Acm: ImageVector
    get() {
        if (_acm != null) {
            return _acm!!
        }
        _acm = Builder(name = "Acm", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp, viewportWidth
                = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.435f, 12.25f)
                curveToRelative(-0.08f, 0.025f, -0.15f, 0.072f, -0.202f, 0.135f)
                curveToRelative(-0.048f, 0.072f, -0.073f, 0.158f, -0.07f, 0.245f)
                curveToRelative(0.0f, 0.15f, 0.038f, 0.252f, 0.12f, 0.308f)
                curveToRelative(0.077f, 0.056f, 0.194f, 0.082f, 0.352f, 0.082f)
                curveToRelative(0.087f, 0.0f, 0.174f, -0.02f, 0.264f, -0.06f)
                curveToRelative(0.09f, -0.038f, 0.174f, -0.095f, 0.245f, -0.165f)
                verticalLineToRelative(-0.66f)
                curveToRelative(-0.168f, 0.015f, -0.303f, 0.03f, -0.405f, 0.045f)
                curveToRelative(-0.105f, 0.01f, -0.207f, 0.034f, -0.305f, 0.07f)
                close()
                moveTo(12.0f, 0.0f)
                lineTo(0.0f, 12.0f)
                lineToRelative(12.0f, 12.0f)
                lineToRelative(12.0f, -12.0f)
                lineTo(12.0f, 0.0f)
                close()
                moveTo(12.0f, 19.357f)
                curveTo(7.938f, 19.355f, 4.645f, 16.063f, 4.643f, 12.0f)
                curveTo(4.645f, 7.938f, 7.938f, 4.644f, 12.0f, 4.642f)
                curveToRelative(4.063f, 0.002f, 7.355f, 3.295f, 7.357f, 7.358f)
                curveToRelative(-0.002f, 4.063f, -3.294f, 7.355f, -7.357f, 7.357f)
                close()
                moveTo(12.0f, 5.377f)
                verticalLineToRelative(0.002f)
                curveToRelative(-3.654f, 0.0f, -6.62f, 2.966f, -6.62f, 6.62f)
                reflectiveCurveToRelative(2.966f, 6.62f, 6.62f, 6.62f)
                reflectiveCurveToRelative(6.62f, -2.966f, 6.62f, -6.62f)
                curveToRelative(0.0f, -3.656f, -2.964f, -6.62f, -6.62f, -6.623f)
                close()
                moveTo(9.138f, 13.623f)
                horizontalLineToRelative(-0.995f)
                verticalLineToRelative(-0.336f)
                lineToRelative(-0.182f, 0.154f)
                curveToRelative(-0.142f, 0.108f, -0.304f, 0.188f, -0.477f, 0.233f)
                curveToRelative(-0.082f, 0.02f, -0.202f, 0.035f, -0.352f, 0.035f)
                curveToRelative(-0.262f, 0.007f, -0.515f, -0.097f, -0.698f, -0.285f)
                curveToRelative(-0.187f, -0.19f, -0.277f, -0.426f, -0.277f, -0.716f)
                curveToRelative(0.0f, -0.238f, 0.046f, -0.427f, 0.14f, -0.574f)
                curveToRelative(0.1f, -0.15f, 0.24f, -0.27f, 0.405f, -0.348f)
                curveToRelative(0.205f, -0.09f, 0.423f, -0.152f, 0.646f, -0.18f)
                curveToRelative(0.25f, -0.033f, 0.516f, -0.06f, 0.803f, -0.078f)
                verticalLineToRelative(-0.017f)
                curveToRelative(0.0f, -0.176f, -0.066f, -0.297f, -0.196f, -0.363f)
                curveToRelative(-0.13f, -0.07f, -0.322f, -0.102f, -0.58f, -0.102f)
                curveToRelative(-0.117f, 0.0f, -0.254f, 0.02f, -0.41f, 0.063f)
                curveToRelative(-0.158f, 0.044f, -0.308f, 0.1f, -0.458f, 0.164f)
                lineTo(6.42f, 11.273f)
                verticalLineToRelative(-0.77f)
                curveToRelative(0.097f, -0.03f, 0.256f, -0.062f, 0.48f, -0.1f)
                curveToRelative(0.217f, -0.04f, 0.438f, -0.06f, 0.663f, -0.06f)
                curveToRelative(0.55f, 0.0f, 0.95f, 0.092f, 1.2f, 0.276f)
                curveToRelative(0.25f, 0.183f, 0.375f, 0.462f, 0.375f, 0.837f)
                verticalLineToRelative(2.168f)
                close()
                moveTo(12.358f, 13.456f)
                curveToRelative(-0.07f, 0.028f, -0.134f, 0.056f, -0.2f, 0.086f)
                curveToRelative(-0.074f, 0.03f, -0.15f, 0.058f, -0.23f, 0.08f)
                curveToRelative(-0.094f, 0.024f, -0.186f, 0.044f, -0.27f, 0.06f)
                curveToRelative(-0.084f, 0.014f, -0.196f, 0.022f, -0.336f, 0.022f)
                curveToRelative(-0.263f, 0.0f, -0.506f, -0.033f, -0.723f, -0.1f)
                curveToRelative(-0.21f, -0.062f, -0.406f, -0.165f, -0.57f, -0.307f)
                curveToRelative(-0.163f, -0.142f, -0.292f, -0.32f, -0.373f, -0.52f)
                curveToRelative(-0.09f, -0.21f, -0.135f, -0.457f, -0.135f, -0.738f)
                curveToRelative(-0.008f, -0.27f, 0.042f, -0.535f, 0.146f, -0.78f)
                curveToRelative(0.09f, -0.204f, 0.224f, -0.384f, 0.392f, -0.53f)
                curveToRelative(0.165f, -0.134f, 0.355f, -0.233f, 0.56f, -0.29f)
                curveToRelative(0.22f, -0.066f, 0.447f, -0.096f, 0.675f, -0.096f)
                curveToRelative(0.37f, 0.0f, 0.732f, 0.087f, 1.06f, 0.255f)
                verticalLineToRelative(0.854f)
                horizontalLineToRelative(-0.127f)
                curveToRelative(-0.048f, -0.043f, -0.096f, -0.085f, -0.147f, -0.124f)
                curveToRelative(-0.06f, -0.048f, -0.122f, -0.09f, -0.188f, -0.126f)
                curveToRelative(-0.167f, -0.095f, -0.357f, -0.144f, -0.55f, -0.14f)
                curveToRelative(-0.254f, 0.0f, -0.45f, 0.086f, -0.59f, 0.263f)
                curveToRelative(-0.138f, 0.177f, -0.21f, 0.414f, -0.21f, 0.714f)
                curveToRelative(0.0f, 0.32f, 0.075f, 0.56f, 0.225f, 0.715f)
                curveToRelative(0.15f, 0.157f, 0.347f, 0.235f, 0.592f, 0.235f)
                curveToRelative(0.11f, 0.0f, 0.222f, -0.013f, 0.33f, -0.042f)
                curveToRelative(0.153f, -0.043f, 0.295f, -0.12f, 0.415f, -0.225f)
                curveToRelative(0.048f, -0.04f, 0.088f, -0.082f, 0.123f, -0.11f)
                horizontalLineToRelative(0.13f)
                verticalLineToRelative(0.843f)
                close()
                moveTo(16.691f, 13.629f)
                verticalLineToRelative(-1.597f)
                curveToRelative(0.0f, -0.157f, 0.0f, -0.29f, -0.007f, -0.397f)
                curveToRelative(-0.002f, -0.09f, -0.02f, -0.18f, -0.052f, -0.263f)
                curveToRelative(-0.023f, -0.066f, -0.07f, -0.12f, -0.13f, -0.15f)
                curveToRelative(-0.153f, -0.064f, -0.325f, -0.063f, -0.478f, 0.002f)
                curveToRelative(-0.086f, 0.04f, -0.168f, 0.087f, -0.244f, 0.14f)
                verticalLineToRelative(2.263f)
                horizontalLineToRelative(-0.993f)
                verticalLineToRelative(-1.595f)
                curveToRelative(0.0f, -0.156f, -0.003f, -0.286f, -0.01f, -0.396f)
                curveToRelative(-0.003f, -0.09f, -0.02f, -0.18f, -0.05f, -0.264f)
                curveToRelative(-0.027f, -0.066f, -0.076f, -0.12f, -0.136f, -0.15f)
                curveToRelative(-0.06f, -0.033f, -0.145f, -0.048f, -0.25f, -0.048f)
                curveToRelative(-0.083f, 0.0f, -0.165f, 0.02f, -0.24f, 0.056f)
                curveToRelative(-0.078f, 0.04f, -0.152f, 0.086f, -0.228f, 0.136f)
                verticalLineToRelative(2.262f)
                horizontalLineToRelative(-0.995f)
                lineTo(12.878f, 10.44f)
                horizontalLineToRelative(0.993f)
                verticalLineToRelative(0.356f)
                curveToRelative(0.144f, -0.125f, 0.296f, -0.233f, 0.46f, -0.323f)
                curveToRelative(0.148f, -0.08f, 0.314f, -0.12f, 0.484f, -0.12f)
                curveToRelative(0.182f, -0.004f, 0.36f, 0.045f, 0.514f, 0.14f)
                curveToRelative(0.153f, 0.1f, 0.27f, 0.244f, 0.34f, 0.414f)
                curveToRelative(0.19f, -0.177f, 0.37f, -0.314f, 0.54f, -0.41f)
                curveToRelative(0.17f, -0.096f, 0.34f, -0.145f, 0.515f, -0.145f)
                curveToRelative(0.136f, -0.002f, 0.27f, 0.023f, 0.396f, 0.075f)
                curveToRelative(0.115f, 0.044f, 0.22f, 0.116f, 0.3f, 0.21f)
                curveToRelative(0.09f, 0.106f, 0.16f, 0.23f, 0.2f, 0.364f)
                curveToRelative(0.045f, 0.142f, 0.066f, 0.328f, 0.066f, 0.553f)
                verticalLineToRelative(2.076f)
                horizontalLineToRelative(-0.995f)
                close()
            }
        }
        .build()
        return _acm!!
    }

private var _acm: ImageVector? = null
