package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Blender: ImageVector
    get() {
        if (_blender != null) {
            return _blender!!
        }
        _blender = Builder(name = "Blender", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.51f, 13.214f)
                curveToRelative(0.046f, -0.8f, 0.438f, -1.506f, 1.03f, -2.006f)
                arcToRelative(3.424f, 3.424f, 0.0f, false, true, 2.212f, -0.79f)
                curveToRelative(0.85f, 0.0f, 1.631f, 0.3f, 2.211f, 0.79f)
                curveToRelative(0.592f, 0.5f, 0.983f, 1.206f, 1.028f, 2.005f)
                curveToRelative(0.045f, 0.823f, -0.285f, 1.586f, -0.865f, 2.153f)
                arcToRelative(3.389f, 3.389f, 0.0f, false, true, -2.374f, 0.938f)
                arcToRelative(3.393f, 3.393f, 0.0f, false, true, -2.376f, -0.938f)
                curveToRelative(-0.58f, -0.567f, -0.91f, -1.33f, -0.865f, -2.152f)
                moveTo(7.35f, 14.831f)
                curveToRelative(0.006f, 0.314f, 0.106f, 0.922f, 0.256f, 1.398f)
                arcToRelative(7.372f, 7.372f, 0.0f, false, false, 1.593f, 2.757f)
                arcToRelative(8.227f, 8.227f, 0.0f, false, false, 2.787f, 2.001f)
                arcToRelative(8.947f, 8.947f, 0.0f, false, false, 3.66f, 0.76f)
                arcToRelative(8.964f, 8.964f, 0.0f, false, false, 3.657f, -0.772f)
                arcToRelative(8.285f, 8.285f, 0.0f, false, false, 2.785f, -2.01f)
                arcToRelative(7.428f, 7.428f, 0.0f, false, false, 1.592f, -2.762f)
                arcToRelative(6.964f, 6.964f, 0.0f, false, false, 0.25f, -3.074f)
                arcToRelative(7.123f, 7.123f, 0.0f, false, false, -1.016f, -2.779f)
                arcToRelative(7.764f, 7.764f, 0.0f, false, false, -1.852f, -2.043f)
                horizontalLineToRelative(0.002f)
                lineTo(13.566f, 2.55f)
                lineToRelative(-0.02f, -0.015f)
                curveToRelative(-0.492f, -0.378f, -1.319f, -0.376f, -1.86f, 0.002f)
                curveToRelative(-0.547f, 0.382f, -0.609f, 1.015f, -0.123f, 1.415f)
                lineToRelative(-0.001f, 0.001f)
                lineToRelative(3.126f, 2.543f)
                lineToRelative(-9.53f, 0.01f)
                horizontalLineToRelative(-0.013f)
                curveToRelative(-0.788f, 0.001f, -1.545f, 0.518f, -1.695f, 1.172f)
                curveToRelative(-0.154f, 0.665f, 0.38f, 1.217f, 1.2f, 1.22f)
                lineTo(4.65f, 8.9f)
                lineToRelative(4.83f, -0.01f)
                lineToRelative(-8.62f, 6.617f)
                lineToRelative(-0.034f, 0.025f)
                curveToRelative(-0.813f, 0.622f, -1.075f, 1.658f, -0.563f, 2.313f)
                curveToRelative(0.52f, 0.667f, 1.625f, 0.668f, 2.447f, 0.004f)
                lineTo(7.414f, 14.0f)
                reflectiveCurveToRelative(-0.069f, 0.52f, -0.063f, 0.831f)
                close()
                moveTo(19.44f, 16.572f)
                curveToRelative(-0.97f, 0.988f, -2.326f, 1.548f, -3.795f, 1.55f)
                curveToRelative(-1.47f, 0.004f, -2.827f, -0.552f, -3.797f, -1.538f)
                arcToRelative(4.51f, 4.51f, 0.0f, false, true, -1.036f, -1.622f)
                arcToRelative(4.282f, 4.282f, 0.0f, false, true, 0.282f, -3.519f)
                arcToRelative(4.702f, 4.702f, 0.0f, false, true, 1.153f, -1.371f)
                curveToRelative(0.942f, -0.768f, 2.141f, -1.183f, 3.396f, -1.185f)
                curveToRelative(1.256f, -0.002f, 2.455f, 0.41f, 3.398f, 1.175f)
                curveToRelative(0.48f, 0.391f, 0.87f, 0.854f, 1.152f, 1.367f)
                arcToRelative(4.28f, 4.28f, 0.0f, false, true, 0.522f, 1.706f)
                arcToRelative(4.236f, 4.236f, 0.0f, false, true, -0.239f, 1.811f)
                arcToRelative(4.54f, 4.54f, 0.0f, false, true, -1.035f, 1.626f)
            }
        }
        .build()
        return _blender!!
    }

private var _blender: ImageVector? = null
