package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Codepen: ImageVector
    get() {
        if (_codepen != null) {
            return _codepen!!
        }
        _codepen = Builder(name = "Codepen", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(18.144f, 13.067f)
                verticalLineToRelative(-2.134f)
                lineTo(16.55f, 12.0f)
                close()
                moveTo(19.42f, 14.261f)
                arcToRelative(0.628f, 0.628f, 0.0f, false, true, -0.006f, 0.083f)
                lineToRelative(-0.005f, 0.028f)
                lineToRelative(-0.011f, 0.053f)
                lineToRelative(-0.01f, 0.031f)
                curveToRelative(-0.005f, 0.016f, -0.01f, 0.031f, -0.017f, 0.047f)
                lineToRelative(-0.014f, 0.03f)
                arcToRelative(0.78f, 0.78f, 0.0f, false, true, -0.021f, 0.043f)
                lineToRelative(-0.019f, 0.03f)
                arcToRelative(0.57f, 0.57f, 0.0f, false, true, -0.08f, 0.1f)
                lineToRelative(-0.026f, 0.025f)
                arcToRelative(0.602f, 0.602f, 0.0f, false, true, -0.036f, 0.03f)
                lineToRelative(-0.029f, 0.022f)
                lineToRelative(-0.01f, 0.008f)
                lineToRelative(-6.782f, 4.522f)
                arcToRelative(0.637f, 0.637f, 0.0f, false, true, -0.708f, 0.0f)
                lineTo(4.864f, 14.79f)
                lineToRelative(-0.01f, -0.008f)
                arcToRelative(0.599f, 0.599f, 0.0f, false, true, -0.065f, -0.052f)
                lineToRelative(-0.026f, -0.025f)
                lineToRelative(-0.032f, -0.034f)
                lineToRelative(-0.021f, -0.028f)
                arcToRelative(0.588f, 0.588f, 0.0f, false, true, -0.067f, -0.11f)
                lineToRelative(-0.014f, -0.031f)
                arcToRelative(0.644f, 0.644f, 0.0f, false, true, -0.017f, -0.047f)
                lineToRelative(-0.01f, -0.03f)
                curveToRelative(-0.004f, -0.018f, -0.008f, -0.036f, -0.01f, -0.054f)
                lineToRelative(-0.006f, -0.028f)
                arcToRelative(0.628f, 0.628f, 0.0f, false, true, -0.006f, -0.083f)
                lineTo(4.58f, 9.739f)
                curveToRelative(0.0f, -0.028f, 0.002f, -0.055f, 0.006f, -0.083f)
                lineToRelative(0.005f, -0.027f)
                lineToRelative(0.011f, -0.054f)
                lineToRelative(0.01f, -0.03f)
                arcToRelative(0.574f, 0.574f, 0.0f, false, true, 0.12f, -0.217f)
                lineToRelative(0.031f, -0.034f)
                lineToRelative(0.026f, -0.025f)
                arcToRelative(0.62f, 0.62f, 0.0f, false, true, 0.065f, -0.052f)
                lineToRelative(0.01f, -0.008f)
                lineToRelative(6.782f, -4.521f)
                arcToRelative(0.638f, 0.638f, 0.0f, false, true, 0.708f, 0.0f)
                lineToRelative(6.782f, 4.521f)
                lineToRelative(0.01f, 0.008f)
                lineToRelative(0.03f, 0.022f)
                lineToRelative(0.035f, 0.03f)
                curveToRelative(0.01f, 0.008f, 0.017f, 0.016f, 0.026f, 0.025f)
                arcToRelative(0.545f, 0.545f, 0.0f, false, true, 0.08f, 0.1f)
                lineToRelative(0.019f, 0.03f)
                arcToRelative(0.633f, 0.633f, 0.0f, false, true, 0.021f, 0.043f)
                lineToRelative(0.014f, 0.03f)
                curveToRelative(0.007f, 0.016f, 0.012f, 0.032f, 0.017f, 0.047f)
                lineToRelative(0.01f, 0.031f)
                curveToRelative(0.004f, 0.018f, 0.008f, 0.036f, 0.01f, 0.054f)
                lineToRelative(0.006f, 0.027f)
                arcToRelative(0.619f, 0.619f, 0.0f, false, true, 0.006f, 0.083f)
                close()
                moveTo(12.0f, 0.0f)
                curveTo(5.373f, 0.0f, 0.0f, 5.372f, 0.0f, 12.0f)
                curveTo(0.0f, 18.627f, 5.373f, 24.0f, 12.0f, 24.0f)
                curveToRelative(6.628f, 0.0f, 12.0f, -5.372f, 12.0f, -12.0f)
                curveToRelative(0.0f, -6.627f, -5.372f, -12.0f, -12.0f, -12.0f)
                moveToRelative(0.0f, 10.492f)
                lineTo(9.745f, 12.0f)
                lineTo(12.0f, 13.51f)
                lineTo(14.255f, 12.0f)
                close()
                moveTo(12.638f, 14.616f)
                verticalLineToRelative(2.975f)
                lineToRelative(4.996f, -3.33f)
                lineToRelative(-2.232f, -1.493f)
                close()
                moveTo(6.366f, 14.26f)
                lineToRelative(4.996f, 3.33f)
                verticalLineToRelative(-2.974f)
                lineToRelative(-2.764f, -1.849f)
                close()
                moveTo(17.634f, 9.74f)
                lineToRelative(-4.996f, -3.33f)
                verticalLineToRelative(2.974f)
                lineToRelative(2.764f, 1.85f)
                close()
                moveTo(11.362f, 9.384f)
                lineTo(11.362f, 6.41f)
                lineTo(6.366f, 9.74f)
                lineToRelative(2.232f, 1.493f)
                close()
                moveTo(5.856f, 10.933f)
                verticalLineToRelative(2.134f)
                lineTo(7.45f, 12.0f)
                close()
            }
        }
        .build()
        return _codepen!!
    }

private var _codepen: ImageVector? = null
