package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Discover: ImageVector
    get() {
        if (_discover != null) {
            return _discover!!
        }
        _discover = Builder(name = "Discover", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(14.58f, 12.0f)
                arcToRelative(2.023f, 2.023f, 0.0f, true, true, -2.025f, -2.023f)
                horizontalLineToRelative(0.002f)
                curveToRelative(1.118f, 0.0f, 2.023f, 0.906f, 2.023f, 2.023f)
                close()
                moveTo(9.38f, 9.999f)
                curveToRelative(-1.124f, 0.0f, -2.025f, 0.884f, -2.025f, 1.99f)
                curveToRelative(0.0f, 1.118f, 0.878f, 1.984f, 2.007f, 1.984f)
                curveToRelative(0.319f, 0.0f, 0.593f, -0.063f, 0.93f, -0.221f)
                verticalLineToRelative(-0.873f)
                curveToRelative(-0.296f, 0.297f, -0.559f, 0.416f, -0.895f, 0.416f)
                curveToRelative(-0.747f, 0.0f, -1.277f, -0.542f, -1.277f, -1.312f)
                curveToRelative(0.0f, -0.73f, 0.547f, -1.306f, 1.243f, -1.306f)
                curveToRelative(0.354f, 0.0f, 0.622f, 0.126f, 0.93f, 0.428f)
                verticalLineToRelative(-0.873f)
                arcToRelative(1.898f, 1.898f, 0.0f, false, false, -0.913f, -0.233f)
                close()
                moveTo(6.028f, 11.544f)
                curveToRelative(-0.445f, -0.165f, -0.576f, -0.273f, -0.576f, -0.479f)
                curveToRelative(0.0f, -0.239f, 0.233f, -0.422f, 0.553f, -0.422f)
                curveToRelative(0.222f, 0.0f, 0.405f, 0.091f, 0.598f, 0.308f)
                lineToRelative(0.388f, -0.508f)
                arcToRelative(1.665f, 1.665f, 0.0f, false, false, -1.117f, -0.422f)
                curveToRelative(-0.673f, 0.0f, -1.186f, 0.467f, -1.186f, 1.089f)
                curveToRelative(0.0f, 0.524f, 0.239f, 0.792f, 0.936f, 1.043f)
                curveToRelative(0.291f, 0.103f, 0.438f, 0.171f, 0.513f, 0.217f)
                arcToRelative(0.456f, 0.456f, 0.0f, false, true, 0.222f, 0.394f)
                curveToRelative(0.0f, 0.308f, -0.245f, 0.536f, -0.576f, 0.536f)
                curveToRelative(-0.354f, 0.0f, -0.639f, -0.177f, -0.809f, -0.507f)
                lineToRelative(-0.479f, 0.461f)
                curveToRelative(0.342f, 0.502f, 0.752f, 0.724f, 1.317f, 0.724f)
                curveToRelative(0.771f, 0.0f, 1.311f, -0.513f, 1.311f, -1.249f)
                curveToRelative(-0.002f, -0.603f, -0.252f, -0.876f, -1.095f, -1.185f)
                close()
                moveTo(24.0f, 10.3f)
                arcToRelative(0.29f, 0.29f, 0.0f, false, true, -0.288f, 0.291f)
                arcToRelative(0.29f, 0.29f, 0.0f, false, true, -0.291f, -0.291f)
                verticalLineToRelative(-0.003f)
                arcTo(0.29f, 0.29f, 0.0f, true, true, 24.0f, 10.3f)
                close()
                moveTo(23.941f, 10.301f)
                arcToRelative(0.235f, 0.235f, 0.0f, false, false, -0.231f, -0.239f)
                arcToRelative(0.234f, 0.234f, 0.0f, false, false, -0.232f, 0.239f)
                curveToRelative(0.0f, 0.132f, 0.104f, 0.239f, 0.232f, 0.239f)
                arcToRelative(0.235f, 0.235f, 0.0f, false, false, 0.231f, -0.239f)
                close()
                moveTo(3.472f, 13.887f)
                horizontalLineToRelative(0.742f)
                verticalLineToRelative(-3.803f)
                horizontalLineToRelative(-0.742f)
                verticalLineToRelative(3.803f)
                close()
                moveTo(16.174f, 12.639f)
                lineToRelative(-1.014f, -2.554f)
                horizontalLineToRelative(-0.81f)
                lineToRelative(1.614f, 3.9f)
                horizontalLineToRelative(0.399f)
                lineToRelative(1.643f, -3.9f)
                horizontalLineToRelative(-0.804f)
                lineToRelative(-1.028f, 2.554f)
                close()
                moveTo(18.34f, 13.887f)
                horizontalLineToRelative(2.104f)
                verticalLineToRelative(-0.644f)
                horizontalLineToRelative(-1.362f)
                verticalLineToRelative(-1.027f)
                horizontalLineToRelative(1.312f)
                verticalLineToRelative(-0.644f)
                horizontalLineToRelative(-1.312f)
                verticalLineToRelative(-0.844f)
                horizontalLineToRelative(1.362f)
                verticalLineToRelative(-0.644f)
                lineTo(18.34f, 10.084f)
                verticalLineToRelative(3.803f)
                close()
                moveTo(23.749f, 10.33f)
                lineToRelative(0.11f, 0.138f)
                horizontalLineToRelative(-0.097f)
                lineToRelative(-0.094f, -0.13f)
                verticalLineToRelative(0.13f)
                horizontalLineToRelative(-0.08f)
                verticalLineToRelative(-0.334f)
                horizontalLineToRelative(0.107f)
                curveToRelative(0.081f, 0.0f, 0.126f, 0.036f, 0.126f, 0.103f)
                curveToRelative(0.001f, 0.046f, -0.025f, 0.08f, -0.072f, 0.093f)
                close()
                moveTo(23.743f, 10.238f)
                curveToRelative(0.0f, -0.029f, -0.021f, -0.043f, -0.06f, -0.043f)
                horizontalLineToRelative(-0.014f)
                verticalLineToRelative(0.087f)
                horizontalLineToRelative(0.014f)
                curveToRelative(0.039f, 0.0f, 0.06f, -0.014f, 0.06f, -0.044f)
                close()
                moveTo(22.515f, 12.285f)
                lineToRelative(1.197f, 1.602f)
                lineTo(22.8f, 13.887f)
                lineToRelative(-1.027f, -1.528f)
                horizontalLineToRelative(-0.097f)
                verticalLineToRelative(1.528f)
                horizontalLineToRelative(-0.741f)
                verticalLineToRelative(-3.803f)
                horizontalLineToRelative(1.1f)
                curveToRelative(0.855f, 0.0f, 1.346f, 0.411f, 1.346f, 1.123f)
                curveToRelative(0.0f, 0.583f, -0.308f, 0.965f, -0.866f, 1.078f)
                close()
                moveTo(22.618f, 11.247f)
                curveToRelative(0.0f, -0.37f, -0.251f, -0.563f, -0.713f, -0.563f)
                horizontalLineToRelative(-0.228f)
                verticalLineToRelative(1.152f)
                horizontalLineToRelative(0.217f)
                curveToRelative(0.473f, -0.001f, 0.724f, -0.207f, 0.724f, -0.589f)
                close()
                moveTo(3.131f, 11.989f)
                arcToRelative(1.91f, 1.91f, 0.0f, false, true, -0.69f, 1.46f)
                curveToRelative(-0.365f, 0.303f, -0.781f, 0.439f, -1.357f, 0.439f)
                lineTo(0.001f, 13.888f)
                verticalLineToRelative(-3.803f)
                lineTo(1.09f, 10.085f)
                curveToRelative(1.202f, 0.0f, 2.041f, 0.781f, 2.041f, 1.904f)
                close()
                moveTo(2.367f, 11.983f)
                curveToRelative(0.0f, -0.364f, -0.154f, -0.718f, -0.411f, -0.947f)
                curveToRelative(-0.245f, -0.222f, -0.536f, -0.308f, -1.015f, -0.308f)
                lineTo(0.742f, 10.728f)
                verticalLineToRelative(2.515f)
                horizontalLineToRelative(0.199f)
                curveToRelative(0.479f, 0.0f, 0.782f, -0.092f, 1.015f, -0.302f)
                curveToRelative(0.256f, -0.228f, 0.411f, -0.593f, 0.411f, -0.958f)
                close()
            }
        }
        .build()
        return _discover!!
    }

private var _discover: ImageVector? = null
