package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Fedora: ImageVector
    get() {
        if (_fedora != null) {
            return _fedora!!
        }
        _fedora = Builder(name = "Fedora", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.005f, 0.001f)
                curveTo(7.29f, -0.064f, 2.744f, 2.962f, 0.957f, 7.317f)
                curveToRelative(-0.885f, 1.953f, -1.0f, 4.116f, -0.946f, 6.225f)
                curveToRelative(0.01f, 2.666f, -0.02f, 5.335f, 0.015f, 7.999f)
                curveToRelative(0.113f, 1.542f, 1.654f, 2.614f, 3.134f, 2.44f)
                curveToRelative(3.257f, -0.02f, 6.514f, 0.044f, 9.77f, -0.034f)
                curveToRelative(4.79f, -0.303f, 9.155f, -3.796f, 10.527f, -8.39f)
                curveToRelative(1.4f, -4.345f, 0.03f, -9.413f, -3.39f, -12.443f)
                arcTo(11.968f, 11.967f, 0.0f, false, false, 12.005f, 0.001f)
                close()
                moveTo(15.525f, 2.843f)
                curveToRelative(0.406f, -0.01f, 0.807f, 0.032f, 1.197f, 0.117f)
                curveToRelative(0.557f, 0.286f, 0.945f, 0.826f, 0.902f, 1.383f)
                curveToRelative(-0.058f, 0.75f, -0.587f, 1.247f, -1.38f, 1.246f)
                arcToRelative(2.95f, 2.95f, 0.0f, false, false, -0.72f, -0.09f)
                curveToRelative(-1.725f, -0.053f, -3.167f, 1.61f, -2.97f, 3.305f)
                curveToRelative(0.024f, 0.796f, -0.044f, 1.601f, 0.033f, 2.392f)
                curveToRelative(0.333f, 0.457f, 0.987f, 0.18f, 1.475f, 0.256f)
                curveToRelative(0.276f, 0.0f, 0.562f, 0.007f, 0.85f, 0.008f)
                arcToRelative(0.134f, 0.134f, 0.0f, false, false, 0.042f, 0.008f)
                arcToRelative(1.29f, 1.29f, 0.0f, false, true, 1.29f, 1.295f)
                arcToRelative(1.29f, 1.29f, 0.0f, false, true, -1.298f, 1.295f)
                arcToRelative(0.14f, 0.14f, 0.0f, false, false, -0.06f, 0.013f)
                curveToRelative(-0.777f, 0.003f, -1.553f, 0.0f, -2.33f, 0.002f)
                curveToRelative(-0.066f, 1.616f, 0.197f, 3.276f, -0.31f, 4.84f)
                curveToRelative(-0.865f, 2.706f, -3.97f, 4.337f, -6.685f, 3.62f)
                curveToRelative(-0.537f, -0.284f, -0.91f, -0.79f, -0.868f, -1.334f)
                curveToRelative(0.062f, -0.796f, 0.656f, -1.308f, 1.532f, -1.24f)
                curveToRelative(0.075f, 0.006f, 0.113f, 0.012f, 0.168f, 0.02f)
                curveToRelative(0.716f, 0.14f, 1.477f, 0.034f, 2.107f, -0.391f)
                curveToRelative(1.127f, -0.645f, 1.502f, -1.977f, 1.396f, -3.193f)
                curveToRelative(-0.02f, -0.687f, 0.043f, -1.384f, -0.033f, -2.066f)
                curveToRelative(-0.333f, -0.456f, -0.984f, -0.18f, -1.472f, -0.256f)
                horizontalLineToRelative(-0.8f)
                arcToRelative(0.137f, 0.137f, 0.0f, false, false, -0.066f, -0.015f)
                arcToRelative(1.29f, 1.29f, 0.0f, false, true, -1.298f, -1.295f)
                curveToRelative(0.0f, -0.72f, 0.574f, -1.29f, 1.29f, -1.295f)
                arcToRelative(0.136f, 0.136f, 0.0f, false, false, 0.063f, -0.016f)
                horizontalLineToRelative(2.316f)
                curveToRelative(0.06f, -1.507f, -0.159f, -3.046f, 0.213f, -4.523f)
                curveToRelative(0.648f, -2.376f, 2.952f, -4.12f, 5.415f, -4.086f)
                close()
                moveTo(16.23f, 2.895f)
                lineToRelative(0.13f, 0.024f)
                close()
                moveTo(17.454f, 3.175f)
                curveToRelative(1.444f, 0.543f, 2.636f, 1.706f, 3.25f, 3.12f)
                arcToRelative(81.141f, 81.136f, 0.0f, false, true, -2.903f, -2.592f)
                arcToRelative(1.762f, 1.762f, 0.0f, false, false, -0.346f, -0.527f)
                close()
                moveTo(17.904f, 4.11f)
                arcToRelative(86.96f, 86.954f, 0.0f, false, false, 2.966f, 2.596f)
                curveToRelative(-0.014f, -0.044f, -0.033f, -0.087f, -0.049f, -0.13f)
                curveToRelative(0.166f, 0.448f, 0.265f, 0.918f, 0.301f, 1.402f)
                arcToRelative(77.847f, 77.842f, 0.0f, false, true, -3.39f, -2.975f)
                lineToRelative(0.015f, -0.033f)
                curveToRelative(0.088f, -0.182f, 0.143f, -0.386f, 0.16f, -0.606f)
                arcToRelative(1.393f, 1.393f, 0.0f, false, false, 0.0f, -0.197f)
                curveToRelative(0.0f, -0.019f, -0.002f, -0.038f, -0.004f, -0.057f)
                close()
                moveTo(17.924f, 4.306f)
                curveToRelative(-0.058f, 0.516f, -0.058f, 0.516f, 0.0f, 0.0f)
                close()
                moveTo(17.61f, 5.2f)
                arcToRelative(85.347f, 85.341f, 0.0f, false, false, 3.53f, 3.06f)
                curveToRelative(0.0f, 0.071f, 0.015f, 0.14f, 0.013f, 0.21f)
                arcToRelative(4.94f, 4.94f, 0.0f, false, true, -0.06f, 0.814f)
                arcTo(78.528f, 78.523f, 0.0f, false, true, 17.011f, 5.7f)
                arcToRelative(1.56f, 1.56f, 0.0f, false, false, 0.6f, -0.5f)
                close()
                moveTo(18.136f, 7.03f)
                curveToRelative(0.898f, 0.8f, 1.856f, 1.623f, 2.918f, 2.485f)
                arcToRelative(5.215f, 5.215f, 0.0f, false, true, -0.242f, 0.863f)
                arcToRelative(74.032f, 74.027f, 0.0f, false, true, -2.307f, -1.963f)
                lineToRelative(0.002f, 0.055f)
                curveToRelative(0.0f, 0.076f, -0.004f, 0.152f, -0.01f, 0.226f)
                curveToRelative(0.703f, 0.612f, 1.44f, 1.237f, 2.24f, 1.885f)
                curveToRelative(-0.109f, 0.26f, -0.234f, 0.512f, -0.38f, 0.752f)
                arcToRelative(73.605f, 73.6f, 0.0f, false, true, -2.06f, -1.752f)
                arcToRelative(3.13f, 3.13f, 0.0f, false, false, -0.16f, -2.55f)
                close()
                moveTo(18.204f, 9.788f)
                curveToRelative(0.644f, 0.56f, 1.32f, 1.131f, 2.043f, 1.72f)
                arcToRelative(5.868f, 5.867f, 0.0f, false, true, -0.5f, 0.651f)
                arcToRelative(74.24f, 74.235f, 0.0f, false, true, -1.99f, -1.705f)
                curveToRelative(0.185f, -0.2f, 0.332f, -0.425f, 0.447f, -0.666f)
                close()
                moveTo(17.601f, 10.604f)
                arcToRelative(82.545f, 82.54f, 0.0f, false, false, 2.005f, 1.71f)
                curveToRelative(-0.19f, 0.2f, -0.392f, 0.385f, -0.607f, 0.556f)
                arcToRelative(75.858f, 75.853f, 0.0f, false, true, -2.043f, -1.77f)
                curveToRelative(0.203f, -0.108f, 0.396f, -0.247f, 0.572f, -0.425f)
                curveToRelative(0.027f, -0.022f, 0.047f, -0.047f, 0.073f, -0.07f)
                close()
                moveTo(16.741f, 11.198f)
                arcToRelative(84.37f, 84.365f, 0.0f, false, false, 2.088f, 1.8f)
                curveToRelative(-0.23f, 0.17f, -0.48f, 0.311f, -0.734f, 0.444f)
                arcToRelative(79.06f, 79.054f, 0.0f, false, true, -2.256f, -2.005f)
                curveToRelative(-0.024f, 0.002f, -0.05f, 0.001f, -0.074f, 0.003f)
                lineToRelative(-0.026f, -0.015f)
                arcToRelative(3.506f, 3.506f, 0.0f, false, false, 1.002f, -0.227f)
                close()
                moveTo(6.695f, 11.446f)
                lineToRelative(-0.02f, 0.014f)
                horizontalLineToRelative(-0.013f)
                lineToRelative(0.004f, 0.004f)
                arcToRelative(1.573f, 1.573f, 0.0f, false, false, -0.51f, 0.55f)
                lineToRelative(-0.45f, -0.427f)
                arcToRelative(5.38f, 5.38f, 0.0f, false, true, 0.99f, -0.14f)
                close()
                moveTo(5.701f, 11.586f)
                lineToRelative(-0.127f, 0.032f)
                lineToRelative(0.127f, -0.03f)
                close()
                moveTo(5.431f, 11.661f)
                lineToRelative(0.622f, 0.592f)
                arcToRelative(1.55f, 1.55f, 0.0f, false, false, 0.008f, 1.045f)
                curveToRelative(-0.468f, -0.444f, -0.94f, -0.893f, -1.432f, -1.348f)
                curveToRelative(0.26f, -0.118f, 0.529f, -0.21f, 0.803f, -0.289f)
                close()
                moveTo(4.401f, 12.061f)
                curveToRelative(0.72f, 0.674f, 1.425f, 1.347f, 2.134f, 2.03f)
                arcToRelative(2.68f, 2.68f, 0.0f, false, false, -0.826f, 0.242f)
                curveToRelative(-0.64f, -0.61f, -1.3f, -1.23f, -1.998f, -1.865f)
                arcToRelative(5.98f, 5.98f, 0.0f, false, true, 0.69f, -0.406f)
                close()
                moveTo(16.423f, 12.265f)
                curveToRelative(0.473f, 0.42f, 0.958f, 0.846f, 1.474f, 1.285f)
                arcToRelative(5.37f, 5.37f, 0.0f, false, true, -0.908f, 0.342f)
                lineToRelative(-0.617f, -0.498f)
                arcToRelative(1.55f, 1.55f, 0.0f, false, false, 0.05f, -1.13f)
                close()
                moveTo(3.522f, 12.61f)
                arcToRelative(140.01f, 140.01f, 0.0f, false, true, 1.958f, 1.844f)
                arcToRelative(3.158f, 3.158f, 0.0f, false, false, -1.527f, 2.332f)
                arcTo(98.329f, 98.323f, 0.0f, false, false, 1.777f, 14.8f)
                arcToRelative(5.574f, 5.573f, 0.0f, false, false, -0.091f, 0.22f)
                curveToRelative(0.777f, 0.698f, 1.522f, 1.391f, 2.252f, 2.087f)
                curveToRelative(0.002f, 0.284f, 0.042f, 0.57f, 0.14f, 0.848f)
                curveToRelative(0.053f, 0.19f, 0.13f, 0.366f, 0.22f, 0.533f)
                arcToRelative(107.243f, 107.236f, 0.0f, false, false, -2.86f, -2.635f)
                curveToRelative(0.027f, -0.108f, 0.04f, -0.217f, 0.074f, -0.323f)
                curveToRelative(0.137f, -0.518f, 0.366f, -0.998f, 0.65f, -1.44f)
                curveToRelative(0.69f, 0.621f, 1.35f, 1.241f, 2.002f, 1.86f)
                arcToRelative(2.98f, 2.98f, 0.0f, false, true, 0.107f, -0.232f)
                arcToRelative(99.457f, 99.45f, 0.0f, false, false, -1.986f, -1.819f)
                curveToRelative(0.15f, -0.214f, 0.31f, -0.42f, 0.49f, -0.613f)
                arcTo(109.76f, 109.76f, 0.0f, false, true, 4.7f, 15.088f)
                curveToRelative(0.054f, -0.06f, 0.11f, -0.122f, 0.168f, -0.178f)
                arcToRelative(98.104f, 98.104f, 0.0f, false, false, -1.94f, -1.79f)
                arcToRelative(5.82f, 5.82f, 0.0f, false, true, 0.592f, -0.509f)
                close()
                moveTo(16.241f, 12.763f)
                lineToRelative(-0.027f, 0.265f)
                close()
                moveTo(17.974f, 13.517f)
                lineToRelative(-0.05f, 0.023f)
                lineToRelative(0.05f, -0.023f)
                close()
                moveTo(16.254f, 13.608f)
                lineToRelative(0.44f, 0.354f)
                curveToRelative(-0.287f, 0.06f, -0.582f, 0.096f, -0.88f, 0.103f)
                horizontalLineToRelative(-0.016f)
                arcToRelative(1.56f, 1.56f, 0.0f, false, false, 0.457f, -0.457f)
                close()
                moveTo(1.386f, 16.101f)
                curveToRelative(1.32f, 1.189f, 2.532f, 2.357f, 3.78f, 3.559f)
                lineToRelative(0.175f, 0.166f)
                curveToRelative(-0.237f, 0.107f, -0.44f, 0.266f, -0.594f, 0.465f)
                arcTo(125.942f, 125.935f, 0.0f, false, false, 1.3f, 17.076f)
                arcToRelative(5.176f, 5.176f, 0.0f, false, true, 0.086f, -0.976f)
                close()
                moveTo(1.316f, 17.391f)
                arcTo(154.286f, 154.276f, 0.0f, false, true, 4.61f, 20.5f)
                curveToRelative(-0.11f, 0.2f, -0.18f, 0.428f, -0.2f, 0.677f)
                arcToRelative(1.406f, 1.406f, 0.0f, false, false, 0.0f, 0.166f)
                curveToRelative(-0.92f, -0.884f, -1.856f, -1.78f, -2.88f, -2.71f)
                arcToRelative(5.65f, 5.65f, 0.0f, false, true, -0.215f, -1.243f)
                close()
                moveTo(1.694f, 19.105f)
                curveToRelative(0.943f, 0.876f, 1.852f, 1.748f, 2.778f, 2.64f)
                lineToRelative(0.02f, 0.02f)
                curveToRelative(0.07f, 0.195f, 0.186f, 0.372f, 0.327f, 0.532f)
                curveToRelative(-1.445f, -0.56f, -2.562f, -1.767f, -3.125f, -3.192f)
                close()
                moveTo(5.046f, 19.369f)
                curveToRelative(0.179f, 0.14f, 0.374f, 0.26f, 0.58f, 0.358f)
                lineToRelative(-0.025f, 0.005f)
                lineToRelative(-0.018f, -0.015f)
                arcToRelative(3.014f, 3.014f, 0.0f, false, true, -0.537f, -0.348f)
                close()
                moveTo(6.093f, 22.621f)
                lineToRelative(0.15f, 0.025f)
                close()
                moveTo(6.321f, 22.661f)
                reflectiveCurveToRelative(0.09f, 0.007f, 0.274f, 0.025f)
                arcToRelative(33.671f, 33.669f, 0.0f, false, false, -0.274f, -0.026f)
                close()
            }
        }
        .build()
        return _fedora!!
    }

private var _fedora: ImageVector? = null
