package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Gitea: ImageVector
    get() {
        if (_gitea != null) {
            return _gitea!!
        }
        _gitea = Builder(name = "Gitea", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.209f, 4.603f)
                curveToRelative(-0.247f, 0.0f, -0.525f, 0.02f, -0.84f, 0.088f)
                curveToRelative(-0.333f, 0.07f, -1.28f, 0.283f, -2.054f, 1.027f)
                curveTo(-0.403f, 7.25f, 0.035f, 9.685f, 0.089f, 10.052f)
                curveToRelative(0.065f, 0.446f, 0.263f, 1.687f, 1.21f, 2.768f)
                curveToRelative(1.749f, 2.141f, 5.513f, 2.092f, 5.513f, 2.092f)
                reflectiveCurveToRelative(0.462f, 1.103f, 1.168f, 2.119f)
                curveToRelative(0.955f, 1.263f, 1.936f, 2.248f, 2.89f, 2.367f)
                curveToRelative(2.406f, 0.0f, 7.212f, -0.004f, 7.212f, -0.004f)
                reflectiveCurveToRelative(0.458f, 0.004f, 1.08f, -0.394f)
                curveToRelative(0.535f, -0.324f, 1.013f, -0.893f, 1.013f, -0.893f)
                reflectiveCurveToRelative(0.492f, -0.527f, 1.18f, -1.73f)
                curveToRelative(0.21f, -0.37f, 0.385f, -0.729f, 0.538f, -1.068f)
                curveToRelative(0.0f, 0.0f, 2.107f, -4.471f, 2.107f, -8.823f)
                curveToRelative(-0.042f, -1.318f, -0.367f, -1.55f, -0.443f, -1.627f)
                curveToRelative(-0.156f, -0.156f, -0.366f, -0.153f, -0.366f, -0.153f)
                reflectiveCurveToRelative(-4.475f, 0.252f, -6.792f, 0.306f)
                curveToRelative(-0.508f, 0.011f, -1.012f, 0.023f, -1.512f, 0.027f)
                verticalLineToRelative(4.474f)
                lineToRelative(-0.634f, -0.301f)
                curveToRelative(0.0f, -1.39f, -0.004f, -4.17f, -0.004f, -4.17f)
                curveToRelative(-1.107f, 0.016f, -3.405f, -0.084f, -3.405f, -0.084f)
                reflectiveCurveToRelative(-5.399f, -0.27f, -5.987f, -0.324f)
                curveToRelative(-0.187f, -0.011f, -0.401f, -0.032f, -0.648f, -0.032f)
                close()
                moveTo(4.563f, 6.435f)
                horizontalLineToRelative(0.111f)
                reflectiveCurveToRelative(0.271f, 2.269f, 0.6f, 3.597f)
                curveTo(5.549f, 11.147f, 6.22f, 13.0f, 6.22f, 13.0f)
                reflectiveCurveToRelative(-0.996f, -0.119f, -1.641f, -0.348f)
                curveToRelative(-0.99f, -0.324f, -1.409f, -0.714f, -1.409f, -0.714f)
                reflectiveCurveToRelative(-0.73f, -0.511f, -1.096f, -1.52f)
                curveTo(1.444f, 8.73f, 2.021f, 7.7f, 2.021f, 7.7f)
                reflectiveCurveToRelative(0.32f, -0.859f, 1.47f, -1.145f)
                curveToRelative(0.395f, -0.106f, 0.863f, -0.12f, 1.072f, -0.12f)
                close()
                moveTo(12.893f, 8.989f)
                curveToRelative(0.26f, 0.003f, 0.509f, 0.127f, 0.509f, 0.127f)
                lineToRelative(0.868f, 0.422f)
                lineToRelative(-0.529f, 1.075f)
                arcToRelative(0.686f, 0.686f, 0.0f, false, false, -0.614f, 0.359f)
                arcToRelative(0.685f, 0.685f, 0.0f, false, false, 0.072f, 0.756f)
                lineToRelative(-0.939f, 1.924f)
                arcToRelative(0.69f, 0.69f, 0.0f, false, false, -0.66f, 0.527f)
                arcToRelative(0.687f, 0.687f, 0.0f, false, false, 0.347f, 0.763f)
                arcToRelative(0.686f, 0.686f, 0.0f, false, false, 0.867f, -0.206f)
                arcToRelative(0.688f, 0.688f, 0.0f, false, false, -0.069f, -0.882f)
                lineToRelative(0.916f, -1.874f)
                arcToRelative(0.667f, 0.667f, 0.0f, false, false, 0.237f, -0.02f)
                arcToRelative(0.657f, 0.657f, 0.0f, false, false, 0.271f, -0.137f)
                arcToRelative(8.826f, 8.826f, 0.0f, false, true, 1.016f, 0.512f)
                arcToRelative(0.761f, 0.761f, 0.0f, false, true, 0.286f, 0.282f)
                curveToRelative(0.073f, 0.21f, -0.073f, 0.569f, -0.073f, 0.569f)
                curveToRelative(-0.087f, 0.29f, -0.702f, 1.55f, -0.702f, 1.55f)
                arcToRelative(0.692f, 0.692f, 0.0f, false, false, -0.676f, 0.477f)
                arcToRelative(0.681f, 0.681f, 0.0f, true, false, 1.157f, -0.252f)
                curveToRelative(0.073f, -0.141f, 0.141f, -0.282f, 0.214f, -0.431f)
                curveToRelative(0.19f, -0.397f, 0.515f, -1.16f, 0.515f, -1.16f)
                curveToRelative(0.035f, -0.066f, 0.218f, -0.394f, 0.103f, -0.814f)
                curveToRelative(-0.095f, -0.435f, -0.48f, -0.638f, -0.48f, -0.638f)
                curveToRelative(-0.467f, -0.301f, -1.116f, -0.58f, -1.116f, -0.58f)
                reflectiveCurveToRelative(0.0f, -0.156f, -0.042f, -0.27f)
                arcToRelative(0.688f, 0.688f, 0.0f, false, false, -0.148f, -0.241f)
                lineToRelative(0.516f, -1.062f)
                lineToRelative(2.89f, 1.401f)
                reflectiveCurveToRelative(0.48f, 0.218f, 0.583f, 0.619f)
                curveToRelative(0.073f, 0.282f, -0.019f, 0.534f, -0.069f, 0.657f)
                curveToRelative(-0.24f, 0.587f, -2.1f, 4.317f, -2.1f, 4.317f)
                reflectiveCurveToRelative(-0.232f, 0.554f, -0.748f, 0.588f)
                arcToRelative(1.065f, 1.065f, 0.0f, false, true, -0.393f, -0.045f)
                lineToRelative(-0.202f, -0.08f)
                lineToRelative(-4.31f, -2.1f)
                reflectiveCurveToRelative(-0.417f, -0.218f, -0.49f, -0.596f)
                curveToRelative(-0.083f, -0.31f, 0.104f, -0.691f, 0.104f, -0.691f)
                lineToRelative(2.073f, -4.272f)
                reflectiveCurveToRelative(0.183f, -0.37f, 0.466f, -0.497f)
                arcToRelative(0.855f, 0.855f, 0.0f, false, true, 0.35f, -0.077f)
                close()
            }
        }
        .build()
        return _gitea!!
    }

private var _gitea: ImageVector? = null
