package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Glitch: ImageVector
    get() {
        if (_glitch != null) {
            return _glitch!!
        }
        _glitch = Builder(name = "Glitch", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.146f, 2.393f)
                curveToRelative(-0.618f, 0.0f, -1.794f, 1.61f, -1.794f, 1.61f)
                reflectiveCurveToRelative(-0.453f, 0.0f, -1.803f, 0.07f)
                curveToRelative(-1.35f, 0.07f, -2.553f, 0.67f, -4.159f, 1.934f)
                curveTo(-0.216f, 7.27f, 0.011f, 8.537f, 0.011f, 8.537f)
                reflectiveCurveToRelative(1.498f, 0.507f, 1.498f, 0.781f)
                curveToRelative(0.0f, 0.275f, -1.311f, 0.6f, -1.311f, 0.6f)
                curveToRelative(0.845f, 1.081f, 3.467f, 2.09f, 4.13f, 2.09f)
                horizontalLineToRelative(0.524f)
                curveToRelative(-1.086f, 0.214f, -2.136f, 0.804f, -3.462f, 1.847f)
                curveToRelative(-1.606f, 1.264f, -1.379f, 2.53f, -1.379f, 2.53f)
                reflectiveCurveToRelative(1.498f, 0.507f, 1.498f, 0.781f)
                curveToRelative(0.0f, 0.275f, -1.311f, 0.6f, -1.311f, 0.6f)
                curveToRelative(0.845f, 1.081f, 3.467f, 2.09f, 4.13f, 2.09f)
                curveToRelative(0.635f, 0.0f, 1.079f, 0.018f, 1.882f, -0.132f)
                curveToRelative(0.06f, 0.134f, 0.686f, 1.461f, 1.965f, 1.736f)
                curveToRelative(1.347f, 0.29f, 2.092f, 0.062f, 2.092f, 0.062f)
                reflectiveCurveToRelative(0.067f, -0.595f, -0.24f, -1.189f)
                curveToRelative(1.17f, 0.115f, 2.495f, 0.145f, 3.792f, -0.052f)
                curveToRelative(3.603f, -0.547f, 5.382f, -1.413f, 5.963f, -1.528f)
                curveToRelative(0.582f, -0.115f, 3.904f, 1.476f, 4.106f, 1.104f)
                curveToRelative(0.203f, -0.373f, -0.73f, -1.188f, -0.295f, -2.288f)
                curveToRelative(0.434f, -1.1f, -0.534f, -1.827f, 0.003f, -2.705f)
                curveToRelative(0.537f, -0.879f, 0.43f, -2.219f, 0.292f, -2.29f)
                curveToRelative(-0.295f, -0.15f, -3.423f, 1.407f, -4.106f, 1.28f)
                curveToRelative(-1.686f, -0.311f, -1.377f, -0.513f, -3.647f, -1.027f)
                curveToRelative(-0.907f, -0.206f, -0.781f, -0.084f, -0.982f, -0.236f)
                curveToRelative(-0.134f, -0.102f, -0.265f, -0.116f, -0.455f, -0.306f)
                curveToRelative(3.015f, -0.543f, 4.552f, -1.275f, 5.084f, -1.38f)
                curveToRelative(0.582f, -0.116f, 3.904f, 1.476f, 4.106f, 1.103f)
                curveToRelative(0.202f, -0.372f, -0.73f, -1.187f, -0.295f, -2.288f)
                curveToRelative(0.434f, -1.1f, -0.534f, -1.826f, 0.003f, -2.705f)
                curveToRelative(0.537f, -0.878f, 0.43f, -2.218f, 0.292f, -2.289f)
                curveToRelative(-0.295f, -0.151f, -3.423f, 1.407f, -4.106f, 1.28f)
                curveToRelative(-1.686f, -0.312f, -1.377f, -0.513f, -3.647f, -1.027f)
                curveToRelative(-0.907f, -0.206f, -0.781f, -0.084f, -0.982f, -0.236f)
                curveToRelative(-0.2f, -0.152f, -0.39f, -0.106f, -0.782f, -0.74f)
                curveToRelative(-0.392f, -0.635f, -4.916f, -1.61f, -5.225f, -1.61f)
                close()
                moveTo(8.09f, 5.158f)
                lineToRelative(0.04f, 0.002f)
                lineToRelative(0.111f, 0.006f)
                lineToRelative(0.397f, 0.02f)
                arcToRelative(286.477f, 286.477f, 0.0f, false, true, 1.59f, 0.088f)
                curveToRelative(0.348f, 0.02f, 0.64f, 0.038f, 0.865f, 0.054f)
                curveToRelative(0.861f, 0.06f, 2.172f, 0.26f, 3.177f, 0.464f)
                curveToRelative(1.556f, 0.315f, 2.82f, 0.778f, 4.81f, 1.673f)
                lineToRelative(0.677f, 0.305f)
                curveToRelative(0.131f, 0.059f, 0.195f, 0.228f, 0.143f, 0.377f)
                curveToRelative(-0.052f, 0.15f, -0.201f, 0.222f, -0.333f, 0.163f)
                arcToRelative(663.41f, 663.41f, 0.0f, false, false, -0.675f, -0.305f)
                curveToRelative(-1.962f, -0.881f, -3.198f, -1.335f, -4.711f, -1.64f)
                curveToRelative(-0.988f, -0.2f, -2.28f, -0.397f, -3.12f, -0.457f)
                arcToRelative(76.718f, 76.718f, 0.0f, false, false, -0.859f, -0.054f)
                lineToRelative(-0.384f, -0.022f)
                curveToRelative(-0.383f, -0.021f, -0.793f, -0.044f, -1.203f, -0.065f)
                lineToRelative(-0.126f, -0.006f)
                arcToRelative(6.79f, 6.79f, 0.0f, false, true, 0.339f, 1.187f)
                curveToRelative(0.02f, 0.11f, 0.035f, 0.216f, 0.045f, 0.32f)
                curveToRelative(0.034f, 0.336f, -0.028f, 0.816f, -0.162f, 1.42f)
                curveToRelative(-0.044f, 0.2f, -0.096f, 0.409f, -0.153f, 0.624f)
                arcToRelative(21.303f, 21.303f, 0.0f, false, true, -0.29f, 0.995f)
                lineToRelative(-0.02f, 0.064f)
                lineToRelative(-0.008f, 0.023f)
                curveToRelative(-0.05f, 0.15f, -0.198f, 0.226f, -0.33f, 0.17f)
                curveToRelative(-0.133f, -0.057f, -0.2f, -0.225f, -0.15f, -0.375f)
                lineToRelative(0.007f, -0.02f)
                arcToRelative(11.841f, 11.841f, 0.0f, false, false, 0.089f, -0.283f)
                curveToRelative(0.072f, -0.236f, 0.144f, -0.487f, 0.212f, -0.741f)
                curveToRelative(0.055f, -0.208f, 0.104f, -0.408f, 0.146f, -0.599f)
                curveToRelative(0.12f, -0.54f, 0.175f, -0.966f, 0.15f, -1.213f)
                arcToRelative(3.436f, 3.436f, 0.0f, false, false, -0.038f, -0.269f)
                arcToRelative(5.829f, 5.829f, 0.0f, false, false, -0.21f, -0.796f)
                arcToRelative(8.1f, 8.1f, 0.0f, false, false, -0.264f, -0.685f)
                curveToRelative(-0.091f, -0.199f, 0.041f, -0.435f, 0.238f, -0.425f)
                close()
                moveTo(6.437f, 5.328f)
                curveToRelative(0.066f, 0.002f, 0.13f, 0.033f, 0.179f, 0.091f)
                arcToRelative(4.758f, 4.758f, 0.0f, false, true, 0.417f, 0.627f)
                curveToRelative(0.224f, 0.404f, 0.374f, 0.816f, 0.415f, 1.221f)
                curveToRelative(0.023f, 0.231f, 0.008f, 0.49f, -0.038f, 0.771f)
                curveToRelative(-0.044f, 0.27f, -0.115f, 0.555f, -0.206f, 0.845f)
                arcToRelative(8.216f, 8.216f, 0.0f, false, true, -0.25f, 0.688f)
                curveToRelative(-0.063f, 0.144f, -0.216f, 0.203f, -0.343f, 0.132f)
                curveToRelative(-0.127f, -0.07f, -0.18f, -0.245f, -0.117f, -0.389f)
                lineToRelative(0.018f, -0.044f)
                arcToRelative(7.595f, 7.595f, 0.0f, false, false, 0.21f, -0.582f)
                curveToRelative(0.082f, -0.263f, 0.146f, -0.518f, 0.185f, -0.755f)
                arcToRelative(2.42f, 2.42f, 0.0f, false, false, 0.032f, -0.6f)
                curveToRelative(-0.03f, -0.306f, -0.153f, -0.64f, -0.34f, -0.978f)
                arcToRelative(4.176f, 4.176f, 0.0f, false, false, -0.356f, -0.538f)
                arcToRelative(0.319f, 0.319f, 0.0f, false, true, 0.01f, -0.41f)
                arcToRelative(0.239f, 0.239f, 0.0f, false, true, 0.184f, -0.08f)
                close()
                moveTo(3.395f, 6.298f)
                curveToRelative(0.62f, 0.0f, 1.122f, 0.57f, 1.122f, 1.272f)
                curveToRelative(0.0f, 0.704f, -0.503f, 1.273f, -1.122f, 1.273f)
                curveToRelative(-0.555f, 0.0f, -1.016f, -0.457f, -1.106f, -1.058f)
                curveToRelative(0.077f, 0.452f, 0.428f, 0.793f, 0.849f, 0.793f)
                curveToRelative(0.477f, 0.0f, 0.864f, -0.44f, 0.864f, -0.981f)
                curveToRelative(0.0f, -0.542f, -0.387f, -0.981f, -0.864f, -0.981f)
                curveToRelative(-0.474f, 0.0f, -0.86f, 0.432f, -0.865f, 0.968f)
                lineTo(2.273f, 7.57f)
                curveToRelative(0.0f, -0.703f, 0.502f, -1.273f, 1.122f, -1.273f)
                close()
                moveTo(2.88f, 7.622f)
                arcToRelative(0.234f, 0.265f, 0.0f, false, true, 0.233f, 0.266f)
                arcToRelative(0.234f, 0.265f, 0.0f, false, true, -0.233f, 0.265f)
                arcToRelative(0.234f, 0.265f, 0.0f, false, true, -0.234f, -0.265f)
                arcToRelative(0.234f, 0.265f, 0.0f, false, true, 0.234f, -0.266f)
                close()
                moveTo(6.209f, 11.875f)
                lineToRelative(0.006f, 0.013f)
                lineToRelative(-0.115f, 0.005f)
                lineToRelative(0.109f, -0.018f)
                close()
                moveTo(8.089f, 13.005f)
                lineToRelative(0.04f, 0.003f)
                lineToRelative(0.111f, 0.005f)
                lineToRelative(0.397f, 0.02f)
                arcToRelative(286.463f, 286.463f, 0.0f, false, true, 1.59f, 0.088f)
                curveToRelative(0.348f, 0.02f, 0.64f, 0.039f, 0.865f, 0.055f)
                curveToRelative(0.861f, 0.06f, 2.172f, 0.26f, 3.177f, 0.463f)
                curveToRelative(1.556f, 0.315f, 2.82f, 0.778f, 4.81f, 1.673f)
                lineToRelative(0.677f, 0.305f)
                curveToRelative(0.131f, 0.06f, 0.195f, 0.228f, 0.143f, 0.377f)
                curveToRelative(-0.052f, 0.15f, -0.201f, 0.222f, -0.333f, 0.163f)
                arcToRelative(663.41f, 663.41f, 0.0f, false, false, -0.675f, -0.305f)
                curveToRelative(-1.962f, -0.881f, -3.198f, -1.334f, -4.711f, -1.64f)
                curveToRelative(-0.988f, -0.2f, -2.28f, -0.397f, -3.12f, -0.456f)
                arcToRelative(76.718f, 76.718f, 0.0f, false, false, -1.243f, -0.077f)
                lineToRelative(-1.203f, -0.065f)
                lineToRelative(-0.126f, -0.006f)
                arcToRelative(6.79f, 6.79f, 0.0f, false, true, 0.339f, 1.187f)
                curveToRelative(0.02f, 0.11f, 0.035f, 0.217f, 0.045f, 0.32f)
                curveToRelative(0.034f, 0.336f, -0.028f, 0.817f, -0.162f, 1.42f)
                curveToRelative(-0.044f, 0.2f, -0.096f, 0.41f, -0.153f, 0.625f)
                arcToRelative(21.303f, 21.303f, 0.0f, false, true, -0.31f, 1.058f)
                lineToRelative(-0.008f, 0.023f)
                curveToRelative(-0.05f, 0.15f, -0.198f, 0.226f, -0.33f, 0.17f)
                curveToRelative(-0.133f, -0.057f, -0.2f, -0.224f, -0.15f, -0.375f)
                lineToRelative(0.007f, -0.02f)
                arcToRelative(11.841f, 11.841f, 0.0f, false, false, 0.089f, -0.283f)
                curveToRelative(0.072f, -0.236f, 0.144f, -0.487f, 0.212f, -0.74f)
                curveToRelative(0.055f, -0.208f, 0.104f, -0.409f, 0.146f, -0.6f)
                curveToRelative(0.12f, -0.539f, 0.175f, -0.966f, 0.15f, -1.213f)
                arcToRelative(3.436f, 3.436f, 0.0f, false, false, -0.038f, -0.268f)
                arcToRelative(5.829f, 5.829f, 0.0f, false, false, -0.21f, -0.796f)
                arcToRelative(8.1f, 8.1f, 0.0f, false, false, -0.264f, -0.686f)
                curveToRelative(-0.091f, -0.198f, 0.041f, -0.434f, 0.238f, -0.424f)
                close()
                moveTo(6.436f, 13.175f)
                curveToRelative(0.066f, 0.002f, 0.13f, 0.033f, 0.179f, 0.091f)
                arcToRelative(4.758f, 4.758f, 0.0f, false, true, 0.417f, 0.627f)
                curveToRelative(0.224f, 0.405f, 0.374f, 0.816f, 0.415f, 1.222f)
                curveToRelative(0.023f, 0.23f, 0.008f, 0.489f, -0.038f, 0.77f)
                curveToRelative(-0.044f, 0.27f, -0.115f, 0.555f, -0.206f, 0.845f)
                arcToRelative(8.215f, 8.215f, 0.0f, false, true, -0.25f, 0.688f)
                curveToRelative(-0.063f, 0.144f, -0.216f, 0.204f, -0.343f, 0.133f)
                curveToRelative(-0.127f, -0.071f, -0.18f, -0.246f, -0.117f, -0.39f)
                arcToRelative(6.083f, 6.083f, 0.0f, false, false, 0.07f, -0.173f)
                arcToRelative(7.59f, 7.59f, 0.0f, false, false, 0.158f, -0.453f)
                curveToRelative(0.082f, -0.262f, 0.146f, -0.518f, 0.185f, -0.755f)
                arcToRelative(2.42f, 2.42f, 0.0f, false, false, 0.032f, -0.6f)
                curveToRelative(-0.03f, -0.305f, -0.153f, -0.64f, -0.34f, -0.978f)
                arcToRelative(4.176f, 4.176f, 0.0f, false, false, -0.356f, -0.537f)
                arcToRelative(0.319f, 0.319f, 0.0f, false, true, 0.01f, -0.411f)
                arcToRelative(0.239f, 0.239f, 0.0f, false, true, 0.184f, -0.079f)
                close()
                moveTo(3.394f, 14.145f)
                curveToRelative(0.62f, 0.0f, 1.122f, 0.57f, 1.122f, 1.273f)
                reflectiveCurveToRelative(-0.503f, 1.273f, -1.122f, 1.273f)
                curveToRelative(-0.555f, 0.0f, -1.016f, -0.458f, -1.106f, -1.058f)
                curveToRelative(0.077f, 0.451f, 0.428f, 0.792f, 0.849f, 0.792f)
                curveToRelative(0.477f, 0.0f, 0.864f, -0.439f, 0.864f, -0.98f)
                curveToRelative(0.0f, -0.543f, -0.387f, -0.982f, -0.864f, -0.982f)
                curveToRelative(-0.474f, 0.0f, -0.86f, 0.433f, -0.865f, 0.969f)
                verticalLineToRelative(-0.014f)
                curveToRelative(0.0f, -0.703f, 0.502f, -1.273f, 1.122f, -1.273f)
                close()
                moveTo(2.88f, 15.471f)
                arcToRelative(0.234f, 0.265f, 0.0f, false, true, 0.233f, 0.265f)
                arcToRelative(0.234f, 0.265f, 0.0f, false, true, -0.233f, 0.265f)
                arcToRelative(0.234f, 0.265f, 0.0f, false, true, -0.234f, -0.265f)
                arcToRelative(0.234f, 0.265f, 0.0f, false, true, 0.234f, -0.265f)
                close()
            }
        }
        .build()
        return _glitch!!
    }

private var _glitch: ImageVector? = null
