package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Go: ImageVector
    get() {
        if (_go != null) {
            return _go!!
        }
        _go = Builder(name = "Go", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp, viewportWidth =
                24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.811f, 10.231f)
                curveToRelative(-0.047f, 0.0f, -0.058f, -0.023f, -0.035f, -0.059f)
                lineToRelative(0.246f, -0.315f)
                curveToRelative(0.023f, -0.035f, 0.081f, -0.058f, 0.128f, -0.058f)
                horizontalLineToRelative(4.172f)
                curveToRelative(0.046f, 0.0f, 0.058f, 0.035f, 0.035f, 0.07f)
                lineToRelative(-0.199f, 0.303f)
                curveToRelative(-0.023f, 0.036f, -0.082f, 0.07f, -0.117f, 0.07f)
                close()
                moveTo(0.047f, 11.306f)
                curveToRelative(-0.047f, 0.0f, -0.059f, -0.023f, -0.035f, -0.058f)
                lineToRelative(0.245f, -0.316f)
                curveToRelative(0.023f, -0.035f, 0.082f, -0.058f, 0.129f, -0.058f)
                horizontalLineToRelative(5.328f)
                curveToRelative(0.047f, 0.0f, 0.07f, 0.035f, 0.058f, 0.07f)
                lineToRelative(-0.093f, 0.28f)
                curveToRelative(-0.012f, 0.047f, -0.058f, 0.07f, -0.105f, 0.07f)
                close()
                moveTo(2.875f, 12.381f)
                curveToRelative(-0.047f, 0.0f, -0.059f, -0.035f, -0.035f, -0.07f)
                lineToRelative(0.163f, -0.292f)
                curveToRelative(0.023f, -0.035f, 0.07f, -0.07f, 0.117f, -0.07f)
                horizontalLineToRelative(2.337f)
                curveToRelative(0.047f, 0.0f, 0.07f, 0.035f, 0.07f, 0.082f)
                lineToRelative(-0.023f, 0.28f)
                curveToRelative(0.0f, 0.047f, -0.047f, 0.082f, -0.082f, 0.082f)
                close()
                moveTo(15.004f, 10.021f)
                curveToRelative(-0.736f, 0.187f, -1.239f, 0.327f, -1.963f, 0.514f)
                curveToRelative(-0.176f, 0.046f, -0.187f, 0.058f, -0.34f, -0.117f)
                curveToRelative(-0.174f, -0.199f, -0.303f, -0.327f, -0.548f, -0.444f)
                curveToRelative(-0.737f, -0.362f, -1.45f, -0.257f, -2.115f, 0.175f)
                curveToRelative(-0.795f, 0.514f, -1.204f, 1.274f, -1.192f, 2.22f)
                curveToRelative(0.011f, 0.935f, 0.654f, 1.706f, 1.577f, 1.835f)
                curveToRelative(0.795f, 0.105f, 1.46f, -0.175f, 1.987f, -0.77f)
                curveToRelative(0.105f, -0.13f, 0.198f, -0.27f, 0.315f, -0.434f)
                lineTo(10.47f, 13.0f)
                curveToRelative(-0.245f, 0.0f, -0.304f, -0.152f, -0.222f, -0.35f)
                curveToRelative(0.152f, -0.362f, 0.432f, -0.97f, 0.596f, -1.274f)
                arcToRelative(0.315f, 0.315f, 0.0f, false, true, 0.292f, -0.187f)
                horizontalLineToRelative(4.253f)
                curveToRelative(-0.023f, 0.316f, -0.023f, 0.631f, -0.07f, 0.947f)
                arcToRelative(4.983f, 4.983f, 0.0f, false, true, -0.958f, 2.29f)
                curveToRelative(-0.841f, 1.11f, -1.94f, 1.8f, -3.33f, 1.986f)
                curveToRelative(-1.145f, 0.152f, -2.209f, -0.07f, -3.143f, -0.77f)
                curveToRelative(-0.865f, -0.655f, -1.356f, -1.52f, -1.484f, -2.595f)
                curveToRelative(-0.152f, -1.274f, 0.222f, -2.419f, 0.993f, -3.424f)
                curveToRelative(0.83f, -1.086f, 1.928f, -1.776f, 3.272f, -2.02f)
                curveToRelative(1.098f, -0.2f, 2.15f, -0.07f, 3.096f, 0.571f)
                curveToRelative(0.62f, 0.41f, 1.063f, 0.97f, 1.356f, 1.648f)
                curveToRelative(0.07f, 0.105f, 0.023f, 0.164f, -0.117f, 0.2f)
                moveToRelative(3.868f, 6.461f)
                curveToRelative(-1.064f, -0.024f, -2.034f, -0.328f, -2.852f, -1.029f)
                arcToRelative(3.665f, 3.665f, 0.0f, false, true, -1.262f, -2.255f)
                curveToRelative(-0.21f, -1.32f, 0.152f, -2.489f, 0.947f, -3.529f)
                curveToRelative(0.853f, -1.122f, 1.881f, -1.706f, 3.272f, -1.95f)
                curveToRelative(1.192f, -0.21f, 2.314f, -0.095f, 3.33f, 0.595f)
                curveToRelative(0.923f, 0.63f, 1.496f, 1.484f, 1.648f, 2.605f)
                curveToRelative(0.198f, 1.578f, -0.257f, 2.863f, -1.344f, 3.962f)
                curveToRelative(-0.771f, 0.783f, -1.718f, 1.273f, -2.805f, 1.495f)
                curveToRelative(-0.315f, 0.06f, -0.63f, 0.07f, -0.934f, 0.106f)
                close()
                moveTo(21.652f, 11.763f)
                curveToRelative(-0.011f, -0.153f, -0.011f, -0.27f, -0.034f, -0.387f)
                curveToRelative(-0.21f, -1.157f, -1.274f, -1.81f, -2.384f, -1.554f)
                curveToRelative(-1.087f, 0.245f, -1.788f, 0.935f, -2.045f, 2.033f)
                curveToRelative(-0.21f, 0.912f, 0.234f, 1.835f, 1.075f, 2.21f)
                curveToRelative(0.643f, 0.28f, 1.285f, 0.244f, 1.905f, -0.07f)
                curveToRelative(0.923f, -0.48f, 1.425f, -1.228f, 1.484f, -2.233f)
                close()
            }
        }
        .build()
        return _go!!
    }

private var _go: ImageVector? = null
