package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Homebrew: ImageVector
    get() {
        if (_homebrew != null) {
            return _homebrew!!
        }
        _homebrew = Builder(name = "Homebrew", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.938f, 0.0f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, -0.206f, 0.156f)
                curveToRelative(-0.316f, 1.104f, 0.179f, 2.15f, 0.838f, 2.935f)
                curveToRelative(0.153f, 0.181f, 0.313f, 0.347f, 0.476f, 0.501f)
                arcToRelative(2.039f, 2.039f, 0.0f, false, false, -0.665f, 0.02f)
                curveToRelative(-1.184f, 0.233f, -2.193f, 0.985f, -2.74f, 2.532f)
                arcToRelative(3.893f, 3.893f, 0.0f, false, false, -0.2f, 1.466f)
                arcToRelative(1.565f, 1.565f, 0.0f, false, false, -1.156f, 1.504f)
                arcToRelative(1.59f, 1.59f, 0.0f, false, false, 1.227f, 1.541f)
                lineToRelative(0.026f, 12.046f)
                curveToRelative(0.0f, 0.195f, 0.1f, 0.377f, 0.264f, 0.482f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, 0.008f, 0.005f)
                curveToRelative(0.537f, 0.31f, 2.047f, 0.812f, 5.21f, 0.812f)
                curveToRelative(3.238f, 0.0f, 4.7f, -0.678f, 5.181f, -1.04f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, 0.008f, -0.007f)
                arcToRelative(0.571f, 0.571f, 0.0f, false, false, 0.206f, -0.439f)
                curveToRelative(0.002f, -0.344f, 0.002f, -1.136f, 0.002f, -1.604f)
                arcToRelative(0.143f, 0.143f, 0.0f, false, true, 0.147f, -0.144f)
                curveToRelative(0.397f, 0.006f, 0.869f, 0.006f, 1.318f, 0.005f)
                arcToRelative(1.826f, 1.826f, 0.0f, false, false, 1.832f, -1.825f)
                verticalLineToRelative(-5.804f)
                arcToRelative(1.826f, 1.826f, 0.0f, false, false, -1.825f, -1.826f)
                lineTo(16.56f, 11.316f)
                arcToRelative(0.14f, 0.14f, 0.0f, false, true, -0.143f, -0.144f)
                lineTo(16.417f, 10.6f)
                horizontalLineToRelative(0.007f)
                verticalLineToRelative(-0.001f)
                arcToRelative(1.573f, 1.573f, 0.0f, false, false, 1.356f, -1.556f)
                curveToRelative(0.0f, -0.816f, -0.627f, -1.489f, -1.424f, -1.563f)
                curveToRelative(-0.025f, -1.438f, -0.437f, -2.126f, -0.736f, -2.58f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, -0.005f, -0.007f)
                curveToRelative(-0.364f, -0.51f, -1.193f, -1.282f, -2.275f, -1.316f)
                curveToRelative(-0.503f, -0.016f, -0.842f, 0.124f, -1.125f, 0.254f)
                curveToRelative(-0.217f, 0.1f, -0.42f, 0.177f, -0.67f, 0.22f)
                curveToRelative(0.002f, -1.286f, 0.945f, -1.981f, 0.945f, -1.981f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, 0.05f, -0.298f)
                reflectiveCurveToRelative(-0.087f, -0.122f, -0.21f, -0.26f)
                curveToRelative(-0.121f, -0.136f, -0.269f, -0.294f, -0.47f, -0.378f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, -0.079f, -0.017f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, -0.145f, 0.055f)
                arcToRelative(4.308f, 4.308f, 0.0f, false, false, -0.875f, 1.101f)
                arcToRelative(3.42f, 3.42f, 0.0f, false, false, -0.133f, 0.273f)
                arcToRelative(3.497f, 3.497f, 0.0f, false, false, -0.381f, -0.846f)
                curveTo(9.794f, 0.978f, 9.063f, 0.436f, 8.017f, 0.016f)
                arcTo(0.214f, 0.214f, 0.0f, false, false, 7.939f, 0.0f)
                close()
                moveTo(8.094f, 0.524f)
                curveToRelative(0.85f, 0.378f, 1.43f, 0.83f, 1.79f, 1.403f)
                curveToRelative(0.274f, 0.438f, 0.426f, 0.962f, 0.484f, 1.584f)
                arcToRelative(3.07f, 3.07f, 0.0f, false, false, -0.012f, 0.462f)
                arcToRelative(6.897f, 6.897f, 0.0f, false, true, -0.168f, -0.052f)
                arcToRelative(5.487f, 5.487f, 0.0f, false, true, -1.29f, -1.106f)
                curveToRelative(-0.551f, -0.657f, -0.935f, -1.46f, -0.804f, -2.291f)
                close()
                moveTo(11.8f, 1.618f)
                curveToRelative(0.07f, 0.054f, 0.141f, 0.101f, 0.212f, 0.18f)
                curveToRelative(0.034f, 0.039f, 0.032f, 0.04f, 0.058f, 0.073f)
                curveToRelative(-0.332f, 0.308f, -1.07f, 1.144f, -0.952f, 2.453f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, 0.222f, 0.195f)
                curveToRelative(0.469f, -0.017f, 0.782f, -0.172f, 1.056f, -0.299f)
                curveToRelative(0.273f, -0.126f, 0.508f, -0.228f, 0.931f, -0.214f)
                curveToRelative(0.875f, 0.027f, 1.639f, 0.715f, 1.939f, 1.134f)
                curveToRelative(0.295f, 0.449f, 0.65f, 1.0f, 0.663f, 2.36f)
                arcToRelative(1.66f, 1.66f, 0.0f, false, false, -0.41f, 0.142f)
                arcToRelative(1.938f, 1.938f, 0.0f, false, false, -1.77f, -1.16f)
                arcToRelative(1.94f, 1.94f, 0.0f, false, false, -1.87f, 1.448f)
                arcToRelative(1.783f, 1.783f, 0.0f, false, false, -1.356f, -0.64f)
                curveToRelative(-0.484f, 0.0f, -0.91f, 0.205f, -1.233f, 0.517f)
                arcToRelative(1.873f, 1.873f, 0.0f, false, false, -1.85f, -1.625f)
                curveToRelative(-0.649f, 0.0f, -1.218f, 0.335f, -1.552f, 0.84f)
                arcToRelative(3.1f, 3.1f, 0.0f, false, true, 0.157f, -0.735f)
                curveToRelative(0.51f, -1.437f, 1.355f, -2.045f, 2.42f, -2.254f)
                curveToRelative(0.367f, -0.073f, 0.664f, -0.011f, 0.99f, 0.095f)
                curveToRelative(0.325f, 0.106f, 0.671f, 0.262f, 1.094f, 0.342f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, 0.252f, -0.245f)
                curveToRelative(-0.112f, -0.67f, 0.073f, -1.266f, 0.336f, -1.744f)
                arcToRelative(3.71f, 3.71f, 0.0f, false, true, 0.663f, -0.863f)
                close()
                moveTo(7.44f, 6.611f)
                arcToRelative(1.442f, 1.442f, 0.0f, false, true, 1.363f, 1.925f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, 0.168f, 0.283f)
                horizontalLineToRelative(0.005f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, 0.238f, -0.146f)
                arcToRelative(1.373f, 1.373f, 0.0f, false, true, 2.613f, -0.01f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, 0.417f, -0.09f)
                arcToRelative(1.509f, 1.509f, 0.0f, false, true, 1.504f, -1.664f)
                curveToRelative(0.678f, 0.0f, 1.249f, 0.445f, 1.442f, 1.056f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, 0.259f, 0.143f)
                lineToRelative(0.15f, -0.04f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, 0.051f, -0.02f)
                arcToRelative(1.139f, 1.139f, 0.0f, false, true, 1.702f, 0.995f)
                arcToRelative(1.14f, 1.14f, 0.0f, false, true, -0.985f, 1.131f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, -0.001f, 0.0f)
                arcToRelative(2.215f, 2.215f, 0.0f, false, false, -0.485f, 0.126f)
                arcToRelative(10.65f, 10.65f, 0.0f, false, true, -1.176f, 0.365f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, -0.162f, 0.186f)
                arcToRelative(1.276f, 1.276f, 0.0f, false, true, -0.146f, 0.478f)
                arcToRelative(2.07f, 2.07f, 0.0f, false, false, -0.239f, 1.111f)
                lineToRelative(0.001f, 0.151f)
                arcToRelative(0.438f, 0.438f, 0.0f, false, true, -0.16f, 0.36f)
                arcToRelative(0.665f, 0.665f, 0.0f, false, true, -0.43f, 0.14f)
                arcToRelative(0.586f, 0.586f, 0.0f, false, true, -0.588f, -0.59f)
                arcToRelative(0.803f, 0.803f, 0.0f, false, false, -0.38f, -0.681f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, -0.002f, -0.002f)
                curveToRelative(-0.24f, -0.145f, -0.43f, -0.37f, -0.532f, -0.636f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, -0.207f, -0.138f)
                arcToRelative(19.469f, 19.469f, 0.0f, false, true, -5.37f, -0.6f)
                lineToRelative(-0.003f, -0.002f)
                arcToRelative(9.007f, 9.007f, 0.0f, false, false, -0.838f, -0.194f)
                horizontalLineToRelative(0.003f)
                arcToRelative(1.16f, 1.16f, 0.0f, false, true, -0.937f, -1.134f)
                curveToRelative(0.0f, -0.619f, 0.488f, -1.118f, 1.101f, -1.14f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, 0.204f, -0.176f)
                arcToRelative(1.443f, 1.443f, 0.0f, false, true, 1.42f, -1.187f)
                close()
                moveTo(15.989f, 10.717f)
                verticalLineToRelative(0.455f)
                curveToRelative(0.0f, 0.314f, 0.259f, 0.573f, 0.572f, 0.573f)
                horizontalLineToRelative(1.329f)
                arcToRelative(1.397f, 1.397f, 0.0f, false, true, 1.397f, 1.397f)
                verticalLineToRelative(5.804f)
                arcToRelative(1.396f, 1.396f, 0.0f, false, true, -1.402f, 1.396f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, -0.002f, 0.0f)
                curveToRelative(-0.448f, 0.002f, -0.918f, 0.0f, -1.31f, -0.005f)
                arcToRelative(0.573f, 0.573f, 0.0f, false, false, -0.584f, 0.573f)
                curveToRelative(0.0f, 0.468f, 0.0f, 1.262f, -0.002f, 1.603f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, 0.0f, 0.001f)
                curveToRelative(0.0f, 0.042f, -0.019f, 0.08f, -0.05f, 0.107f)
                curveToRelative(-0.346f, 0.26f, -1.75f, 0.95f, -4.915f, 0.95f)
                curveToRelative(-3.107f, 0.0f, -4.587f, -0.52f, -4.99f, -0.752f)
                arcToRelative(0.143f, 0.143f, 0.0f, false, true, -0.065f, -0.118f)
                lineToRelative(-0.025f, -11.955f)
                curveToRelative(0.145f, 0.033f, 0.288f, 0.07f, 0.431f, 0.11f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, 0.003f, 0.0f)
                curveToRelative(0.115f, 0.031f, 0.246f, 0.064f, 0.383f, 0.097f)
                verticalLineToRelative(10.37f)
                curveToRelative(0.0f, 0.129f, 0.069f, 0.247f, 0.18f, 0.31f)
                curveToRelative(0.453f, 0.217f, 1.767f, 0.732f, 4.071f, 0.732f)
                curveToRelative(2.32f, 0.0f, 3.595f, -0.626f, 4.022f, -0.884f)
                arcToRelative(0.357f, 0.357f, 0.0f, false, false, 0.164f, -0.3f)
                lineToRelative(0.001f, -10.21f)
                curveToRelative(0.267f, -0.075f, 0.531f, -0.158f, 0.792f, -0.254f)
                close()
                moveTo(7.999f, 11.611f)
                arcToRelative(0.493f, 0.493f, 0.0f, false, true, 0.494f, 0.493f)
                verticalLineToRelative(8.578f)
                arcToRelative(0.493f, 0.493f, 0.0f, false, true, -0.493f, 0.493f)
                arcToRelative(0.493f, 0.493f, 0.0f, false, true, -0.494f, -0.493f)
                verticalLineToRelative(-8.578f)
                arcTo(0.493f, 0.493f, 0.0f, false, true, 8.0f, 11.611f)
                close()
                moveTo(16.651f, 12.751f)
                arcToRelative(0.663f, 0.663f, 0.0f, false, false, -0.662f, 0.662f)
                verticalLineToRelative(5.208f)
                arcToRelative(0.663f, 0.663f, 0.0f, false, false, 0.662f, 0.662f)
                horizontalLineToRelative(1.14f)
                arcToRelative(0.663f, 0.663f, 0.0f, false, false, 0.662f, -0.662f)
                verticalLineToRelative(-5.209f)
                arcToRelative(0.663f, 0.663f, 0.0f, false, false, -0.662f, -0.662f)
                close()
                moveTo(16.651f, 13.179f)
                horizontalLineToRelative(1.14f)
                arcToRelative(0.233f, 0.233f, 0.0f, false, true, 0.233f, 0.233f)
                verticalLineToRelative(5.21f)
                arcToRelative(0.233f, 0.233f, 0.0f, false, true, -0.233f, 0.232f)
                horizontalLineToRelative(-1.14f)
                arcToRelative(0.233f, 0.233f, 0.0f, false, true, -0.233f, -0.233f)
                verticalLineToRelative(-5.209f)
                arcToRelative(0.233f, 0.233f, 0.0f, false, true, 0.233f, -0.233f)
                close()
            }
        }
        .build()
        return _homebrew!!
    }

private var _homebrew: ImageVector? = null
