package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Kaspersky: ImageVector
    get() {
        if (_kaspersky != null) {
            return _kaspersky!!
        }
        _kaspersky = Builder(name = "Kaspersky", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(10.812f, 12.014f)
                curveToRelative(0.0f, 0.91f, -0.555f, 1.34f, -1.25f, 1.34f)
                horizontalLineToRelative(-0.424f)
                verticalLineToRelative(-0.546f)
                horizontalLineToRelative(0.392f)
                curveToRelative(0.419f, 0.0f, 0.698f, -0.226f, 0.698f, -0.794f)
                curveToRelative(0.0f, -0.563f, -0.264f, -0.844f, -0.71f, -0.844f)
                curveToRelative(-0.43f, 0.0f, -0.738f, 0.265f, -0.738f, 0.833f)
                verticalLineToRelative(2.282f)
                lineTo(8.2f, 14.285f)
                verticalLineToRelative(-3.589f)
                horizontalLineToRelative(0.58f)
                verticalLineToRelative(0.309f)
                horizontalLineToRelative(0.082f)
                arcToRelative(0.94f, 0.94f, 0.0f, false, true, 0.776f, -0.375f)
                curveToRelative(0.64f, 0.0f, 1.174f, 0.463f, 1.174f, 1.384f)
                close()
                moveTo(7.008f, 11.777f)
                lineToRelative(-0.386f, -0.039f)
                curveToRelative(-0.304f, -0.027f, -0.464f, -0.11f, -0.464f, -0.287f)
                curveToRelative(0.0f, -0.21f, 0.204f, -0.33f, 0.497f, -0.33f)
                curveToRelative(0.303f, 0.0f, 0.496f, 0.143f, 0.512f, 0.347f)
                horizontalLineToRelative(0.557f)
                curveToRelative(-0.022f, -0.518f, -0.424f, -0.838f, -1.064f, -0.838f)
                curveToRelative(-0.645f, 0.0f, -1.08f, 0.342f, -1.08f, 0.843f)
                curveToRelative(0.0f, 0.42f, 0.264f, 0.69f, 0.865f, 0.75f)
                lineToRelative(0.392f, 0.039f)
                curveToRelative(0.237f, 0.022f, 0.397f, 0.072f, 0.397f, 0.298f)
                curveToRelative(0.0f, 0.204f, -0.15f, 0.352f, -0.54f, 0.352f)
                curveToRelative(-0.361f, 0.0f, -0.539f, -0.163f, -0.601f, -0.382f)
                lineTo(5.49f, 12.53f)
                curveToRelative(0.06f, 0.5f, 0.481f, 0.89f, 1.203f, 0.89f)
                curveToRelative(0.678f, 0.0f, 1.12f, -0.359f, 1.12f, -0.888f)
                curveToRelative(0.0f, -0.469f, -0.31f, -0.706f, -0.805f, -0.755f)
                close()
                moveTo(13.055f, 12.53f)
                curveToRelative(-0.091f, 0.208f, -0.308f, 0.366f, -0.616f, 0.366f)
                curveToRelative(-0.425f, 0.0f, -0.739f, -0.276f, -0.739f, -0.871f)
                curveToRelative(0.0f, -0.568f, 0.292f, -0.882f, 0.744f, -0.882f)
                curveToRelative(0.403f, 0.0f, 0.634f, 0.242f, 0.657f, 0.606f)
                horizontalLineToRelative(-1.043f)
                verticalLineToRelative(0.42f)
                horizontalLineToRelative(1.61f)
                verticalLineToRelative(-0.277f)
                curveToRelative(0.0f, -0.766f, -0.507f, -1.262f, -1.23f, -1.262f)
                curveToRelative(-0.672f, 0.0f, -1.317f, 0.457f, -1.317f, 1.395f)
                curveToRelative(0.0f, 0.937f, 0.645f, 1.395f, 1.318f, 1.395f)
                curveToRelative(0.615f, 0.0f, 1.054f, -0.38f, 1.19f, -0.89f)
                close()
                moveTo(3.928f, 10.63f)
                curveToRelative(-0.634f, 0.0f, -1.108f, 0.33f, -1.163f, 0.838f)
                horizontalLineToRelative(0.623f)
                curveToRelative(0.044f, -0.188f, 0.215f, -0.325f, 0.54f, -0.325f)
                curveToRelative(0.42f, 0.0f, 0.557f, 0.22f, 0.557f, 0.49f)
                verticalLineToRelative(0.91f)
                curveToRelative(-0.237f, 0.27f, -0.513f, 0.397f, -0.788f, 0.397f)
                curveToRelative(-0.287f, 0.0f, -0.486f, -0.138f, -0.486f, -0.386f)
                curveToRelative(0.0f, -0.237f, 0.155f, -0.386f, 0.452f, -0.386f)
                horizontalLineToRelative(0.464f)
                verticalLineToRelative(-0.419f)
                horizontalLineToRelative(-0.48f)
                curveToRelative(-0.662f, 0.0f, -1.031f, 0.331f, -1.031f, 0.838f)
                curveToRelative(0.0f, 0.474f, 0.358f, 0.833f, 0.948f, 0.833f)
                curveToRelative(0.331f, 0.0f, 0.623f, -0.133f, 0.838f, -0.292f)
                horizontalLineToRelative(0.083f)
                verticalLineToRelative(0.226f)
                horizontalLineToRelative(0.579f)
                verticalLineToRelative(-1.776f)
                curveToRelative(0.0f, -0.656f, -0.447f, -0.948f, -1.136f, -0.948f)
                close()
                moveTo(0.0f, 13.354f)
                horizontalLineToRelative(0.579f)
                verticalLineToRelative(-3.64f)
                lineTo(0.0f, 9.714f)
                close()
                moveTo(2.432f, 10.696f)
                horizontalLineToRelative(-0.706f)
                lineToRelative(-0.844f, 1.108f)
                verticalLineToRelative(0.348f)
                lineToRelative(0.866f, 1.202f)
                horizontalLineToRelative(0.717f)
                lineTo(1.45f, 11.975f)
                close()
                moveTo(23.36f, 10.696f)
                lineToRelative(-0.474f, 1.053f)
                curveToRelative(-0.116f, 0.254f, -0.226f, 0.502f, -0.259f, 0.667f)
                horizontalLineToRelative(-0.083f)
                curveToRelative(-0.033f, -0.165f, -0.148f, -0.408f, -0.264f, -0.661f)
                lineToRelative(-0.474f, -1.059f)
                horizontalLineToRelative(-0.64f)
                lineToRelative(1.114f, 2.387f)
                lineToRelative(-0.552f, 1.202f)
                horizontalLineToRelative(0.618f)
                lineTo(24.0f, 10.696f)
                close()
                moveTo(21.038f, 10.696f)
                horizontalLineToRelative(-0.706f)
                lineToRelative(-0.843f, 1.108f)
                verticalLineToRelative(0.348f)
                lineToRelative(0.865f, 1.202f)
                horizontalLineToRelative(0.717f)
                lineToRelative(-1.015f, -1.379f)
                close()
                moveTo(17.413f, 11.776f)
                lineToRelative(-0.386f, -0.038f)
                curveToRelative(-0.303f, -0.027f, -0.463f, -0.11f, -0.463f, -0.287f)
                curveToRelative(0.0f, -0.21f, 0.204f, -0.33f, 0.496f, -0.33f)
                curveToRelative(0.303f, 0.0f, 0.496f, 0.143f, 0.513f, 0.347f)
                horizontalLineToRelative(0.557f)
                curveToRelative(-0.022f, -0.518f, -0.425f, -0.838f, -1.064f, -0.838f)
                curveToRelative(-0.645f, 0.0f, -1.081f, 0.342f, -1.081f, 0.843f)
                curveToRelative(0.0f, 0.42f, 0.265f, 0.69f, 0.866f, 0.75f)
                lineToRelative(0.391f, 0.039f)
                curveToRelative(0.237f, 0.022f, 0.397f, 0.072f, 0.397f, 0.298f)
                curveToRelative(0.0f, 0.204f, -0.149f, 0.352f, -0.54f, 0.352f)
                curveToRelative(-0.36f, 0.0f, -0.538f, -0.163f, -0.6f, -0.382f)
                horizontalLineToRelative(-0.603f)
                curveToRelative(0.06f, 0.5f, 0.481f, 0.89f, 1.203f, 0.89f)
                curveToRelative(0.678f, 0.0f, 1.12f, -0.359f, 1.12f, -0.888f)
                curveToRelative(0.0f, -0.469f, -0.31f, -0.706f, -0.806f, -0.755f)
                close()
                moveTo(18.606f, 13.354f)
                horizontalLineToRelative(0.58f)
                verticalLineToRelative(-3.64f)
                horizontalLineToRelative(-0.58f)
                close()
                moveTo(14.789f, 11.004f)
                horizontalLineToRelative(-0.083f)
                verticalLineToRelative(-0.308f)
                horizontalLineToRelative(-0.579f)
                verticalLineToRelative(2.658f)
                horizontalLineToRelative(0.579f)
                verticalLineToRelative(-1.39f)
                curveToRelative(0.0f, -0.474f, 0.219f, -0.75f, 0.65f, -0.75f)
                horizontalLineToRelative(0.367f)
                verticalLineToRelative(-0.584f)
                horizontalLineToRelative(-0.212f)
                curveToRelative(-0.4f, 0.0f, -0.57f, 0.15f, -0.722f, 0.375f)
                close()
            }
        }
        .build()
        return _kaspersky!!
    }

private var _kaspersky: ImageVector? = null
