package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Kia: ImageVector
    get() {
        if (_kia != null) {
            return _kia!!
        }
        _kia = Builder(name = "Kia", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp, viewportWidth
                = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(13.923f, 14.175f)
                curveToRelative(0.0f, 0.046f, 0.015f, 0.072f, 0.041f, 0.072f)
                arcToRelative(0.123f, 0.123f, 0.0f, false, false, 0.058f, -0.024f)
                lineToRelative(7.48f, -4.854f)
                arcToRelative(0.72f, 0.72f, 0.0f, false, true, 0.432f, -0.13f)
                horizontalLineToRelative(1.644f)
                curveToRelative(0.252f, 0.0f, 0.422f, 0.168f, 0.422f, 0.42f)
                verticalLineToRelative(3.139f)
                curveToRelative(0.0f, 0.38f, -0.084f, 0.6f, -0.42f, 0.801f)
                lineToRelative(-1.994f, 1.2f)
                arcToRelative(0.137f, 0.137f, 0.0f, false, true, -0.067f, 0.024f)
                curveToRelative(-0.024f, 0.0f, -0.048f, -0.019f, -0.048f, -0.088f)
                verticalLineToRelative(-3.663f)
                curveToRelative(0.0f, -0.043f, -0.012f, -0.071f, -0.041f, -0.071f)
                arcToRelative(0.113f, 0.113f, 0.0f, false, false, -0.058f, 0.024f)
                lineToRelative(-5.466f, 3.551f)
                arcToRelative(0.733f, 0.733f, 0.0f, false, true, -0.42f, 0.127f)
                horizontalLineToRelative(-3.624f)
                curveToRelative(-0.254f, 0.0f, -0.422f, -0.168f, -0.422f, -0.422f)
                verticalLineTo(9.757f)
                curveToRelative(0.0f, -0.033f, -0.015f, -0.064f, -0.044f, -0.064f)
                arcToRelative(0.118f, 0.118f, 0.0f, false, false, -0.057f, 0.024f)
                lineTo(7.732f, 11.88f)
                curveToRelative(-0.036f, 0.024f, -0.046f, 0.041f, -0.046f, 0.058f)
                curveToRelative(0.0f, 0.014f, 0.008f, 0.029f, 0.032f, 0.055f)
                lineToRelative(2.577f, 2.575f)
                curveToRelative(0.034f, 0.034f, 0.058f, 0.06f, 0.058f, 0.089f)
                curveToRelative(0.0f, 0.024f, -0.039f, 0.043f, -0.084f, 0.043f)
                horizontalLineTo(7.94f)
                curveToRelative(-0.183f, 0.0f, -0.324f, -0.026f, -0.423f, -0.125f)
                lineToRelative(-1.562f, -1.56f)
                arcToRelative(0.067f, 0.067f, 0.0f, false, false, -0.048f, -0.024f)
                arcToRelative(0.103f, 0.103f, 0.0f, false, false, -0.048f, 0.015f)
                lineToRelative(-2.61f, 1.57f)
                arcToRelative(0.72f, 0.72f, 0.0f, false, true, -0.423f, 0.122f)
                horizontalLineTo(0.425f)
                curveTo(0.168f, 14.7f, 0.0f, 14.53f, 0.0f, 14.279f)
                verticalLineToRelative(-3.08f)
                curveToRelative(0.0f, -0.38f, 0.084f, -0.6f, 0.422f, -0.8f)
                lineTo(2.43f, 9.192f)
                arcToRelative(0.103f, 0.103f, 0.0f, false, true, 0.052f, -0.016f)
                curveToRelative(0.032f, 0.0f, 0.048f, 0.03f, 0.048f, 0.1f)
                verticalLineTo(13.4f)
                curveToRelative(0.0f, 0.043f, 0.01f, 0.063f, 0.041f, 0.063f)
                arcToRelative(0.144f, 0.144f, 0.0f, false, false, 0.06f, -0.024f)
                lineTo(9.407f, 9.36f)
                arcToRelative(0.733f, 0.733f, 0.0f, false, true, 0.446f, -0.124f)
                horizontalLineToRelative(3.648f)
                curveToRelative(0.252f, 0.0f, 0.422f, 0.168f, 0.422f, 0.42f)
                lineToRelative(-0.002f, 4.518f)
                close()
            }
        }
        .build()
        return _kia!!
    }

private var _kia: ImageVector? = null
