package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Librarything: ImageVector
    get() {
        if (_librarything != null) {
            return _librarything!!
        }
        _librarything = Builder(name = "Librarything", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(8.16f, 0.0f)
                horizontalLineToRelative(7.68f)
                curveToRelative(2.66f, 0.0f, 3.508f, 0.0f, 4.708f, 0.4f)
                curveToRelative(1.4f, 0.5f, 2.552f, 1.65f, 3.052f, 3.05f)
                curveToRelative(0.4f, 1.2f, 0.4f, 2.05f, 0.4f, 4.71f)
                verticalLineToRelative(7.68f)
                curveToRelative(0.0f, 2.66f, 0.0f, 3.51f, -0.4f, 4.71f)
                arcToRelative(5.04f, 5.04f, 0.0f, false, true, -3.05f, 3.05f)
                curveToRelative(-1.2f, 0.4f, -2.05f, 0.4f, -4.71f, 0.4f)
                lineTo(8.16f, 24.0f)
                curveToRelative(-2.66f, 0.0f, -3.51f, 0.0f, -4.71f, -0.4f)
                arcTo(5.043f, 5.043f, 0.0f, false, true, 0.4f, 20.55f)
                curveTo(0.0f, 19.35f, 0.0f, 18.5f, 0.0f, 15.84f)
                lineTo(0.0f, 8.16f)
                curveTo(0.0f, 5.5f, 0.0f, 4.65f, 0.4f, 3.45f)
                arcTo(5.04f, 5.04f, 0.0f, false, true, 3.45f, 0.4f)
                curveTo(4.65f, 0.0f, 5.5f, 0.0f, 8.16f, 0.0f)
                close()
                moveTo(10.994f, 6.682f)
                verticalLineToRelative(-0.297f)
                lineToRelative(-0.023f, -0.321f)
                curveToRelative(0.0f, -0.092f, -0.03f, -0.23f, -0.091f, -0.412f)
                arcToRelative(1.552f, 1.552f, 0.0f, false, true, -0.092f, -0.481f)
                curveToRelative(0.0f, -0.092f, 0.038f, -0.168f, 0.115f, -0.23f)
                arcToRelative(5.55f, 5.55f, 0.0f, false, false, 0.24f, -0.194f)
                curveToRelative(0.1f, -0.084f, 0.24f, -0.126f, 0.424f, -0.126f)
                curveToRelative(0.107f, 0.0f, 0.282f, 0.015f, 0.527f, 0.046f)
                curveToRelative(0.214f, 0.0f, 0.374f, -0.046f, 0.481f, -0.138f)
                curveToRelative(0.046f, -0.03f, 0.13f, -0.091f, 0.252f, -0.183f)
                reflectiveCurveToRelative(0.183f, -0.199f, 0.183f, -0.32f)
                curveToRelative(0.0f, -0.2f, -0.11f, -0.36f, -0.332f, -0.482f)
                curveToRelative(-0.221f, -0.122f, -0.5f, -0.183f, -0.836f, -0.183f)
                lineToRelative(-0.94f, 0.069f)
                curveToRelative(-0.213f, 0.0f, -0.618f, 0.05f, -1.214f, 0.149f)
                curveToRelative(-0.595f, 0.099f, -1.061f, 0.149f, -1.397f, 0.149f)
                arcToRelative(5.04f, 5.04f, 0.0f, false, true, -0.7f, -0.08f)
                arcToRelative(5.174f, 5.174f, 0.0f, false, false, -0.79f, -0.08f)
                curveToRelative(-0.168f, 0.06f, -0.34f, 0.118f, -0.515f, 0.171f)
                curveToRelative(-0.176f, 0.053f, -0.263f, 0.134f, -0.263f, 0.24f)
                lineToRelative(0.045f, 0.207f)
                curveToRelative(0.092f, 0.198f, 0.23f, 0.35f, 0.413f, 0.458f)
                lineToRelative(0.183f, 0.091f)
                curveToRelative(0.092f, 0.03f, 0.168f, 0.046f, 0.23f, 0.046f)
                curveToRelative(0.075f, 0.0f, 0.19f, -0.007f, 0.343f, -0.023f)
                curveToRelative(0.122f, 0.0f, 0.237f, 0.03f, 0.343f, 0.092f)
                lineToRelative(0.252f, 0.229f)
                curveToRelative(0.123f, 0.137f, 0.21f, 0.271f, 0.264f, 0.4f)
                curveToRelative(0.053f, 0.13f, 0.08f, 0.249f, 0.08f, 0.356f)
                curveToRelative(0.0f, 0.076f, -0.015f, 0.206f, -0.046f, 0.39f)
                arcToRelative(2.86f, 2.86f, 0.0f, false, false, -0.046f, 0.434f)
                curveToRelative(0.0f, 0.138f, 0.035f, 0.336f, 0.104f, 0.596f)
                curveToRelative(0.068f, 0.26f, 0.103f, 0.473f, 0.103f, 0.641f)
                curveToRelative(-0.016f, 0.26f, -0.023f, 0.52f, -0.023f, 0.78f)
                verticalLineToRelative(0.778f)
                curveToRelative(0.0f, 0.198f, 0.015f, 0.458f, 0.046f, 0.779f)
                curveToRelative(0.03f, 0.32f, 0.045f, 0.572f, 0.045f, 0.755f)
                lineToRelative(-0.045f, 0.962f)
                lineToRelative(-0.023f, 1.535f)
                lineToRelative(-0.07f, 1.26f)
                curveToRelative(0.0f, 0.168f, 0.031f, 0.39f, 0.093f, 0.664f)
                curveToRelative(0.06f, 0.275f, 0.091f, 0.496f, 0.091f, 0.664f)
                curveToRelative(0.0f, 0.168f, -0.023f, 0.382f, -0.069f, 0.642f)
                curveToRelative(-0.045f, 0.26f, -0.068f, 0.465f, -0.068f, 0.618f)
                curveToRelative(0.0f, 0.076f, 0.007f, 0.176f, 0.023f, 0.298f)
                arcToRelative(0.808f, 0.808f, 0.0f, false, true, 0.0f, 0.275f)
                arcToRelative(0.56f, 0.56f, 0.0f, false, true, -0.126f, 0.263f)
                arcToRelative(37.9f, 37.9f, 0.0f, false, true, -0.218f, 0.264f)
                curveToRelative(-0.137f, 0.168f, -0.29f, 0.297f, -0.458f, 0.389f)
                curveToRelative(-0.168f, 0.092f, -0.405f, 0.145f, -0.71f, 0.16f)
                curveToRelative(-0.306f, 0.016f, -0.527f, 0.08f, -0.665f, 0.195f)
                curveToRelative(-0.137f, 0.115f, -0.206f, 0.202f, -0.206f, 0.263f)
                curveToRelative(0.0f, 0.397f, 0.367f, 0.596f, 1.1f, 0.596f)
                lineToRelative(0.16f, -0.023f)
                arcToRelative(35.207f, 35.207f, 0.0f, false, true, 1.317f, -0.137f)
                curveToRelative(0.222f, -0.016f, 0.478f, -0.023f, 0.768f, -0.023f)
                horizontalLineToRelative(0.275f)
                curveToRelative(0.275f, 0.015f, 0.55f, 0.023f, 0.825f, 0.023f)
                horizontalLineToRelative(2.2f)
                curveToRelative(0.213f, -0.016f, 0.415f, -0.035f, 0.606f, -0.058f)
                arcToRelative(4.37f, 4.37f, 0.0f, false, true, 0.516f, -0.034f)
                curveToRelative(0.198f, 0.0f, 0.473f, 0.05f, 0.825f, 0.149f)
                curveToRelative(0.35f, 0.1f, 0.649f, 0.133f, 0.893f, 0.103f)
                curveToRelative(0.015f, 0.0f, 0.103f, -0.023f, 0.264f, -0.069f)
                arcToRelative(1.69f, 1.69f, 0.0f, false, true, 0.47f, -0.068f)
                curveToRelative(0.014f, 0.0f, 0.118f, 0.011f, 0.308f, 0.034f)
                curveToRelative(0.191f, 0.023f, 0.348f, 0.034f, 0.47f, 0.034f)
                curveToRelative(0.061f, 0.0f, 0.168f, -0.015f, 0.32f, -0.046f)
                curveToRelative(0.383f, -0.076f, 0.65f, -0.221f, 0.803f, -0.435f)
                arcToRelative(0.767f, 0.767f, 0.0f, false, false, 0.16f, -0.435f)
                arcToRelative(3.704f, 3.704f, 0.0f, false, true, -0.069f, -0.435f)
                arcToRelative(2.77f, 2.77f, 0.0f, false, true, 0.0f, -0.504f)
                curveToRelative(0.077f, -0.153f, 0.16f, -0.305f, 0.252f, -0.458f)
                curveToRelative(0.077f, -0.199f, 0.13f, -0.47f, 0.16f, -0.813f)
                curveToRelative(0.031f, -0.344f, 0.058f, -0.573f, 0.081f, -0.687f)
                arcToRelative(2.79f, 2.79f, 0.0f, false, true, 0.195f, -0.527f)
                curveToRelative(0.107f, -0.237f, 0.16f, -0.44f, 0.16f, -0.607f)
                arcToRelative(0.974f, 0.974f, 0.0f, false, false, -0.114f, -0.481f)
                curveToRelative(-0.077f, -0.138f, -0.176f, -0.206f, -0.298f, -0.206f)
                curveToRelative(-0.077f, 0.0f, -0.199f, 0.068f, -0.367f, 0.206f)
                curveToRelative(-0.076f, 0.06f, -0.141f, 0.175f, -0.195f, 0.343f)
                arcToRelative(2.778f, 2.778f, 0.0f, false, true, -0.126f, 0.344f)
                curveToRelative(-0.183f, 0.275f, -0.366f, 0.542f, -0.55f, 0.802f)
                arcToRelative(3.768f, 3.768f, 0.0f, false, false, -0.229f, 0.435f)
                curveToRelative(-0.152f, 0.32f, -0.274f, 0.542f, -0.366f, 0.664f)
                curveToRelative(-0.03f, 0.046f, -0.153f, 0.16f, -0.367f, 0.344f)
                arcToRelative(1.124f, 1.124f, 0.0f, false, false, -0.217f, 0.24f)
                curveToRelative(-0.07f, 0.1f, -0.165f, 0.256f, -0.287f, 0.47f)
                lineToRelative(-0.39f, 0.206f)
                lineToRelative(-0.274f, 0.069f)
                arcToRelative(1.894f, 1.894f, 0.0f, false, false, -0.367f, 0.114f)
                curveToRelative(-0.152f, 0.061f, -0.267f, 0.1f, -0.343f, 0.115f)
                arcToRelative(1.571f, 1.571f, 0.0f, false, true, -0.298f, 0.022f)
                curveToRelative(-0.138f, 0.0f, -0.344f, -0.022f, -0.619f, -0.068f)
                arcToRelative(4.242f, 4.242f, 0.0f, false, false, -0.664f, -0.069f)
                lineToRelative(-0.481f, 0.023f)
                curveToRelative(-0.55f, 0.0f, -0.955f, -0.298f, -1.215f, -0.893f)
                curveToRelative(-0.168f, -0.382f, -0.297f, -0.978f, -0.39f, -1.787f)
                arcToRelative(2.327f, 2.327f, 0.0f, false, true, -0.022f, -0.366f)
                curveToRelative(0.0f, -0.123f, 0.008f, -0.329f, 0.023f, -0.619f)
                curveToRelative(0.0f, -0.076f, 0.019f, -0.237f, 0.057f, -0.48f)
                arcToRelative(4.07f, 4.07f, 0.0f, false, false, 0.057f, -0.596f)
                verticalLineToRelative(-1.604f)
                curveToRelative(0.0f, -0.137f, 0.008f, -0.313f, 0.023f, -0.527f)
                curveToRelative(0.016f, -0.213f, 0.023f, -0.366f, 0.023f, -0.458f)
                arcToRelative(2.14f, 2.14f, 0.0f, false, false, -0.023f, -0.343f)
                curveToRelative(0.0f, -0.092f, -0.03f, -0.222f, -0.091f, -0.39f)
                arcToRelative(1.244f, 1.244f, 0.0f, false, true, -0.092f, -0.389f)
                curveToRelative(0.0f, -0.076f, 0.015f, -0.183f, 0.046f, -0.32f)
                curveToRelative(0.03f, -0.138f, 0.046f, -0.245f, 0.046f, -0.321f)
                curveToRelative(0.0f, -0.168f, -0.008f, -0.397f, -0.023f, -0.688f)
                arcToRelative(13.83f, 13.83f, 0.0f, false, true, -0.023f, -0.687f)
                curveToRelative(0.0f, -0.198f, 0.03f, -0.442f, 0.092f, -0.733f)
                arcToRelative(3.6f, 3.6f, 0.0f, false, false, 0.091f, -0.71f)
                close()
            }
        }
        .build()
        return _librarything!!
    }

private var _librarything: ImageVector? = null
