package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Pokemon: ImageVector
    get() {
        if (_pokemon != null) {
            return _pokemon!!
        }
        _pokemon = Builder(name = "Pokemon", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(4.463f, 11.691f)
                curveToRelative(-0.081f, -0.436f, -0.651f, -0.676f, -1.217f, -0.368f)
                lineToRelative(0.146f, 0.498f)
                lineToRelative(0.23f, 0.737f)
                lineToRelative(0.104f, 0.335f)
                curveToRelative(0.423f, -0.272f, 0.85f, -0.599f, 0.737f, -1.203f)
                close()
                moveTo(3.901f, 12.361f)
                arcToRelative(56.82f, 56.82f, 0.0f, false, false, -0.197f, -0.636f)
                lineToRelative(-0.059f, -0.203f)
                arcToRelative(0.54f, 0.54f, 0.0f, false, true, 0.33f, 0.033f)
                curveToRelative(0.053f, 0.026f, 0.146f, 0.084f, 0.166f, 0.196f)
                curveToRelative(0.047f, 0.25f, -0.037f, 0.429f, -0.24f, 0.608f)
                close()
                moveTo(13.009f, 10.999f)
                arcToRelative(0.774f, 0.774f, 0.0f, true, false, -0.963f, 1.207f)
                lineToRelative(1.018f, -1.153f)
                arcToRelative(1.058f, 1.058f, 0.0f, false, false, -0.055f, -0.054f)
                close()
                moveTo(12.048f, 11.811f)
                arcToRelative(0.5f, 0.5f, 0.0f, false, true, 0.618f, -0.707f)
                close()
                moveTo(19.599f, 12.036f)
                arcToRelative(0.375f, 0.375f, 0.0f, false, true, 0.013f, 0.105f)
                curveToRelative(-0.01f, 0.215f, -0.213f, 0.382f, -0.454f, 0.37f)
                curveToRelative(-0.241f, -0.008f, -0.43f, -0.191f, -0.42f, -0.405f)
                curveToRelative(0.007f, -0.203f, 0.187f, -0.362f, 0.409f, -0.372f)
                arcToRelative(0.712f, 0.712f, 0.0f, false, false, -0.132f, -0.017f)
                curveToRelative(-0.405f, -0.017f, -0.735f, 0.27f, -0.748f, 0.626f)
                curveToRelative(-0.017f, 0.38f, 0.289f, 0.692f, 0.686f, 0.709f)
                curveToRelative(0.406f, 0.015f, 0.735f, -0.272f, 0.75f, -0.651f)
                arcToRelative(0.625f, 0.625f, 0.0f, false, false, -0.103f, -0.365f)
                moveToRelative(-12.255f, 0.436f)
                curveToRelative(0.0f, 0.216f, -0.197f, 0.39f, -0.438f, 0.39f)
                curveToRelative(-0.242f, 0.0f, -0.438f, -0.173f, -0.438f, -0.39f)
                curveToRelative(0.0f, -0.202f, 0.173f, -0.368f, 0.394f, -0.388f)
                arcToRelative(0.736f, 0.736f, 0.0f, false, false, -0.132f, -0.012f)
                curveToRelative(-0.404f, 0.0f, -0.723f, 0.3f, -0.723f, 0.656f)
                curveToRelative(0.0f, 0.382f, 0.32f, 0.68f, 0.716f, 0.68f)
                curveToRelative(0.405f, 0.0f, 0.723f, -0.298f, 0.723f, -0.68f)
                arcToRelative(0.605f, 0.605f, 0.0f, false, false, -0.119f, -0.358f)
                curveToRelative(0.01f, 0.03f, 0.017f, 0.065f, 0.017f, 0.102f)
                moveToRelative(14.768f, -2.185f)
                lineToRelative(-0.18f, 0.739f)
                lineToRelative(-0.166f, -0.82f)
                lineToRelative(-2.218f, -0.487f)
                lineToRelative(0.016f, 1.233f)
                lineToRelative(0.334f, 0.075f)
                lineToRelative(-0.024f, 0.223f)
                lineToRelative(-0.01f, -0.007f)
                curveToRelative(-0.414f, -0.218f, -0.927f, -0.24f, -1.41f, -0.058f)
                curveToRelative(-0.163f, 0.06f, -0.314f, 0.143f, -0.45f, 0.242f)
                lineToRelative(-0.335f, -2.112f)
                horizontalLineToRelative(-1.475f)
                lineToRelative(-0.04f, 0.244f)
                horizontalLineToRelative(-1.553f)
                lineToRelative(-0.177f, 1.085f)
                lineToRelative(-0.13f, -0.159f)
                arcToRelative(1.986f, 1.986f, 0.0f, false, false, -1.525f, -0.73f)
                lineToRelative(1.318f, -0.709f)
                lineToRelative(-0.918f, -1.37f)
                lineToRelative(-1.663f, 1.913f)
                lineToRelative(0.287f, 0.35f)
                arcToRelative(2.19f, 2.19f, 0.0f, false, false, -0.674f, 0.429f)
                lineTo(9.696f, 9.104f)
                lineToRelative(-0.497f, 0.953f)
                lineToRelative(0.019f, -0.916f)
                lineToRelative(-2.226f, 0.712f)
                lineToRelative(0.057f, 1.196f)
                lineToRelative(0.379f, -0.098f)
                lineToRelative(0.056f, 0.605f)
                curveToRelative(-0.433f, -0.193f, -0.954f, -0.19f, -1.436f, 0.014f)
                arcToRelative(2.12f, 2.12f, 0.0f, false, false, -0.399f, 0.229f)
                arcToRelative(1.695f, 1.695f, 0.0f, false, false, -0.077f, -1.058f)
                arcToRelative(1.904f, 1.904f, 0.0f, false, false, -0.817f, -0.9f)
                arcToRelative(1.958f, 1.958f, 0.0f, false, false, -0.865f, -0.308f)
                curveToRelative(-0.77f, -0.135f, -1.696f, 0.003f, -2.606f, 0.392f)
                arcToRelative(6.339f, 6.339f, 0.0f, false, false, -0.928f, 0.483f)
                lineTo(0.0f, 10.634f)
                lineToRelative(0.215f, 0.363f)
                lineToRelative(0.667f, 1.127f)
                reflectiveCurveToRelative(0.204f, 0.346f, 0.205f, 0.345f)
                lineToRelative(0.361f, -0.177f)
                lineToRelative(0.05f, -0.023f)
                lineToRelative(1.658f, 3.7f)
                lineToRelative(0.16f, 0.355f)
                lineToRelative(0.37f, -0.118f)
                lineToRelative(0.896f, -0.288f)
                lineToRelative(0.394f, -0.125f)
                lineToRelative(-0.104f, -0.4f)
                lineToRelative(-0.476f, -1.829f)
                curveToRelative(0.137f, -0.101f, 0.264f, -0.209f, 0.383f, -0.321f)
                curveToRelative(-0.027f, 0.219f, -0.013f, 0.44f, 0.047f, 0.652f)
                curveToRelative(0.124f, 0.443f, 0.416f, 0.793f, 0.818f, 0.986f)
                curveToRelative(0.435f, 0.21f, 0.965f, 0.21f, 1.456f, 0.002f)
                curveToRelative(0.247f, -0.104f, 0.467f, -0.257f, 0.651f, -0.439f)
                lineToRelative(0.068f, 0.728f)
                lineToRelative(1.57f, -0.231f)
                lineToRelative(-0.002f, -1.407f)
                lineToRelative(3.282f, 1.62f)
                verticalLineToRelative(-1.57f)
                arcToRelative(3.335f, 3.335f, 0.0f, false, false, 1.347f, -0.436f)
                lineToRelative(-0.138f, 0.843f)
                lineToRelative(1.77f, 0.279f)
                lineToRelative(0.097f, -0.637f)
                lineToRelative(0.461f, 0.854f)
                lineToRelative(0.283f, -0.545f)
                lineToRelative(0.104f, 0.895f)
                lineToRelative(2.005f, 0.352f)
                lineToRelative(-0.106f, -0.674f)
                arcToRelative(1.817f, 1.817f, 0.0f, false, false, 1.038f, -0.198f)
                lineToRelative(-0.08f, 0.718f)
                lineToRelative(1.336f, 0.189f)
                lineToRelative(0.01f, 0.547f)
                lineToRelative(1.39f, 0.438f)
                lineTo(24.0f, 10.745f)
                close()
                moveTo(14.274f, 11.097f)
                lineToRelative(0.092f, -0.097f)
                lineToRelative(-0.112f, 0.69f)
                lineToRelative(-0.289f, -0.262f)
                close()
                moveTo(13.097f, 8.284f)
                lineToRelative(0.487f, 0.661f)
                lineToRelative(-1.39f, 0.689f)
                lineToRelative(-0.097f, -0.146f)
                close()
                moveTo(3.895f, 13.375f)
                lineToRelative(0.555f, 2.128f)
                lineToRelative(-0.898f, 0.287f)
                lineToRelative(-1.841f, -4.112f)
                curveToRelative(-0.1f, 0.053f, -0.284f, 0.14f, -0.455f, 0.223f)
                lineTo(0.59f, 10.775f)
                curveToRelative(0.266f, -0.169f, 0.556f, -0.319f, 0.865f, -0.45f)
                curveToRelative(0.868f, -0.369f, 1.697f, -0.48f, 2.36f, -0.362f)
                curveToRelative(0.233f, 0.027f, 0.481f, 0.095f, 0.7f, 0.24f)
                curveToRelative(0.298f, 0.168f, 0.525f, 0.406f, 0.657f, 0.711f)
                curveToRelative(0.32f, 0.74f, -0.215f, 1.807f, -1.276f, 2.461f)
                close()
                moveTo(8.021f, 12.997f)
                curveToRelative(-0.01f, 0.318f, -0.127f, 0.634f, -0.321f, 0.903f)
                arcToRelative(1.797f, 1.797f, 0.0f, false, true, -0.749f, 0.605f)
                curveToRelative(-0.779f, 0.33f, -1.557f, 0.0f, -1.764f, -0.74f)
                curveToRelative(-0.203f, -0.714f, 0.266f, -1.565f, 1.02f, -1.89f)
                curveToRelative(0.483f, -0.202f, 0.966f, -0.155f, 1.312f, 0.08f)
                curveToRelative(0.213f, 0.146f, 0.377f, 0.364f, 0.453f, 0.637f)
                arcToRelative(1.33f, 1.33f, 0.0f, false, true, 0.049f, 0.406f)
                close()
                moveTo(12.257f, 14.501f)
                lineToRelative(-3.254f, -1.629f)
                lineToRelative(0.006f, 1.707f)
                lineToRelative(-0.843f, 0.115f)
                lineToRelative(-0.059f, -0.703f)
                curveToRelative(0.26f, -0.446f, 0.355f, -0.972f, 0.22f, -1.454f)
                arcToRelative(1.526f, 1.526f, 0.0f, false, false, -0.4f, -0.68f)
                lineToRelative(-0.121f, -1.433f)
                lineToRelative(-0.377f, 0.098f)
                lineToRelative(-0.017f, -0.362f)
                lineToRelative(1.352f, -0.404f)
                lineToRelative(0.083f, 1.396f)
                lineToRelative(0.997f, -1.4f)
                lineToRelative(0.974f, 0.927f)
                lineToRelative(-1.362f, 1.436f)
                lineToRelative(1.28f, 0.507f)
                curveToRelative(0.142f, 0.27f, 0.36f, 0.5f, 0.634f, 0.67f)
                curveToRelative(0.264f, 0.163f, 0.568f, 0.26f, 0.889f, 0.291f)
                verticalLineToRelative(0.918f)
                close()
                moveTo(10.567f, 12.141f)
                lineToRelative(-0.454f, -0.174f)
                lineToRelative(0.423f, -0.41f)
                curveToRelative(-0.019f, 0.188f, -0.01f, 0.385f, 0.03f, 0.584f)
                close()
                moveTo(14.109f, 12.568f)
                curveToRelative(-0.312f, 0.259f, -0.67f, 0.427f, -1.139f, 0.54f)
                arcToRelative(2.216f, 2.216f, 0.0f, false, true, -0.302f, 0.051f)
                curveToRelative(-0.747f, 0.073f, -1.374f, -0.27f, -1.612f, -0.826f)
                arcToRelative(1.191f, 1.191f, 0.0f, false, true, -0.069f, -0.209f)
                curveToRelative(-0.11f, -0.468f, -0.016f, -0.887f, 0.215f, -1.215f)
                arcToRelative(1.47f, 1.47f, 0.0f, false, true, 0.235f, -0.261f)
                arcToRelative(1.87f, 1.87f, 0.0f, false, true, 0.812f, -0.413f)
                curveToRelative(0.712f, -0.171f, 1.339f, 0.046f, 1.723f, 0.517f)
                lineToRelative(-1.355f, 1.444f)
                arcToRelative(0.978f, 0.978f, 0.0f, false, false, 0.345f, -0.033f)
                curveToRelative(0.323f, -0.079f, 0.504f, -0.25f, 0.663f, -0.436f)
                lineToRelative(0.542f, 0.486f)
                lineToRelative(0.164f, 0.15f)
                arcToRelative(3.016f, 3.016f, 0.0f, false, true, -0.222f, 0.205f)
                close()
                moveTo(16.986f, 14.495f)
                lineToRelative(-0.294f, -1.954f)
                lineToRelative(-0.418f, 1.078f)
                lineToRelative(-0.625f, -1.348f)
                horizontalLineToRelative(-0.007f)
                lineToRelative(-0.246f, 1.56f)
                lineToRelative(-1.041f, -0.18f)
                lineToRelative(0.146f, -0.87f)
                arcToRelative(4.17f, 4.17f, 0.0f, false, false, 0.116f, -0.114f)
                lineToRelative(0.338f, -0.348f)
                lineToRelative(-0.329f, -0.294f)
                lineToRelative(0.35f, -2.073f)
                horizontalLineToRelative(1.05f)
                lineToRelative(0.262f, 1.436f)
                lineToRelative(0.294f, -1.663f)
                horizontalLineToRelative(0.752f)
                lineToRelative(0.312f, 2.026f)
                curveToRelative(-0.396f, 0.451f, -0.59f, 1.06f, -0.456f, 1.615f)
                arcToRelative(1.478f, 1.478f, 0.0f, false, false, 0.865f, 1.035f)
                lineToRelative(0.04f, 0.263f)
                close()
                moveTo(19.581f, 13.858f)
                arcToRelative(1.64f, 1.64f, 0.0f, false, true, -0.377f, 0.2f)
                arcToRelative(1.397f, 1.397f, 0.0f, false, true, -0.773f, 0.077f)
                arcToRelative(1.153f, 1.153f, 0.0f, false, true, -0.448f, -0.19f)
                arcToRelative(1.118f, 1.118f, 0.0f, false, true, -0.43f, -0.655f)
                curveToRelative(-0.08f, -0.336f, -0.007f, -0.696f, 0.174f, -1.012f)
                curveToRelative(0.091f, -0.154f, 0.207f, -0.298f, 0.344f, -0.423f)
                curveToRelative(0.152f, -0.137f, 0.33f, -0.25f, 0.527f, -0.325f)
                curveToRelative(0.459f, -0.172f, 0.912f, -0.112f, 1.23f, 0.116f)
                arcToRelative(1.08f, 1.08f, 0.0f, false, true, 0.422f, 0.633f)
                curveToRelative(0.098f, 0.406f, -0.018f, 0.838f, -0.274f, 1.187f)
                arcToRelative(1.75f, 1.75f, 0.0f, false, true, -0.395f, 0.392f)
                close()
                moveTo(21.924f, 15.699f)
                lineToRelative(-0.77f, -0.229f)
                lineToRelative(-0.066f, -2.838f)
                lineToRelative(-0.388f, 2.19f)
                lineToRelative(-0.84f, -0.135f)
                lineToRelative(0.062f, -0.63f)
                curveToRelative(0.547f, -0.464f, 0.838f, -1.195f, 0.679f, -1.856f)
                arcToRelative(1.457f, 1.457f, 0.0f, false, false, -0.434f, -0.744f)
                lineToRelative(0.071f, -0.743f)
                lineToRelative(-0.317f, -0.085f)
                lineToRelative(0.02f, -0.396f)
                lineToRelative(1.448f, 0.29f)
                lineToRelative(0.487f, 2.308f)
                lineToRelative(0.499f, -2.069f)
                lineToRelative(1.1f, 0.244f)
                close()
            }
        }
        .build()
        return _pokemon!!
    }

private var _pokemon: ImageVector? = null
