package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Snowflake: ImageVector
    get() {
        if (_snowflake != null) {
            return _snowflake!!
        }
        _snowflake = Builder(name = "Snowflake", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(24.0f, 3.459f)
                curveToRelative(0.0f, 0.646f, -0.418f, 1.18f, -1.141f, 1.18f)
                curveToRelative(-0.723f, 0.0f, -1.142f, -0.534f, -1.142f, -1.18f)
                curveToRelative(0.0f, -0.647f, 0.419f, -1.18f, 1.142f, -1.18f)
                curveToRelative(0.723f, 0.0f, 1.141f, 0.533f, 1.141f, 1.18f)
                close()
                moveTo(23.772f, 3.459f)
                curveToRelative(0.0f, -0.533f, -0.38f, -0.951f, -0.913f, -0.951f)
                reflectiveCurveToRelative(-0.913f, 0.38f, -0.913f, 0.95f)
                curveToRelative(0.0f, 0.533f, 0.38f, 0.952f, 0.913f, 0.952f)
                curveToRelative(0.57f, 0.0f, 0.913f, -0.419f, 0.913f, -0.951f)
                close()
                moveTo(22.402f, 2.926f)
                horizontalLineToRelative(0.495f)
                curveToRelative(0.266f, 0.0f, 0.456f, 0.152f, 0.456f, 0.38f)
                curveToRelative(0.0f, 0.153f, -0.076f, 0.229f, -0.19f, 0.305f)
                lineToRelative(0.19f, 0.266f)
                verticalLineToRelative(0.038f)
                horizontalLineToRelative(-0.266f)
                lineToRelative(-0.19f, -0.266f)
                horizontalLineToRelative(-0.229f)
                verticalLineToRelative(0.266f)
                horizontalLineToRelative(-0.266f)
                close()
                moveTo(22.897f, 3.154f)
                horizontalLineToRelative(-0.229f)
                verticalLineToRelative(0.267f)
                horizontalLineToRelative(0.229f)
                curveToRelative(0.114f, 0.0f, 0.152f, -0.038f, 0.152f, -0.114f)
                curveToRelative(0.038f, -0.077f, -0.038f, -0.153f, -0.152f, -0.153f)
                close()
                moveTo(7.602f, 12.4f)
                curveToRelative(0.038f, -0.151f, 0.076f, -0.304f, 0.076f, -0.456f)
                curveToRelative(0.0f, -0.114f, -0.038f, -0.228f, -0.038f, -0.342f)
                curveToRelative(-0.114f, -0.343f, -0.304f, -0.647f, -0.646f, -0.838f)
                lineToRelative(-4.87f, -2.777f)
                curveToRelative(-0.685f, -0.38f, -1.56f, -0.152f, -1.94f, 0.533f)
                curveToRelative(-0.381f, 0.685f, -0.153f, 1.56f, 0.532f, 1.94f)
                lineToRelative(2.701f, 1.56f)
                lineToRelative(-2.701f, 1.56f)
                curveToRelative(-0.685f, 0.38f, -0.913f, 1.256f, -0.533f, 1.94f)
                curveToRelative(0.38f, 0.685f, 1.256f, 0.914f, 1.94f, 0.533f)
                lineToRelative(4.832f, -2.777f)
                curveToRelative(0.343f, -0.267f, 0.571f, -0.533f, 0.647f, -0.876f)
                close()
                moveTo(8.934f, 15.026f)
                curveToRelative(-0.266f, -0.038f, -0.57f, 0.038f, -0.837f, 0.19f)
                lineToRelative(-4.832f, 2.777f)
                curveToRelative(-0.685f, 0.38f, -0.913f, 1.256f, -0.532f, 1.94f)
                curveToRelative(0.38f, 0.686f, 1.255f, 0.914f, 1.94f, 0.533f)
                lineToRelative(2.701f, -1.56f)
                verticalLineToRelative(3.12f)
                curveToRelative(0.0f, 0.8f, 0.647f, 1.408f, 1.446f, 1.408f)
                curveToRelative(0.799f, 0.0f, 1.407f, -0.647f, 1.407f, -1.408f)
                verticalLineToRelative(-5.592f)
                curveToRelative(0.0f, -0.761f, -0.57f, -1.37f, -1.293f, -1.408f)
                close()
                moveTo(13.88f, 8.938f)
                curveToRelative(0.266f, 0.038f, 0.57f, -0.038f, 0.837f, -0.19f)
                lineToRelative(4.832f, -2.777f)
                curveToRelative(0.685f, -0.38f, 0.913f, -1.256f, 0.532f, -1.94f)
                curveToRelative(-0.38f, -0.686f, -1.255f, -0.914f, -1.94f, -0.533f)
                lineToRelative(-2.701f, 1.56f)
                lineTo(15.44f, 1.975f)
                curveToRelative(0.0f, -0.799f, -0.647f, -1.408f, -1.446f, -1.408f)
                curveToRelative(-0.799f, 0.0f, -1.446f, 0.609f, -1.446f, 1.408f)
                lineTo(12.548f, 7.53f)
                curveToRelative(0.0f, 0.76f, 0.609f, 1.37f, 1.332f, 1.407f)
                close()
                moveTo(3.265f, 5.97f)
                lineToRelative(4.832f, 2.777f)
                curveToRelative(0.266f, 0.152f, 0.533f, 0.19f, 0.837f, 0.19f)
                curveToRelative(0.723f, -0.038f, 1.331f, -0.684f, 1.331f, -1.407f)
                lineTo(10.265f, 1.975f)
                curveToRelative(0.0f, -0.799f, -0.646f, -1.408f, -1.407f, -1.408f)
                curveToRelative(-0.799f, 0.0f, -1.446f, 0.647f, -1.446f, 1.408f)
                verticalLineToRelative(3.12f)
                lineToRelative(-2.701f, -1.56f)
                curveToRelative(-0.685f, -0.38f, -1.56f, -0.152f, -1.94f, 0.533f)
                curveToRelative(-0.419f, 0.646f, -0.19f, 1.521f, 0.494f, 1.902f)
                close()
                moveTo(12.358f, 11.981f)
                arcToRelative(0.412f, 0.412f, 0.0f, false, false, -0.114f, -0.266f)
                lineToRelative(-0.57f, -0.571f)
                arcToRelative(0.346f, 0.346f, 0.0f, false, false, -0.267f, -0.114f)
                arcToRelative(0.412f, 0.412f, 0.0f, false, false, -0.266f, 0.114f)
                lineToRelative(-0.571f, 0.57f)
                arcToRelative(0.411f, 0.411f, 0.0f, false, false, -0.114f, 0.267f)
                curveToRelative(0.0f, 0.076f, 0.038f, 0.19f, 0.114f, 0.267f)
                lineToRelative(0.57f, 0.57f)
                arcToRelative(0.345f, 0.345f, 0.0f, false, false, 0.267f, 0.114f)
                curveToRelative(0.076f, 0.0f, 0.19f, -0.038f, 0.266f, -0.114f)
                lineToRelative(0.571f, -0.57f)
                arcToRelative(0.412f, 0.412f, 0.0f, false, false, 0.114f, -0.267f)
                close()
                moveTo(13.956f, 12.514f)
                lineTo(11.94f, 14.53f)
                curveToRelative(-0.039f, 0.038f, -0.153f, 0.114f, -0.229f, 0.114f)
                horizontalLineToRelative(-0.608f)
                arcToRelative(0.411f, 0.411f, 0.0f, false, true, -0.267f, -0.114f)
                lineTo(8.82f, 12.514f)
                arcToRelative(0.408f, 0.408f, 0.0f, false, true, -0.076f, -0.229f)
                verticalLineToRelative(-0.608f)
                curveToRelative(0.0f, -0.076f, 0.038f, -0.19f, 0.114f, -0.267f)
                lineToRelative(2.016f, -2.016f)
                arcToRelative(0.41f, 0.41f, 0.0f, false, true, 0.267f, -0.114f)
                horizontalLineToRelative(0.608f)
                arcToRelative(0.41f, 0.41f, 0.0f, false, true, 0.267f, 0.114f)
                lineToRelative(2.016f, 2.016f)
                arcToRelative(0.347f, 0.347f, 0.0f, false, true, 0.114f, 0.267f)
                verticalLineToRelative(0.608f)
                curveToRelative(-0.076f, 0.077f, -0.114f, 0.19f, -0.19f, 0.229f)
                close()
                moveTo(19.549f, 17.954f)
                lineToRelative(-4.832f, -2.777f)
                curveToRelative(-0.266f, -0.152f, -0.57f, -0.19f, -0.837f, -0.152f)
                curveToRelative(-0.723f, 0.038f, -1.332f, 0.684f, -1.332f, 1.408f)
                verticalLineToRelative(5.554f)
                curveToRelative(0.0f, 0.8f, 0.647f, 1.408f, 1.408f, 1.408f)
                curveToRelative(0.799f, 0.0f, 1.446f, -0.647f, 1.446f, -1.408f)
                verticalLineToRelative(-3.12f)
                lineToRelative(2.7f, 1.56f)
                curveToRelative(0.686f, 0.38f, 1.561f, 0.152f, 1.941f, -0.533f)
                curveToRelative(0.419f, -0.646f, 0.19f, -1.521f, -0.494f, -1.94f)
                close()
                moveTo(22.098f, 10.421f)
                lineToRelative(-2.701f, 1.56f)
                lineToRelative(2.7f, 1.56f)
                curveToRelative(0.686f, 0.38f, 0.914f, 1.256f, 0.533f, 1.94f)
                curveToRelative(-0.38f, 0.685f, -1.255f, 0.913f, -1.94f, 0.533f)
                lineToRelative(-4.832f, -2.778f)
                arcToRelative(1.644f, 1.644f, 0.0f, false, true, -0.647f, -0.798f)
                curveToRelative(-0.037f, -0.153f, -0.076f, -0.305f, -0.076f, -0.457f)
                curveToRelative(0.0f, -0.114f, 0.039f, -0.228f, 0.039f, -0.342f)
                curveToRelative(0.114f, -0.343f, 0.342f, -0.647f, 0.646f, -0.837f)
                lineToRelative(4.832f, -2.778f)
                curveToRelative(0.685f, -0.38f, 1.56f, -0.152f, 1.94f, 0.533f)
                curveToRelative(0.457f, 0.609f, 0.19f, 1.484f, -0.494f, 1.864f)
            }
        }
        .build()
        return _snowflake!!
    }

private var _snowflake: ImageVector? = null
