package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Solus: ImageVector
    get() {
        if (_solus != null) {
            return _solus!!
        }
        _solus = Builder(name = "Solus", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(7.453f, 0.0f)
                curveToRelative(-0.18f, 0.587f, -0.369f, 1.167f, -0.565f, 1.75f)
                arcTo(11.638f, 11.638f, 0.0f, false, false, 0.0f, 12.364f)
                arcToRelative(11.638f, 11.638f, 0.0f, false, false, 0.516f, 3.403f)
                lineToRelative(-0.339f, 0.598f)
                lineTo(0.0f, 16.73f)
                lineToRelative(0.279f, 0.143f)
                arcToRelative(3.448f, 3.448f, 0.0f, false, false, 0.741f, 0.222f)
                arcTo(11.638f, 11.638f, 0.0f, false, false, 2.0f, 18.868f)
                curveToRelative(4.034f, 0.343f, 8.55f, 0.512f, 12.446f, -0.056f)
                curveToRelative(3.192f, -0.463f, 5.94f, -1.423f, 7.735f, -3.117f)
                curveToRelative(0.252f, -0.233f, 0.474f, -0.474f, 0.674f, -0.722f)
                curveToRelative(0.019f, -0.038f, 0.037f, -0.053f, 0.06f, -0.076f)
                curveToRelative(0.011f, 0.0f, 0.026f, -0.037f, 0.038f, -0.052f)
                curveToRelative(0.015f, 0.0f, 0.03f, -0.038f, 0.041f, -0.057f)
                curveToRelative(0.008f, 0.0f, 0.015f, -0.038f, 0.023f, -0.038f)
                curveToRelative(0.33f, -0.444f, 0.587f, -0.892f, 0.801f, -1.31f)
                lineToRelative(0.181f, -0.365f)
                lineToRelative(-0.365f, -0.365f)
                arcToRelative(5.936f, 5.936f, 0.0f, false, false, -0.361f, -0.35f)
                arcTo(11.638f, 11.638f, 0.0f, false, false, 11.635f, 0.722f)
                arcToRelative(11.638f, 11.638f, 0.0f, false, false, -3.211f, 0.463f)
                curveTo(7.96f, 0.508f, 7.596f, 0.041f, 7.453f, 0.0f)
                close()
                moveTo(7.818f, 1.637f)
                curveTo(9.06f, 3.82f, 10.13f, 5.06f, 11.454f, 7.457f)
                curveToRelative(0.132f, 1.524f, 0.67f, 9.45f, 0.727f, 10.181f)
                curveToRelative(-0.392f, -0.037f, -2.485f, -0.24f, -5.104f, -0.515f)
                curveToRelative(-1.43f, -0.147f, -2.899f, -0.316f, -4.092f, -0.49f)
                lineToRelative(-1.9f, -0.447f)
                curveToRelative(2.149f, -3.787f, 5.551f, -9.727f, 6.737f, -14.548f)
                close()
                moveTo(12.361f, 7.817f)
                reflectiveCurveToRelative(4.991f, 3.927f, 7.092f, 8.73f)
                curveToRelative(-2.56f, 1.26f, -4.916f, 1.098f, -6.361f, 1.09f)
                curveToRelative(1.023f, -2.634f, 1.023f, -6.21f, -0.73f, -9.82f)
                close()
                moveTo(15.817f, 10.001f)
                arcToRelative(45.14f, 45.14f, 0.0f, false, true, 2.91f, 0.907f)
                curveToRelative(1.768f, 0.629f, 3.417f, 1.49f, 4.365f, 2.364f)
                arcToRelative(6.956f, 6.956f, 0.0f, false, true, -2.91f, 2.91f)
                curveToRelative(0.151f, -1.495f, -0.39f, -2.933f, -1.456f, -4.002f)
                curveToRelative(-0.787f, -0.787f, -1.822f, -1.453f, -2.91f, -2.183f)
                close()
                moveTo(22.524f, 16.479f)
                curveToRelative(-2.352f, 1.667f, -5.126f, 2.68f, -7.965f, 3.112f)
                arcToRelative(41.026f, 41.026f, 0.0f, false, true, -3.715f, 0.34f)
                horizontalLineToRelative(-0.323f)
                arcToRelative(53.48f, 53.48f, 0.0f, false, true, -3.727f, 0.0f)
                arcToRelative(85.763f, 85.763f, 0.0f, false, true, -4.178f, -0.23f)
                horizontalLineToRelative(-0.003f)
                curveToRelative(2.555f, 3.255f, 6.993f, 4.893f, 11.092f, 4.102f)
                arcToRelative(11.367f, 11.367f, 0.0f, false, false, 4.498f, -1.852f)
                arcToRelative(11.638f, 11.638f, 0.0f, false, false, 0.007f, 0.0f)
                curveToRelative(0.312f, -0.214f, 0.614f, -0.444f, 0.903f, -0.685f)
                arcToRelative(11.638f, 11.638f, 0.0f, false, false, 0.038f, -0.037f)
                arcToRelative(11.555f, 11.555f, 0.0f, false, false, 3.376f, -4.762f)
                close()
                moveTo(2.511f, 19.584f)
                arcToRelative(11.638f, 11.638f, 0.0f, false, false, 0.023f, 0.038f)
                curveToRelative(-0.008f, 0.0f, -0.015f, -0.038f, -0.023f, -0.038f)
                close()
            }
        }
        .build()
        return _solus!!
    }

private var _solus: ImageVector? = null
