package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Soundcloud: ImageVector
    get() {
        if (_soundcloud != null) {
            return _soundcloud!!
        }
        _soundcloud = Builder(name = "Soundcloud", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.175f, 12.225f)
                curveToRelative(-0.051f, 0.0f, -0.094f, 0.046f, -0.101f, 0.1f)
                lineToRelative(-0.233f, 2.154f)
                lineToRelative(0.233f, 2.105f)
                curveToRelative(0.007f, 0.058f, 0.05f, 0.098f, 0.101f, 0.098f)
                curveToRelative(0.05f, 0.0f, 0.09f, -0.04f, 0.099f, -0.098f)
                lineToRelative(0.255f, -2.105f)
                lineToRelative(-0.27f, -2.154f)
                curveToRelative(0.0f, -0.057f, -0.045f, -0.1f, -0.09f, -0.1f)
                moveToRelative(-0.899f, 0.828f)
                curveToRelative(-0.06f, 0.0f, -0.091f, 0.037f, -0.104f, 0.094f)
                lineTo(0.0f, 14.479f)
                lineToRelative(0.165f, 1.308f)
                curveToRelative(0.0f, 0.055f, 0.045f, 0.094f, 0.09f, 0.094f)
                reflectiveCurveToRelative(0.089f, -0.045f, 0.104f, -0.104f)
                lineToRelative(0.21f, -1.319f)
                lineToRelative(-0.21f, -1.334f)
                curveToRelative(0.0f, -0.061f, -0.044f, -0.09f, -0.09f, -0.09f)
                moveToRelative(1.83f, -1.229f)
                curveToRelative(-0.061f, 0.0f, -0.12f, 0.045f, -0.12f, 0.104f)
                lineToRelative(-0.21f, 2.563f)
                lineToRelative(0.225f, 2.458f)
                curveToRelative(0.0f, 0.06f, 0.045f, 0.12f, 0.119f, 0.12f)
                curveToRelative(0.061f, 0.0f, 0.105f, -0.061f, 0.121f, -0.12f)
                lineToRelative(0.254f, -2.474f)
                lineToRelative(-0.254f, -2.548f)
                curveToRelative(-0.016f, -0.06f, -0.061f, -0.12f, -0.121f, -0.12f)
                moveToRelative(0.945f, -0.089f)
                curveToRelative(-0.075f, 0.0f, -0.135f, 0.06f, -0.15f, 0.135f)
                lineToRelative(-0.193f, 2.64f)
                lineToRelative(0.21f, 2.544f)
                curveToRelative(0.016f, 0.077f, 0.075f, 0.138f, 0.149f, 0.138f)
                curveToRelative(0.075f, 0.0f, 0.135f, -0.061f, 0.15f, -0.15f)
                lineToRelative(0.24f, -2.532f)
                lineToRelative(-0.24f, -2.623f)
                curveToRelative(0.0f, -0.075f, -0.06f, -0.135f, -0.135f, -0.135f)
                lineToRelative(-0.031f, -0.017f)
                close()
                moveTo(4.213f, 12.059f)
                curveToRelative(-0.005f, -0.09f, -0.075f, -0.149f, -0.159f, -0.149f)
                curveToRelative(-0.09f, 0.0f, -0.158f, 0.06f, -0.164f, 0.149f)
                lineToRelative(-0.217f, 2.43f)
                lineToRelative(0.2f, 2.563f)
                curveToRelative(0.0f, 0.09f, 0.075f, 0.157f, 0.159f, 0.157f)
                curveToRelative(0.074f, 0.0f, 0.148f, -0.068f, 0.148f, -0.158f)
                lineToRelative(0.227f, -2.563f)
                lineToRelative(-0.227f, -2.444f)
                lineToRelative(0.033f, 0.015f)
                close()
                moveTo(5.022f, 10.35f)
                curveToRelative(-0.101f, 0.0f, -0.18f, 0.09f, -0.18f, 0.181f)
                lineToRelative(-0.21f, 3.957f)
                lineToRelative(0.187f, 2.563f)
                curveToRelative(0.0f, 0.09f, 0.08f, 0.164f, 0.18f, 0.164f)
                curveToRelative(0.094f, 0.0f, 0.174f, -0.09f, 0.18f, -0.18f)
                lineToRelative(0.209f, -2.563f)
                lineToRelative(-0.209f, -3.972f)
                curveToRelative(-0.008f, -0.104f, -0.088f, -0.18f, -0.18f, -0.18f)
                moveToRelative(0.959f, -0.914f)
                curveToRelative(-0.105f, 0.0f, -0.195f, 0.09f, -0.203f, 0.194f)
                lineToRelative(-0.18f, 4.872f)
                lineToRelative(0.165f, 2.548f)
                curveToRelative(0.0f, 0.12f, 0.09f, 0.209f, 0.195f, 0.209f)
                curveToRelative(0.104f, 0.0f, 0.194f, -0.089f, 0.21f, -0.209f)
                lineToRelative(0.193f, -2.548f)
                lineToRelative(-0.192f, -4.856f)
                curveToRelative(-0.016f, -0.12f, -0.105f, -0.21f, -0.21f, -0.21f)
                moveToRelative(0.989f, -0.449f)
                curveToRelative(-0.121f, 0.0f, -0.211f, 0.089f, -0.225f, 0.209f)
                lineToRelative(-0.165f, 5.275f)
                lineToRelative(0.165f, 2.52f)
                curveToRelative(0.014f, 0.119f, 0.104f, 0.225f, 0.225f, 0.225f)
                curveToRelative(0.119f, 0.0f, 0.225f, -0.105f, 0.225f, -0.225f)
                lineToRelative(0.195f, -2.52f)
                lineToRelative(-0.196f, -5.275f)
                curveToRelative(0.0f, -0.12f, -0.105f, -0.225f, -0.225f, -0.225f)
                moveToRelative(1.245f, 0.045f)
                curveToRelative(0.0f, -0.135f, -0.105f, -0.24f, -0.24f, -0.24f)
                curveToRelative(-0.119f, 0.0f, -0.24f, 0.105f, -0.24f, 0.24f)
                lineToRelative(-0.149f, 5.441f)
                lineToRelative(0.149f, 2.503f)
                curveToRelative(0.016f, 0.135f, 0.121f, 0.24f, 0.256f, 0.24f)
                reflectiveCurveToRelative(0.24f, -0.105f, 0.24f, -0.24f)
                lineToRelative(0.164f, -2.503f)
                lineToRelative(-0.164f, -5.456f)
                lineToRelative(-0.016f, 0.015f)
                close()
                moveTo(8.918f, 8.852f)
                curveToRelative(-0.135f, 0.0f, -0.255f, 0.119f, -0.255f, 0.254f)
                lineToRelative(-0.15f, 5.322f)
                lineToRelative(0.15f, 2.473f)
                curveToRelative(0.0f, 0.15f, 0.12f, 0.255f, 0.255f, 0.255f)
                reflectiveCurveToRelative(0.255f, -0.12f, 0.255f, -0.27f)
                lineToRelative(0.15f, -2.474f)
                lineToRelative(-0.165f, -5.307f)
                curveToRelative(0.0f, -0.148f, -0.12f, -0.27f, -0.271f, -0.27f)
                moveToRelative(1.005f, 0.166f)
                curveToRelative(-0.164f, 0.0f, -0.284f, 0.135f, -0.284f, 0.285f)
                lineToRelative(-0.103f, 5.143f)
                lineToRelative(0.135f, 2.474f)
                curveToRelative(0.0f, 0.149f, 0.119f, 0.277f, 0.284f, 0.277f)
                curveToRelative(0.149f, 0.0f, 0.271f, -0.12f, 0.284f, -0.285f)
                lineToRelative(0.121f, -2.443f)
                lineToRelative(-0.135f, -5.112f)
                curveToRelative(-0.012f, -0.164f, -0.135f, -0.285f, -0.285f, -0.285f)
                moveToRelative(1.184f, -0.945f)
                curveToRelative(-0.045f, -0.029f, -0.105f, -0.044f, -0.165f, -0.044f)
                reflectiveCurveToRelative(-0.119f, 0.015f, -0.165f, 0.044f)
                curveToRelative(-0.09f, 0.054f, -0.149f, 0.15f, -0.149f, 0.255f)
                verticalLineToRelative(0.061f)
                lineToRelative(-0.104f, 6.048f)
                lineToRelative(0.115f, 2.449f)
                verticalLineToRelative(0.008f)
                curveToRelative(0.008f, 0.06f, 0.03f, 0.135f, 0.074f, 0.18f)
                curveToRelative(0.058f, 0.061f, 0.142f, 0.104f, 0.234f, 0.104f)
                curveToRelative(0.08f, 0.0f, 0.158f, -0.044f, 0.209f, -0.09f)
                curveToRelative(0.058f, -0.06f, 0.091f, -0.135f, 0.091f, -0.225f)
                lineToRelative(0.015f, -0.24f)
                lineToRelative(0.117f, -2.203f)
                lineToRelative(-0.135f, -6.086f)
                curveToRelative(0.0f, -0.104f, -0.061f, -0.193f, -0.135f, -0.239f)
                lineToRelative(-0.002f, -0.022f)
                close()
                moveTo(12.099f, 7.563f)
                curveToRelative(-0.045f, -0.045f, -0.09f, -0.061f, -0.15f, -0.061f)
                curveToRelative(-0.074f, 0.0f, -0.149f, 0.016f, -0.209f, 0.061f)
                curveToRelative(-0.075f, 0.061f, -0.119f, 0.15f, -0.119f, 0.24f)
                verticalLineToRelative(0.029f)
                lineToRelative(-0.137f, 6.609f)
                lineToRelative(0.076f, 1.215f)
                lineToRelative(0.061f, 1.185f)
                curveToRelative(0.0f, 0.164f, 0.148f, 0.314f, 0.328f, 0.314f)
                curveToRelative(0.181f, 0.0f, 0.33f, -0.15f, 0.33f, -0.329f)
                lineToRelative(0.15f, -2.414f)
                lineToRelative(-0.15f, -6.637f)
                curveToRelative(0.0f, -0.12f, -0.074f, -0.221f, -0.165f, -0.277f)
                moveToRelative(8.934f, 3.777f)
                curveToRelative(-0.405f, 0.0f, -0.795f, 0.086f, -1.139f, 0.232f)
                curveToRelative(-0.24f, -2.654f, -2.46f, -4.736f, -5.188f, -4.736f)
                curveToRelative(-0.659f, 0.0f, -1.305f, 0.135f, -1.889f, 0.359f)
                curveToRelative(-0.225f, 0.09f, -0.27f, 0.18f, -0.285f, 0.359f)
                verticalLineToRelative(9.368f)
                curveToRelative(0.016f, 0.18f, 0.15f, 0.33f, 0.33f, 0.345f)
                horizontalLineToRelative(8.185f)
                curveTo(22.681f, 17.218f, 24.0f, 15.914f, 24.0f, 14.28f)
                reflectiveCurveToRelative(-1.319f, -2.952f, -2.938f, -2.952f)
            }
        }
        .build()
        return _soundcloud!!
    }

private var _soundcloud: ImageVector? = null
