package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Sourceforge: ImageVector
    get() {
        if (_sourceforge != null) {
            return _sourceforge!!
        }
        _sourceforge = Builder(name = "Sourceforge", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(9.998f, 1.4648f)
                curveToRelative(-0.088f, 0.0f, -0.1761f, 0.0395f, -0.2402f, 0.1036f)
                lineTo(0.1016f, 11.2148f)
                curveToRelative(-0.1361f, 0.1281f, -0.1361f, 0.3444f, 0.0f, 0.4805f)
                lineToRelative(9.1523f, 9.1348f)
                curveToRelative(0.064f, 0.072f, 0.1522f, 0.1054f, 0.2402f, 0.1054f)
                curveToRelative(0.0881f, 0.0f, 0.1743f, -0.0414f, 0.2383f, -0.1054f)
                lineToRelative(1.3692f, -1.3848f)
                curveToRelative(0.136f, -0.128f, 0.136f, -0.3444f, 0.0f, -0.4805f)
                lineToRelative(-7.172f, -7.1738f)
                arcToRelative(0.4682f, 0.4682f, 0.0f, false, true, 0.0f, -0.664f)
                lineToRelative(9.0782f, -9.0782f)
                curveToRelative(0.1201f, -0.12f, 0.1123f, -0.2728f, 0.0723f, -0.377f)
                curveToRelative(-0.04f, -0.096f, -0.1444f, -0.207f, -0.3125f, -0.207f)
                lineTo(9.998f, 1.4648f)
                close()
                moveTo(14.5293f, 3.0566f)
                curveToRelative(-0.088f, 0.0f, -0.1762f, 0.0415f, -0.2402f, 0.1055f)
                lineToRelative(-1.3926f, 1.3926f)
                curveToRelative(-0.1361f, 0.128f, -0.1361f, 0.3444f, 0.0f, 0.4805f)
                lineToRelative(7.1719f, 7.1816f)
                curveToRelative(0.088f, 0.088f, 0.1367f, 0.208f, 0.1367f, 0.3281f)
                curveToRelative(0.0f, 0.1201f, -0.0487f, 0.24f, -0.1367f, 0.3281f)
                lineToRelative(-9.0782f, 9.0782f)
                curveToRelative(-0.12f, 0.12f, -0.1123f, 0.2728f, -0.0722f, 0.377f)
                curveToRelative(0.04f, 0.096f, 0.1443f, 0.207f, 0.3125f, 0.207f)
                verticalLineToRelative(-0.0079f)
                lineTo(14.0f, 22.5273f)
                curveToRelative(0.088f, 0.0f, 0.1762f, -0.0316f, 0.2402f, -0.0957f)
                lineToRelative(9.6563f, -9.6543f)
                curveToRelative(0.072f, -0.064f, 0.1035f, -0.1521f, 0.1035f, -0.2402f)
                curveToRelative(0.0f, -0.088f, -0.0395f, -0.1762f, -0.1035f, -0.2402f)
                lineToRelative(-9.127f, -9.1348f)
                curveToRelative(-0.064f, -0.072f, -0.1521f, -0.1055f, -0.2402f, -0.1055f)
                close()
                moveTo(11.4336f, 6.213f)
                curveToRelative(-0.1125f, 0.005f, -0.2164f, 0.1007f, -0.211f, 0.2383f)
                curveToRelative(0.1442f, 2.2176f, -2.6425f, 2.7635f, -2.6425f, 6.246f)
                verticalLineToRelative(0.0235f)
                curveToRelative(0.0f, 2.1216f, 1.6026f, 3.8418f, 3.58f, 3.8418f)
                curveToRelative(1.9775f, 0.0f, 3.5782f, -1.7202f, 3.5782f, -3.8418f)
                verticalLineToRelative(-0.0234f)
                curveToRelative(0.0f, -0.9848f, -0.3679f, -1.9225f, -0.7442f, -2.627f)
                curveToRelative(-0.072f, -0.136f, -0.2896f, -0.087f, -0.2656f, 0.041f)
                curveToRelative(0.6725f, 2.9943f, -1.0156f, 4.8507f, -1.0156f, 2.545f)
                curveToRelative(0.0f, -3.931f, -1.3943f, -5.7162f, -2.1309f, -6.3887f)
                arcToRelative(0.2072f, 0.2072f, 0.0f, false, false, -0.1484f, -0.0547f)
                close()
            }
        }
        .build()
        return _sourceforge!!
    }

private var _sourceforge: ImageVector? = null
