package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Synology: ImageVector
    get() {
        if (_synology != null) {
            return _synology!!
        }
        _synology = Builder(name = "Synology", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(13.44f, 8.927f)
                lineToRelative(-0.889f, 0.37f)
                lineToRelative(0.056f, 0.117f)
                arcToRelative(0.623f, 0.623f, 0.0f, false, true, 0.212f, -0.054f)
                curveToRelative(0.05f, 0.0f, 0.093f, 0.017f, 0.126f, 0.046f)
                curveToRelative(0.033f, 0.028f, 0.058f, 0.081f, 0.072f, 0.16f)
                curveToRelative(0.015f, 0.08f, 0.022f, 0.29f, 0.022f, 0.634f)
                verticalLineToRelative(2.736f)
                curveToRelative(0.0f, 0.189f, -0.013f, 0.316f, -0.042f, 0.381f)
                arcToRelative(0.295f, 0.295f, 0.0f, false, true, -0.118f, 0.142f)
                curveToRelative(-0.053f, 0.031f, -0.147f, 0.045f, -0.286f, 0.045f)
                verticalLineToRelative(0.12f)
                horizontalLineToRelative(1.481f)
                verticalLineToRelative(-0.12f)
                curveToRelative(-0.154f, 0.0f, -0.261f, -0.017f, -0.32f, -0.048f)
                arcToRelative(0.29f, 0.29f, 0.0f, false, true, -0.126f, -0.142f)
                curveToRelative(-0.026f, -0.06f, -0.04f, -0.187f, -0.04f, -0.378f)
                lineTo(13.588f, 8.927f)
                close()
                moveTo(1.718f, 9.267f)
                curveToRelative(-0.33f, 0.0f, -0.608f, 0.05f, -0.84f, 0.147f)
                curveToRelative(-0.233f, 0.1f, -0.411f, 0.246f, -0.534f, 0.436f)
                arcToRelative(1.083f, 1.083f, 0.0f, false, false, -0.185f, 0.612f)
                curveToRelative(0.0f, 0.338f, 0.131f, 0.627f, 0.393f, 0.864f)
                curveToRelative(0.184f, 0.167f, 0.507f, 0.309f, 0.968f, 0.422f)
                curveToRelative(0.358f, 0.091f, 0.587f, 0.153f, 0.688f, 0.191f)
                arcToRelative(0.7f, 0.7f, 0.0f, false, true, 0.31f, 0.183f)
                curveToRelative(0.058f, 0.07f, 0.088f, 0.158f, 0.088f, 0.259f)
                curveToRelative(0.0f, 0.155f, -0.07f, 0.291f, -0.21f, 0.41f)
                curveToRelative(-0.142f, 0.116f, -0.35f, 0.176f, -0.628f, 0.176f)
                curveToRelative(-0.262f, 0.0f, -0.47f, -0.066f, -0.625f, -0.197f)
                curveToRelative(-0.154f, -0.132f, -0.255f, -0.339f, -0.307f, -0.619f)
                lineTo(0.0f, 12.23f)
                curveToRelative(0.056f, 0.48f, 0.228f, 0.845f, 0.517f, 1.096f)
                curveToRelative(0.289f, 0.252f, 0.704f, 0.378f, 1.244f, 0.378f)
                curveToRelative(0.371f, 0.0f, 0.68f, -0.054f, 0.93f, -0.156f)
                arcToRelative(1.263f, 1.263f, 0.0f, false, false, 0.781f, -1.169f)
                arcToRelative(1.29f, 1.29f, 0.0f, false, false, -0.171f, -0.684f)
                arcToRelative(1.203f, 1.203f, 0.0f, false, false, -0.472f, -0.437f)
                curveToRelative(-0.2f, -0.107f, -0.508f, -0.21f, -0.927f, -0.31f)
                curveToRelative(-0.418f, -0.098f, -0.683f, -0.193f, -0.79f, -0.286f)
                arcToRelative(0.326f, 0.326f, 0.0f, false, true, 0.009f, -0.524f)
                curveToRelative(0.14f, -0.105f, 0.336f, -0.156f, 0.586f, -0.156f)
                curveToRelative(0.24f, 0.0f, 0.422f, 0.049f, 0.542f, 0.145f)
                curveToRelative(0.122f, 0.097f, 0.199f, 0.256f, 0.237f, 0.471f)
                lineToRelative(0.864f, -0.028f)
                curveToRelative(-0.013f, -0.395f, -0.154f, -0.71f, -0.425f, -0.949f)
                curveToRelative(-0.271f, -0.235f, -0.674f, -0.353f, -1.208f, -0.353f)
                close()
                moveTo(23.526f, 9.597f)
                arcToRelative(0.475f, 0.475f, 0.0f, true, false, -0.002f, 0.95f)
                arcToRelative(0.475f, 0.475f, 0.0f, false, false, 0.002f, -0.95f)
                close()
                moveTo(23.526f, 9.669f)
                arcToRelative(0.4f, 0.4f, 0.0f, false, true, 0.401f, 0.403f)
                curveToRelative(0.0f, 0.116f, -0.05f, 0.22f, -0.128f, 0.294f)
                lineToRelative(-0.086f, -0.135f)
                arcToRelative(0.396f, 0.396f, 0.0f, false, false, -0.065f, -0.078f)
                arcToRelative(0.212f, 0.212f, 0.0f, false, false, -0.048f, -0.03f)
                arcToRelative(0.2f, 0.2f, 0.0f, false, false, 0.127f, -0.057f)
                arcToRelative(0.144f, 0.144f, 0.0f, false, false, 0.043f, -0.109f)
                arcToRelative(0.178f, 0.178f, 0.0f, false, false, -0.025f, -0.091f)
                arcToRelative(0.125f, 0.125f, 0.0f, false, false, -0.067f, -0.055f)
                arcToRelative(0.309f, 0.309f, 0.0f, false, false, -0.123f, -0.02f)
                horizontalLineToRelative(-0.266f)
                verticalLineToRelative(0.606f)
                horizontalLineToRelative(0.08f)
                verticalLineToRelative(-0.268f)
                horizontalLineToRelative(0.091f)
                curveToRelative(0.02f, 0.0f, 0.036f, 0.001f, 0.045f, 0.003f)
                curveToRelative(0.013f, 0.004f, 0.025f, 0.007f, 0.036f, 0.014f)
                curveToRelative(0.013f, 0.01f, 0.024f, 0.023f, 0.04f, 0.043f)
                curveToRelative(0.015f, 0.019f, 0.035f, 0.049f, 0.059f, 0.083f)
                lineToRelative(0.08f, 0.125f)
                horizontalLineToRelative(0.043f)
                arcToRelative(0.396f, 0.396f, 0.0f, false, true, -0.237f, 0.08f)
                arcToRelative(0.405f, 0.405f, 0.0f, false, true, -0.404f, -0.405f)
                curveToRelative(0.0f, -0.224f, 0.18f, -0.403f, 0.404f, -0.403f)
                close()
                moveTo(23.369f, 9.86f)
                horizontalLineToRelative(0.191f)
                curveToRelative(0.044f, 0.0f, 0.077f, 0.01f, 0.097f, 0.027f)
                arcToRelative(0.089f, 0.089f, 0.0f, false, true, 0.03f, 0.07f)
                arcToRelative(0.09f, 0.09f, 0.0f, false, true, -0.016f, 0.055f)
                arcToRelative(0.076f, 0.076f, 0.0f, false, true, -0.047f, 0.035f)
                arcToRelative(0.196f, 0.196f, 0.0f, false, true, -0.085f, 0.013f)
                horizontalLineToRelative(-0.17f)
                close()
                moveTo(8.332f, 10.46f)
                curveToRelative(-0.41f, 0.0f, -0.752f, 0.17f, -1.023f, 0.514f)
                verticalLineToRelative(-0.455f)
                horizontalLineToRelative(-0.754f)
                verticalLineToRelative(3.105f)
                horizontalLineToRelative(0.814f)
                verticalLineToRelative(-1.401f)
                curveToRelative(0.0f, -0.348f, 0.022f, -0.583f, 0.063f, -0.713f)
                arcToRelative(0.583f, 0.583f, 0.0f, false, true, 0.234f, -0.306f)
                arcToRelative(0.666f, 0.666f, 0.0f, false, true, 0.385f, -0.118f)
                curveToRelative(0.11f, 0.0f, 0.208f, 0.028f, 0.287f, 0.082f)
                curveToRelative(0.08f, 0.054f, 0.135f, 0.13f, 0.17f, 0.229f)
                curveToRelative(0.037f, 0.099f, 0.054f, 0.314f, 0.054f, 0.646f)
                verticalLineToRelative(1.581f)
                horizontalLineToRelative(0.816f)
                lineTo(9.378f, 11.7f)
                arcToRelative(2.54f, 2.54f, 0.0f, false, false, -0.046f, -0.55f)
                arcToRelative(0.925f, 0.925f, 0.0f, false, false, -0.16f, -0.343f)
                arcToRelative(0.83f, 0.83f, 0.0f, false, false, -0.341f, -0.25f)
                arcToRelative(1.285f, 1.285f, 0.0f, false, false, -0.499f, -0.097f)
                close()
                moveTo(10.982f, 10.46f)
                arcToRelative(1.7f, 1.7f, 0.0f, false, false, -0.826f, 0.2f)
                arcToRelative(1.39f, 1.39f, 0.0f, false, false, -0.571f, 0.586f)
                arcToRelative(1.684f, 1.684f, 0.0f, false, false, -0.202f, 0.793f)
                curveToRelative(0.0f, 0.356f, 0.068f, 0.657f, 0.202f, 0.904f)
                curveToRelative(0.134f, 0.25f, 0.33f, 0.438f, 0.588f, 0.566f)
                curveToRelative(0.259f, 0.129f, 0.53f, 0.194f, 0.814f, 0.194f)
                curveToRelative(0.46f, 0.0f, 0.841f, -0.156f, 1.144f, -0.463f)
                curveToRelative(0.303f, -0.31f, 0.455f, -0.698f, 0.455f, -1.167f)
                curveToRelative(0.0f, -0.465f, -0.15f, -0.85f, -0.451f, -1.156f)
                curveToRelative(-0.3f, -0.305f, -0.683f, -0.457f, -1.154f, -0.457f)
                close()
                moveTo(18.297f, 10.51f)
                curveToRelative(-0.351f, 0.0f, -0.64f, 0.108f, -0.865f, 0.323f)
                arcToRelative(1.02f, 1.02f, 0.0f, false, false, -0.336f, 0.77f)
                curveToRelative(0.0f, 0.194f, 0.05f, 0.371f, 0.147f, 0.534f)
                curveToRelative(0.1f, 0.162f, 0.24f, 0.285f, 0.423f, 0.379f)
                curveToRelative(-0.223f, 0.187f, -0.366f, 0.335f, -0.429f, 0.44f)
                arcToRelative(0.55f, 0.55f, 0.0f, false, false, -0.092f, 0.271f)
                curveToRelative(0.0f, 0.068f, 0.024f, 0.13f, 0.071f, 0.184f)
                curveToRelative(0.046f, 0.056f, 0.127f, 0.116f, 0.24f, 0.187f)
                arcToRelative(9.626f, 9.626f, 0.0f, false, false, -0.329f, 0.355f)
                curveToRelative(-0.113f, 0.145f, -0.19f, 0.253f, -0.226f, 0.336f)
                arcToRelative(0.41f, 0.41f, 0.0f, false, false, -0.034f, 0.157f)
                curveToRelative(0.0f, 0.12f, 0.081f, 0.232f, 0.246f, 0.343f)
                curveToRelative(0.291f, 0.19f, 0.649f, 0.284f, 1.071f, 0.284f)
                curveToRelative(0.55f, 0.0f, 0.996f, -0.16f, 1.337f, -0.477f)
                curveToRelative(0.232f, -0.216f, 0.35f, -0.45f, 0.35f, -0.694f)
                arcToRelative(0.613f, 0.613f, 0.0f, false, false, -0.183f, -0.45f)
                arcToRelative(0.838f, 0.838f, 0.0f, false, false, -0.49f, -0.227f)
                arcToRelative(8.478f, 8.478f, 0.0f, false, false, -0.878f, -0.053f)
                arcToRelative(4.257f, 4.257f, 0.0f, false, true, -0.46f, -0.027f)
                curveToRelative(-0.105f, -0.015f, -0.177f, -0.04f, -0.212f, -0.075f)
                curveToRelative(-0.038f, -0.037f, -0.056f, -0.072f, -0.056f, -0.112f)
                arcToRelative(0.37f, 0.37f, 0.0f, false, true, 0.05f, -0.159f)
                arcToRelative(0.868f, 0.868f, 0.0f, false, true, 0.186f, -0.221f)
                curveToRelative(0.156f, 0.049f, 0.309f, 0.07f, 0.459f, 0.07f)
                curveToRelative(0.36f, 0.0f, 0.648f, -0.1f, 0.864f, -0.301f)
                arcToRelative(0.956f, 0.956f, 0.0f, false, false, 0.323f, -0.722f)
                curveToRelative(0.0f, -0.247f, -0.062f, -0.45f, -0.187f, -0.61f)
                horizontalLineToRelative(0.394f)
                curveToRelative(0.097f, 0.0f, 0.15f, -0.002f, 0.167f, -0.01f)
                arcToRelative(0.056f, 0.056f, 0.0f, false, false, 0.035f, -0.025f)
                arcToRelative(0.289f, 0.289f, 0.0f, false, false, 0.018f, -0.12f)
                arcToRelative(0.214f, 0.214f, 0.0f, false, false, -0.02f, -0.105f)
                arcToRelative(0.083f, 0.083f, 0.0f, false, false, -0.033f, -0.028f)
                arcToRelative(0.83f, 0.83f, 0.0f, false, false, -0.166f, -0.008f)
                horizontalLineToRelative(-0.639f)
                arcToRelative(1.307f, 1.307f, 0.0f, false, false, -0.746f, -0.21f)
                close()
                moveTo(15.545f, 10.51f)
                curveToRelative(-0.252f, 0.0f, -0.49f, 0.065f, -0.714f, 0.194f)
                arcToRelative(1.437f, 1.437f, 0.0f, false, false, -0.546f, 0.61f)
                arcToRelative(1.816f, 1.816f, 0.0f, false, false, -0.205f, 0.825f)
                curveToRelative(0.0f, 0.381f, 0.114f, 0.724f, 0.34f, 1.03f)
                arcToRelative(1.29f, 1.29f, 0.0f, false, false, 1.09f, 0.543f)
                curveToRelative(0.28f, 0.0f, 0.532f, -0.07f, 0.76f, -0.211f)
                curveToRelative(0.23f, -0.14f, 0.409f, -0.35f, 0.54f, -0.627f)
                curveToRelative(0.13f, -0.276f, 0.194f, -0.55f, 0.194f, -0.821f)
                curveToRelative(0.0f, -0.385f, -0.118f, -0.725f, -0.354f, -1.022f)
                arcToRelative(1.344f, 1.344f, 0.0f, false, false, -1.105f, -0.522f)
                close()
                moveTo(3.363f, 10.519f)
                lineToRelative(1.174f, 3.113f)
                arcToRelative(1.193f, 1.193f, 0.0f, false, true, -0.21f, 0.431f)
                curveToRelative(-0.09f, 0.112f, -0.23f, 0.167f, -0.419f, 0.167f)
                curveToRelative(-0.102f, 0.0f, -0.218f, -0.013f, -0.344f, -0.04f)
                lineToRelative(0.067f, 0.645f)
                curveToRelative(0.152f, 0.033f, 0.307f, 0.052f, 0.464f, 0.052f)
                curveToRelative(0.155f, 0.0f, 0.294f, -0.019f, 0.418f, -0.052f)
                arcToRelative(1.04f, 1.04f, 0.0f, false, false, 0.31f, -0.138f)
                arcToRelative(0.862f, 0.862f, 0.0f, false, false, 0.224f, -0.234f)
                arcToRelative(2.2f, 2.2f, 0.0f, false, false, 0.205f, -0.414f)
                lineToRelative(0.199f, -0.545f)
                lineToRelative(1.085f, -2.985f)
                horizontalLineToRelative(-0.844f)
                lineToRelative(-0.722f, 2.204f)
                lineToRelative(-0.74f, -2.204f)
                close()
                moveTo(19.994f, 10.597f)
                verticalLineToRelative(0.122f)
                arcToRelative(0.84f, 0.84f, 0.0f, false, true, 0.245f, 0.091f)
                curveToRelative(0.035f, 0.029f, 0.08f, 0.08f, 0.136f, 0.157f)
                curveToRelative(0.072f, 0.102f, 0.125f, 0.186f, 0.158f, 0.255f)
                lineToRelative(1.088f, 2.275f)
                lineToRelative(-0.213f, 0.526f)
                curveToRelative(-0.079f, 0.194f, -0.158f, 0.326f, -0.236f, 0.393f)
                curveToRelative(-0.08f, 0.068f, -0.15f, 0.104f, -0.217f, 0.104f)
                arcToRelative(0.878f, 0.878f, 0.0f, false, true, -0.167f, -0.05f)
                arcToRelative(0.924f, 0.924f, 0.0f, false, false, -0.3f, -0.07f)
                curveToRelative(-0.105f, 0.0f, -0.19f, 0.025f, -0.25f, 0.084f)
                arcToRelative(0.286f, 0.286f, 0.0f, false, false, -0.092f, 0.22f)
                curveToRelative(0.0f, 0.098f, 0.042f, 0.183f, 0.126f, 0.257f)
                arcToRelative(0.457f, 0.457f, 0.0f, false, false, 0.322f, 0.112f)
                curveToRelative(0.18f, 0.0f, 0.366f, -0.072f, 0.56f, -0.223f)
                curveToRelative(0.193f, -0.15f, 0.35f, -0.37f, 0.469f, -0.664f)
                lineToRelative(1.226f, -3.014f)
                arcToRelative(1.6f, 1.6f, 0.0f, false, true, 0.113f, -0.254f)
                arcToRelative(0.55f, 0.55f, 0.0f, false, true, 0.145f, -0.146f)
                arcToRelative(0.473f, 0.473f, 0.0f, false, true, 0.188f, -0.053f)
                verticalLineToRelative(-0.122f)
                horizontalLineToRelative(-0.978f)
                verticalLineToRelative(0.122f)
                curveToRelative(0.093f, 0.0f, 0.16f, 0.008f, 0.197f, 0.023f)
                arcToRelative(0.172f, 0.172f, 0.0f, false, true, 0.083f, 0.057f)
                arcToRelative(0.146f, 0.146f, 0.0f, false, true, 0.023f, 0.087f)
                curveToRelative(0.0f, 0.091f, -0.019f, 0.18f, -0.056f, 0.271f)
                lineToRelative(-0.675f, 1.671f)
                lineToRelative(-0.737f, -1.53f)
                curveToRelative(-0.074f, -0.15f, -0.11f, -0.268f, -0.11f, -0.356f)
                arcToRelative(0.21f, 0.21f, 0.0f, false, true, 0.074f, -0.16f)
                arcToRelative(0.346f, 0.346f, 0.0f, false, true, 0.224f, -0.063f)
                horizontalLineToRelative(0.068f)
                verticalLineToRelative(-0.122f)
                close()
                moveTo(18.241f, 10.677f)
                curveToRelative(0.175f, 0.0f, 0.316f, 0.074f, 0.43f, 0.217f)
                curveToRelative(0.15f, 0.196f, 0.224f, 0.466f, 0.224f, 0.815f)
                curveToRelative(0.0f, 0.265f, -0.053f, 0.46f, -0.16f, 0.584f)
                arcToRelative(0.516f, 0.516f, 0.0f, false, true, -0.41f, 0.188f)
                arcToRelative(0.528f, 0.528f, 0.0f, false, true, -0.43f, -0.216f)
                curveToRelative(-0.149f, -0.19f, -0.223f, -0.458f, -0.223f, -0.802f)
                curveToRelative(0.0f, -0.268f, 0.054f, -0.461f, 0.163f, -0.59f)
                arcToRelative(0.515f, 0.515f, 0.0f, false, true, 0.406f, -0.197f)
                close()
                moveTo(15.443f, 10.731f)
                curveToRelative(0.242f, 0.0f, 0.44f, 0.102f, 0.598f, 0.312f)
                curveToRelative(0.23f, 0.308f, 0.346f, 0.727f, 0.346f, 1.263f)
                curveToRelative(0.0f, 0.429f, -0.07f, 0.73f, -0.209f, 0.905f)
                arcToRelative(0.646f, 0.646f, 0.0f, false, true, -0.528f, 0.264f)
                curveToRelative(-0.286f, 0.0f, -0.516f, -0.161f, -0.691f, -0.477f)
                curveToRelative(-0.174f, -0.32f, -0.263f, -0.695f, -0.263f, -1.135f)
                curveToRelative(0.0f, -0.272f, 0.037f, -0.493f, 0.11f, -0.669f)
                arcToRelative(0.731f, 0.731f, 0.0f, false, true, 0.285f, -0.361f)
                arcToRelative(0.667f, 0.667f, 0.0f, false, true, 0.352f, -0.102f)
                close()
                moveTo(10.98f, 11.126f)
                curveToRelative(0.216f, 0.0f, 0.396f, 0.084f, 0.543f, 0.247f)
                curveToRelative(0.144f, 0.162f, 0.216f, 0.397f, 0.216f, 0.703f)
                curveToRelative(0.0f, 0.311f, -0.072f, 0.55f, -0.216f, 0.712f)
                arcToRelative(0.695f, 0.695f, 0.0f, false, true, -0.543f, 0.248f)
                arcToRelative(0.695f, 0.695f, 0.0f, false, true, -0.542f, -0.248f)
                curveToRelative(-0.147f, -0.161f, -0.22f, -0.398f, -0.22f, -0.708f)
                curveToRelative(0.0f, -0.308f, 0.073f, -0.545f, 0.22f, -0.707f)
                arcToRelative(0.704f, 0.704f, 0.0f, false, true, 0.542f, -0.247f)
                close()
                moveTo(17.64f, 13.624f)
                curveToRelative(0.265f, 0.036f, 0.647f, 0.065f, 1.142f, 0.08f)
                curveToRelative(0.34f, 0.007f, 0.566f, 0.034f, 0.68f, 0.083f)
                curveToRelative(0.113f, 0.048f, 0.17f, 0.13f, 0.17f, 0.241f)
                curveToRelative(0.0f, 0.157f, -0.094f, 0.304f, -0.282f, 0.442f)
                curveToRelative(-0.19f, 0.138f, -0.48f, 0.208f, -0.874f, 0.208f)
                curveToRelative(-0.414f, 0.0f, -0.732f, -0.07f, -0.951f, -0.204f)
                curveToRelative(-0.128f, -0.078f, -0.19f, -0.168f, -0.19f, -0.277f)
                curveToRelative(0.0f, -0.078f, 0.024f, -0.169f, 0.076f, -0.26f)
                arcToRelative(1.51f, 1.51f, 0.0f, false, true, 0.228f, -0.313f)
                close()
            }
        }
        .build()
        return _synology!!
    }

private var _synology: ImageVector? = null
