package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Torproject: ImageVector
    get() {
        if (_torproject != null) {
            return _torproject!!
        }
        _torproject = Builder(name = "Torproject", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(11.9124f, 17.1581f)
                close()
                moveTo(17.9817f, 1.14f)
                arcToRelative(8.419f, 8.419f, 0.0f, false, false, -4.4695f, 3.1196f)
                arcTo(21.4277f, 21.4277f, 0.0f, false, true, 16.512f, 0.0f)
                arcToRelative(12.4187f, 12.4187f, 0.0f, false, false, -3.9996f, 4.3595f)
                lineToRelative(0.64f, -2.5497f)
                arcToRelative(14.6284f, 14.6284f, 0.0f, false, false, -1.8998f, 5.3494f)
                lineToRelative(1.1198f, 0.48f)
                arcToRelative(33.1264f, 33.1264f, 0.0f, false, true, 5.6094f, -6.4993f)
                close()
                moveTo(18.8017f, 14.2086f)
                curveToRelative(-0.82f, -1.5199f, -2.9197f, -3.0097f, -5.1295f, -4.3896f)
                curveToRelative(-0.51f, -0.3f, -0.61f, -1.4098f, -0.53f, -1.8898f)
                lineToRelative(-0.5099f, -0.24f)
                arcToRelative(6.3693f, 6.3693f, 0.0f, false, false, 0.16f, 2.3898f)
                curveToRelative(0.24f, 0.75f, 0.9999f, 1.5998f, 1.5198f, 2.7997f)
                arcToRelative(18.158f, 18.158f, 0.0f, false, true, 0.72f, 2.9197f)
                arcToRelative(13.1686f, 13.1686f, 0.0f, false, true, -0.54f, 6.1193f)
                arcToRelative(4.2595f, 4.2595f, 0.0f, false, true, -1.4298f, 1.9198f)
                lineToRelative(-0.24f, 0.16f)
                curveToRelative(4.1595f, 0.13f, 8.829f, -4.6295f, 5.9793f, -9.789f)
                close()
                moveTo(13.4022f, 18.998f)
                arcToRelative(6.6193f, 6.6193f, 0.0f, false, false, -0.42f, -1.9997f)
                arcToRelative(12.4087f, 12.4087f, 0.0f, false, false, -0.7498f, -1.4399f)
                arcToRelative(6.2293f, 6.2293f, 0.0f, false, true, -0.16f, -2.0698f)
                arcToRelative(6.9992f, 6.9992f, 0.0f, false, false, 0.32f, 1.9398f)
                arcToRelative(11.0788f, 11.0788f, 0.0f, false, true, 0.6899f, 1.2999f)
                arcToRelative(8.999f, 8.999f, 0.0f, false, true, 0.5899f, 2.2697f)
                arcToRelative(10.4289f, 10.4289f, 0.0f, false, true, -0.35f, 2.9997f)
                arcToRelative(5.1094f, 5.1094f, 0.0f, false, true, -0.4f, 1.0f)
                arcToRelative(4.8495f, 4.8495f, 0.0f, false, false, 0.7f, -1.52f)
                arcToRelative(12.4187f, 12.4187f, 0.0f, false, false, 0.36f, -4.4794f)
                arcToRelative(11.6087f, 11.6087f, 0.0f, false, false, -0.46f, -1.8898f)
                curveToRelative(-0.44f, -1.2f, -1.0699f, -2.2298f, -1.1499f, -2.4698f)
                arcToRelative(16.2082f, 16.2082f, 0.0f, false, true, -0.39f, -3.3596f)
                arcToRelative(14.3084f, 14.3084f, 0.0f, false, false, 0.44f, 3.1197f)
                curveToRelative(0.08f, 0.24f, 0.8f, 1.3798f, 1.2999f, 2.5797f)
                arcToRelative(7.4692f, 7.4692f, 0.0f, false, true, 0.48f, 1.7298f)
                arcToRelative(10.7188f, 10.7188f, 0.0f, false, true, -0.53f, 5.1594f)
                arcToRelative(3.9996f, 3.9996f, 0.0f, false, true, -0.35f, 0.82f)
                arcToRelative(3.7196f, 3.7196f, 0.0f, false, false, 0.8f, -1.41f)
                arcToRelative(16.1382f, 16.1382f, 0.0f, false, false, 0.0f, -8.109f)
                curveToRelative(-0.42f, -1.2799f, -1.4099f, -2.3998f, -1.6499f, -3.1697f)
                arcToRelative(7.6792f, 7.6792f, 0.0f, false, true, -0.08f, -2.3897f)
                lineToRelative(-2.1497f, -1.0f)
                curveToRelative(0.56f, 1.44f, 0.6599f, 2.5598f, 0.08f, 2.9998f)
                curveToRelative(-2.2598f, 1.8698f, -5.9994f, 3.9995f, -5.9994f, 7.1092f)
                curveToRelative(0.0f, 3.3196f, 1.9998f, 6.9092f, 7.0492f, 7.1792f)
                arcToRelative(12.9986f, 12.9986f, 0.0f, false, true, -1.6998f, -0.56f)
                arcToRelative(3.4496f, 3.4496f, 0.0f, false, true, -1.3098f, -0.8998f)
                lineToRelative(-0.13f, -0.14f)
                arcTo(9.339f, 9.339f, 0.0f, false, true, 6.233f, 18.658f)
                arcToRelative(2.7097f, 2.7097f, 0.0f, false, true, -0.08f, -1.5199f)
                arcToRelative(6.6793f, 6.6793f, 0.0f, false, true, 3.2797f, -3.9995f)
                arcToRelative(10.099f, 10.099f, 0.0f, false, false, 0.9999f, -0.61f)
                curveToRelative(0.4699f, -0.29f, 0.7699f, -1.5298f, 1.0798f, -2.5297f)
                curveToRelative(-0.16f, 0.77f, -0.34f, 2.2598f, -1.0599f, 2.8197f)
                curveToRelative(-0.29f, 0.22f, -0.6099f, 0.43f, -0.9299f, 0.64f)
                curveToRelative(-1.2798f, 0.8798f, -2.5397f, 1.6998f, -3.1696f, 3.8095f)
                arcToRelative(2.8197f, 2.8197f, 0.0f, false, false, 0.08f, 1.3799f)
                arcToRelative(9.319f, 9.319f, 0.0f, false, false, 1.9498f, 3.5096f)
                reflectiveCurveToRelative(0.13f, 0.13f, 0.13f, 0.16f)
                arcToRelative(2.9997f, 2.9997f, 0.0f, false, false, 1.9397f, 1.1499f)
                curveToRelative(-0.29f, -0.16f, -0.5299f, -0.35f, -0.7399f, -0.48f)
                arcToRelative(4.3595f, 4.3595f, 0.0f, false, true, -1.9998f, -3.5996f)
                arcToRelative(3.6996f, 3.6996f, 0.0f, false, true, 2.1798f, -3.3896f)
                arcToRelative(3.5796f, 3.5796f, 0.0f, false, false, 1.6798f, -2.3798f)
                arcToRelative(3.1197f, 3.1197f, 0.0f, false, true, -1.5898f, 2.4998f)
                arcToRelative(3.9996f, 3.9996f, 0.0f, false, false, -2.0998f, 3.1696f)
                arcToRelative(5.6594f, 5.6594f, 0.0f, false, false, 1.8898f, 3.3996f)
                arcToRelative(4.0796f, 4.0796f, 0.0f, false, false, 1.5898f, 0.72f)
                arcToRelative(2.8897f, 2.8897f, 0.0f, false, true, -0.4799f, -0.5f)
                arcToRelative(4.9995f, 4.9995f, 0.0f, false, true, -0.45f, -0.9999f)
                arcToRelative(2.9997f, 2.9997f, 0.0f, false, true, -0.27f, -0.9999f)
                arcToRelative(3.5996f, 3.5996f, 0.0f, false, true, 0.64f, -2.3697f)
                arcToRelative(2.8397f, 2.8397f, 0.0f, false, false, 0.9f, -1.3499f)
                arcToRelative(2.8697f, 2.8697f, 0.0f, false, true, -0.72f, 1.5099f)
                arcToRelative(2.9997f, 2.9997f, 0.0f, false, false, -0.56f, 2.2397f)
                arcToRelative(4.0596f, 4.0596f, 0.0f, false, false, 0.29f, 0.93f)
                arcToRelative(3.9996f, 3.9996f, 0.0f, false, false, 0.51f, 0.9998f)
                curveToRelative(0.18f, 0.21f, 0.26f, 0.37f, 0.5499f, 0.48f)
                arcToRelative(6.4793f, 6.4793f, 0.0f, false, false, 0.49f, -2.3498f)
                arcToRelative(9.519f, 9.519f, 0.0f, false, false, 0.0f, -1.7598f)
                curveToRelative(-0.13f, -0.7999f, -0.4f, -1.5998f, -0.4f, -2.2397f)
                curveToRelative(0.12f, 0.5899f, 0.43f, 1.3798f, 0.61f, 2.2097f)
                arcToRelative(5.6294f, 5.6294f, 0.0f, false, true, 0.11f, 1.7298f)
                curveToRelative(0.0f, 0.56f, -0.08f, 1.0f, -0.16f, 1.4899f)
                arcToRelative(1.9998f, 1.9998f, 0.0f, false, true, -0.45f, 0.9299f)
                arcToRelative(3.2097f, 3.2097f, 0.0f, false, false, 1.1099f, -1.9998f)
                arcToRelative(7.8991f, 7.8991f, 0.0f, false, false, 0.32f, -2.3598f)
                close()
            }
        }
        .build()
        return _torproject!!
    }

private var _torproject: ImageVector? = null
