package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Typescript: ImageVector
    get() {
        if (_typescript != null) {
            return _typescript!!
        }
        _typescript = Builder(name = "Typescript", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(1.125f, 0.0f)
                curveTo(0.502f, 0.0f, 0.0f, 0.502f, 0.0f, 1.125f)
                verticalLineToRelative(21.75f)
                curveTo(0.0f, 23.498f, 0.502f, 24.0f, 1.125f, 24.0f)
                horizontalLineToRelative(21.75f)
                curveToRelative(0.623f, 0.0f, 1.125f, -0.502f, 1.125f, -1.125f)
                lineTo(24.0f, 1.125f)
                curveTo(24.0f, 0.502f, 23.498f, 0.0f, 22.875f, 0.0f)
                close()
                moveTo(18.488f, 9.75f)
                curveToRelative(0.612f, 0.0f, 1.154f, 0.037f, 1.627f, 0.111f)
                arcToRelative(6.38f, 6.38f, 0.0f, false, true, 1.306f, 0.34f)
                verticalLineToRelative(2.458f)
                arcToRelative(3.95f, 3.95f, 0.0f, false, false, -0.643f, -0.361f)
                arcToRelative(5.093f, 5.093f, 0.0f, false, false, -0.717f, -0.26f)
                arcToRelative(5.453f, 5.453f, 0.0f, false, false, -1.426f, -0.2f)
                curveToRelative(-0.3f, 0.0f, -0.573f, 0.028f, -0.819f, 0.086f)
                arcToRelative(2.1f, 2.1f, 0.0f, false, false, -0.623f, 0.242f)
                curveToRelative(-0.17f, 0.104f, -0.3f, 0.229f, -0.393f, 0.374f)
                arcToRelative(0.888f, 0.888f, 0.0f, false, false, -0.14f, 0.49f)
                curveToRelative(0.0f, 0.196f, 0.053f, 0.373f, 0.156f, 0.529f)
                curveToRelative(0.104f, 0.156f, 0.252f, 0.304f, 0.443f, 0.444f)
                reflectiveCurveToRelative(0.423f, 0.276f, 0.696f, 0.41f)
                curveToRelative(0.273f, 0.135f, 0.582f, 0.274f, 0.926f, 0.416f)
                curveToRelative(0.47f, 0.197f, 0.892f, 0.407f, 1.266f, 0.628f)
                curveToRelative(0.374f, 0.222f, 0.695f, 0.473f, 0.963f, 0.753f)
                curveToRelative(0.268f, 0.279f, 0.472f, 0.598f, 0.614f, 0.957f)
                curveToRelative(0.142f, 0.359f, 0.214f, 0.776f, 0.214f, 1.253f)
                curveToRelative(0.0f, 0.657f, -0.125f, 1.21f, -0.373f, 1.656f)
                arcToRelative(3.033f, 3.033f, 0.0f, false, true, -1.012f, 1.085f)
                arcToRelative(4.38f, 4.38f, 0.0f, false, true, -1.487f, 0.596f)
                curveToRelative(-0.566f, 0.12f, -1.163f, 0.18f, -1.79f, 0.18f)
                arcToRelative(9.916f, 9.916f, 0.0f, false, true, -1.84f, -0.164f)
                arcToRelative(5.544f, 5.544f, 0.0f, false, true, -1.512f, -0.493f)
                verticalLineToRelative(-2.63f)
                arcToRelative(5.033f, 5.033f, 0.0f, false, false, 3.237f, 1.2f)
                curveToRelative(0.333f, 0.0f, 0.624f, -0.03f, 0.872f, -0.09f)
                curveToRelative(0.249f, -0.06f, 0.456f, -0.144f, 0.623f, -0.25f)
                curveToRelative(0.166f, -0.108f, 0.29f, -0.234f, 0.373f, -0.38f)
                arcToRelative(1.023f, 1.023f, 0.0f, false, false, -0.074f, -1.089f)
                arcToRelative(2.12f, 2.12f, 0.0f, false, false, -0.537f, -0.5f)
                arcToRelative(5.597f, 5.597f, 0.0f, false, false, -0.807f, -0.444f)
                arcToRelative(27.72f, 27.72f, 0.0f, false, false, -1.007f, -0.436f)
                curveToRelative(-0.918f, -0.383f, -1.602f, -0.852f, -2.053f, -1.405f)
                curveToRelative(-0.45f, -0.553f, -0.676f, -1.222f, -0.676f, -2.005f)
                curveToRelative(0.0f, -0.614f, 0.123f, -1.141f, 0.369f, -1.582f)
                curveToRelative(0.246f, -0.441f, 0.58f, -0.804f, 1.004f, -1.089f)
                arcToRelative(4.494f, 4.494f, 0.0f, false, true, 1.47f, -0.629f)
                arcToRelative(7.536f, 7.536f, 0.0f, false, true, 1.77f, -0.201f)
                close()
                moveTo(3.375f, 9.938f)
                horizontalLineToRelative(9.563f)
                verticalLineToRelative(2.166f)
                lineTo(9.506f, 12.104f)
                verticalLineToRelative(9.646f)
                lineTo(6.789f, 21.75f)
                verticalLineToRelative(-9.646f)
                lineTo(3.375f, 12.104f)
                close()
            }
        }
        .build()
        return _typescript!!
    }

private var _typescript: ImageVector? = null
