package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Visualstudio: ImageVector
    get() {
        if (_visualstudio != null) {
            return _visualstudio!!
        }
        _visualstudio = Builder(name = "Visualstudio", defaultWidth = 24.0.dp, defaultHeight =
                24.0.dp, viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(17.583f, 0.063f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, -1.032f, 0.392f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, -0.001f, 0.0f)
                arcTo(0.88f, 0.88f, 0.0f, false, false, 16.5f, 0.5f)
                lineTo(8.528f, 9.316f)
                lineTo(3.875f, 5.5f)
                lineToRelative(-0.407f, -0.35f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -1.024f, -0.154f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.012f, 0.005f)
                lineToRelative(-1.817f, 0.75f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.077f, 0.036f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.047f, 0.028f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.038f, 0.022f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.048f, 0.034f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.03f, 0.024f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.044f, 0.036f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.036f, 0.033f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.032f, 0.035f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.033f, 0.038f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.035f, 0.044f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.024f, 0.034f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.032f, 0.05f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.02f, 0.035f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.024f, 0.05f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.02f, 0.045f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.016f, 0.044f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.016f, 0.047f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.015f, 0.055f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.01f, 0.04f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.008f, 0.054f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, -0.006f, 0.05f)
                arcTo(1.0f, 1.0f, 0.0f, false, false, 0.0f, 6.668f)
                verticalLineToRelative(10.666f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, 0.615f, 0.917f)
                lineToRelative(1.817f, 0.764f)
                arcToRelative(1.0f, 1.0f, 0.0f, false, false, 1.035f, -0.164f)
                lineToRelative(0.408f, -0.35f)
                lineToRelative(4.653f, -3.815f)
                lineToRelative(7.973f, 8.815f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.072f, 0.065f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.057f, 0.05f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.058f, 0.042f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.063f, 0.044f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.065f, 0.038f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.065f, 0.036f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.068f, 0.031f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.07f, 0.03f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.073f, 0.025f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.066f, 0.02f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.08f, 0.02f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.068f, 0.014f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.075f, 0.01f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.075f, 0.008f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.073f, 0.003f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.077f, 0.0f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.078f, -0.005f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.067f, -0.007f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.087f, -0.015f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.06f, -0.012f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.08f, -0.022f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.068f, -0.02f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.07f, -0.028f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.09f, -0.037f)
                lineToRelative(4.944f, -2.377f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.476f, -0.362f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.09f, -0.112f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.004f, -0.007f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.08f, -0.125f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.062f, -0.12f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.009f, -0.017f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.04f, -0.108f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.015f, -0.037f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.03f, -0.107f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.009f, -0.037f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.017f, -0.1f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.008f, -0.05f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.006f, -0.09f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.004f, -0.08f)
                verticalLineTo(3.942f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.0f, -0.003f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, 0.0f, -0.032f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, -0.01f, -0.15f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, -0.84f, -1.17f)
                lineTo(18.206f, 0.21f)
                arcToRelative(1.5f, 1.5f, 0.0f, false, false, -0.622f, -0.146f)
                close()
                moveTo(18.0f, 6.92f)
                verticalLineToRelative(10.163f)
                lineToRelative(-6.198f, -5.08f)
                close()
                moveTo(3.0f, 8.574f)
                lineToRelative(3.099f, 3.427f)
                lineToRelative(-3.1f, 3.426f)
                close()
            }
        }
        .build()
        return _visualstudio!!
    }

private var _visualstudio: ImageVector? = null
