package compose.icons.simpleicons

import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.PathFillType.NonZero
import androidx.compose.ui.graphics.SolidColor
import androidx.compose.ui.graphics.StrokeCap.Butt
import androidx.compose.ui.graphics.StrokeJoin.Miter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.graphics.vector.ImageVector.Builder
import androidx.compose.ui.graphics.vector.path
import androidx.compose.ui.unit.dp
import compose.icons.SimpleIcons

public val SimpleIcons.Wikipedia: ImageVector
    get() {
        if (_wikipedia != null) {
            return _wikipedia!!
        }
        _wikipedia = Builder(name = "Wikipedia", defaultWidth = 24.0.dp, defaultHeight = 24.0.dp,
                viewportWidth = 24.0f, viewportHeight = 24.0f).apply {
            path(fill = SolidColor(Color(0xFF000000)), stroke = null, strokeLineWidth = 0.0f,
                    strokeLineCap = Butt, strokeLineJoin = Miter, strokeLineMiter = 4.0f,
                    pathFillType = NonZero) {
                moveTo(12.09f, 13.119f)
                curveToRelative(-0.936f, 1.932f, -2.217f, 4.548f, -2.853f, 5.728f)
                curveToRelative(-0.616f, 1.074f, -1.127f, 0.931f, -1.532f, 0.029f)
                curveToRelative(-1.406f, -3.321f, -4.293f, -9.144f, -5.651f, -12.409f)
                curveToRelative(-0.251f, -0.601f, -0.441f, -0.987f, -0.619f, -1.139f)
                curveToRelative(-0.181f, -0.15f, -0.554f, -0.24f, -1.122f, -0.271f)
                curveTo(0.103f, 5.033f, 0.0f, 4.982f, 0.0f, 4.898f)
                verticalLineToRelative(-0.455f)
                lineToRelative(0.052f, -0.045f)
                curveToRelative(0.924f, -0.005f, 5.401f, 0.0f, 5.401f, 0.0f)
                lineToRelative(0.051f, 0.045f)
                verticalLineToRelative(0.434f)
                curveToRelative(0.0f, 0.119f, -0.075f, 0.176f, -0.225f, 0.176f)
                lineToRelative(-0.564f, 0.031f)
                curveToRelative(-0.485f, 0.029f, -0.727f, 0.164f, -0.727f, 0.436f)
                curveToRelative(0.0f, 0.135f, 0.053f, 0.33f, 0.166f, 0.601f)
                curveToRelative(1.082f, 2.646f, 4.818f, 10.521f, 4.818f, 10.521f)
                lineToRelative(0.136f, 0.046f)
                lineToRelative(2.411f, -4.81f)
                lineToRelative(-0.482f, -1.067f)
                lineToRelative(-1.658f, -3.264f)
                reflectiveCurveToRelative(-0.318f, -0.654f, -0.428f, -0.872f)
                curveToRelative(-0.728f, -1.443f, -0.712f, -1.518f, -1.447f, -1.617f)
                curveToRelative(-0.207f, -0.023f, -0.313f, -0.05f, -0.313f, -0.149f)
                verticalLineToRelative(-0.468f)
                lineToRelative(0.06f, -0.045f)
                horizontalLineToRelative(4.292f)
                lineToRelative(0.113f, 0.037f)
                verticalLineToRelative(0.451f)
                curveToRelative(0.0f, 0.105f, -0.076f, 0.15f, -0.227f, 0.15f)
                lineToRelative(-0.308f, 0.047f)
                curveToRelative(-0.792f, 0.061f, -0.661f, 0.381f, -0.136f, 1.422f)
                lineToRelative(1.582f, 3.252f)
                lineToRelative(1.758f, -3.504f)
                curveToRelative(0.293f, -0.64f, 0.233f, -0.801f, 0.111f, -0.947f)
                curveToRelative(-0.07f, -0.084f, -0.305f, -0.22f, -0.812f, -0.24f)
                lineToRelative(-0.201f, -0.021f)
                curveToRelative(-0.052f, 0.0f, -0.098f, -0.015f, -0.145f, -0.051f)
                curveToRelative(-0.045f, -0.031f, -0.067f, -0.076f, -0.067f, -0.129f)
                verticalLineToRelative(-0.427f)
                lineToRelative(0.061f, -0.045f)
                curveToRelative(1.247f, -0.008f, 4.043f, 0.0f, 4.043f, 0.0f)
                lineToRelative(0.059f, 0.045f)
                verticalLineToRelative(0.436f)
                curveToRelative(0.0f, 0.121f, -0.059f, 0.178f, -0.193f, 0.178f)
                curveToRelative(-0.646f, 0.03f, -0.782f, 0.095f, -1.023f, 0.439f)
                curveToRelative(-0.12f, 0.186f, -0.375f, 0.589f, -0.646f, 1.039f)
                lineToRelative(-2.301f, 4.273f)
                lineToRelative(-0.065f, 0.135f)
                lineToRelative(2.792f, 5.712f)
                lineToRelative(0.17f, 0.048f)
                lineToRelative(4.396f, -10.438f)
                curveToRelative(0.154f, -0.422f, 0.129f, -0.722f, -0.064f, -0.895f)
                curveToRelative(-0.197f, -0.172f, -0.346f, -0.273f, -0.857f, -0.295f)
                lineToRelative(-0.42f, -0.016f)
                curveToRelative(-0.061f, 0.0f, -0.105f, -0.014f, -0.152f, -0.045f)
                curveToRelative(-0.043f, -0.029f, -0.072f, -0.075f, -0.072f, -0.119f)
                verticalLineToRelative(-0.436f)
                lineToRelative(0.059f, -0.045f)
                horizontalLineToRelative(4.961f)
                lineToRelative(0.041f, 0.045f)
                verticalLineToRelative(0.437f)
                curveToRelative(0.0f, 0.119f, -0.074f, 0.18f, -0.209f, 0.18f)
                curveToRelative(-0.648f, 0.03f, -1.127f, 0.18f, -1.443f, 0.421f)
                curveToRelative(-0.314f, 0.255f, -0.557f, 0.616f, -0.736f, 1.067f)
                curveToRelative(0.0f, 0.0f, -4.043f, 9.258f, -5.426f, 12.339f)
                curveToRelative(-0.525f, 1.007f, -1.053f, 0.917f, -1.503f, -0.031f)
                curveToRelative(-0.571f, -1.171f, -1.773f, -3.786f, -2.646f, -5.71f)
                lineToRelative(0.053f, -0.036f)
                close()
            }
        }
        .build()
        return _wikipedia!!
    }

private var _wikipedia: ImageVector? = null
